kernel-package (13.015) unstable; urgency=low

  * Updated the Copyright file to machine readable format
  * Updated to policy version 3.6.0. No changes required
  * Updated the VCS-* fields in the control file to use https transport.
  * Bug fix: "French translation update", thanks to David Prévot (Closes:
    #789078).
  * Bug fix: "--revision is broken (again)", thanks to Roland Koebler
    Actually, in this case, it is the documentation which is broken; it
    fails to mention that the revision number must start with a
    digit. (Closes: #782447).
  * Bug fix: "make-kpkg(1) says initramfs hook scripts need to be
    explicitly enabled", thanks to Ben Hutchings> Explicitly note that
    initramfs-tools installs scripts, as does dracut. (Closes: #765609).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Jan 2016 00:53:17 -0800

kernel-package (13.014+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the install device-tree rule by dtbs_install (Closes: #804518)
  * Include patches to support s390x (Closes: #751928)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 18 Nov 2015 12:27:43 +0800

kernel-package (13.014+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Install device-tree dtbs. (Closes: #782759)
  * Support arm64 arch. (Closes: #796064, #796879, #799968)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 06 Oct 2015 22:46:33 +0800

kernel-package (13.014+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move examples to /usr/share/kernel-common and symlink from
    /u/s/d (Closes: #767857)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 26 Nov 2014 21:56:16 +0000

kernel-package (13.014) unstable; urgency=medium

  * There was a bug in the dh install configuration file, that moved all
    kernel-package conf files to /etc/etc/. This commit fixes that.
    (Closes: #751751).
  * jumped on a s390x porterbox, and created initial support for a s390x
    architecture, based mostly on what we did for s390. (Closes: #750604).
  * Bug fix #751751: "conffiles not removed", thanks to Paul Wise. We
    handled obsolete conffiles sub-optimally since they were not really
    supposed to be obsolete.
  * Bug fix #750604: "No Support in kernel-package for s390x
    architecture", thanks to Stephen Powell

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Jun 2014 12:22:12 -0700

kernel-package (13.013) unstable; urgency=low

  * kernel-img built with the current kernel-package fails to install on
    an older system (wheezy) due to dependency on kernel-common package
    which is not available there. Based on a suggestion by Michal Hocko,
    changed the relationship to a Recommends, which is what it should have
    been in the first place.  (Closes: #749318).
  * Since the linux-image packages produced by make-kpkg recommend
    kernel-common, , development packages could be forced on to systems
    which installl kernel-common just for the man page. A patch from Sven
    Joachim fixes this oversight. (Closes: #749388).
  * Bug fix #749318: "kernel-img depends on kernel-common", thanks to
    Michal Hocko
  * Bug fix #749388: "postinst should not call dpkg-architecture", thanks
    to Sven Joachim

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 17:19:04 -0700

kernel-package (13.012) unstable; urgency=low

  * There are three different views of what architecture a machine hasL
    That of the linux kernel, that of dpkg, and that of the GNU
    configuration systems, So, when the user specifies arch and subarch,
    the information has to be transformed for all the systems, as
    required. This commit tries to give the correct information to dpkg,
    and also still take into account sub architecture specifications.
    (Closes: #748702).
  * Add a dependency on dpkg-dev for the kernel-common package, since the
    maintainer scripts use dpkg-architecture. Alsom kernel-package can't
    really do anything useful without pkg-dev, so added there as well.
    (Closes: #748862).
  * Bug fix #748702: "make-kpkg creates packages with missing architecture
    on i386", thanks to Sven Joachim
  * Bug fix #748862: "missing dependency on dpkg-dev", thanks to Adam
    Borowski


 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 May 2014 23:41:57 -0700

kernel-package (13.011) unstable; urgency=low

  * The fix for building packages with the correct sub--architecture was
    flawed, in the sense it always looked at theKPKG_ARCH, even when there
    was no need to stray away from DEB_HOST_ARCH. This commit relieas on
    dpkg-architecture to tell us what the proper arch should be for a
    situation where we are building for a subarchitecture.
    (Closes: #748316).
  * Bug fix #748316: "Arch set to x86_64 instead of amd64", thanks to Geoff
    Simonds

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 May 2014 21:16:25 -0700

kernel-package (13.010) unstable; urgency=low

  * No longer have generated kernel images depend on ksymoops, a long
    defunct package, since it is useless with kernels >= 2.6.
    (Closes: #748066).
  * When the user asks for the arch name to be part of the kernel image
    package version string, only image and debig packages included the
    arch in the name. This commit makes the name of the header package
    also be consistent with the image names. At this point, the source and
    document/manual package names remain generic, since arch specific
    differences should not exist in those packages. (Closes: #568576).
  * the image packages generated by kernel-package also build in the
    modules requested in the configuration file, so there is no
    linux-moules-* package. However, in case there are dependencies on
    that package name, the image package now also claims to provide the
    modules package. (Closes: #599815).
  * In order to ease the life of people cross compiling, or building for a
    subarch, do not call dpkg-gencontrol with the host archtecture, but
    rather, with the architecture we built the kernel image for.
    (Closes: #563300).
  * Hopped on to an armel machine to test make-kpkg. The CPU is reported
    as arm by dpkg-architecture, so the top level logic in kernel-package
    was correct.Unfortunately, the armel specific file wassumed the CPU
    was armel, so nothing got included.  Corrected that inner check in
    this release.  (Closes: #664854).
  * Bug fix #748066: "generated linux-image packages suggest ksymoops",
    thanks to Sven Joachim
  * Bug fix #568576: "builds non-matching kernel and headers packages",
    thanks to Michal Suchanek <hramrach@centrum.cz>
  * Bug fix #599815: "make-kpkg doesn't set correctly 'Provides: '
    field", thanks to Gérald Colangelo
  * Bug fix #563300: "on cross compile the 'control' file contains host
    architecture", thanks to Michael Tuschik
  * Bug fix #664854: "kernel-package no longer supports armel
    architecture", thanks to David Madore

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 10:54:44 -0700

kernel-package (13.009) unstable; urgency=low

  * pared down on the list of suggested packages, and added to the build
    dependencies packages that are actually useful when building kernels
    (as opposed to packages that might be required for kernel images).
    (Closes: #747925).
  * only make the kernel depend on initramfs tools if a initrd was
    requested.  This reduces the number of dependencies to those really
    required.  (Closes: #747911).
  * Created a new kernel-common package to host kernel-img.conf
    manpages. Create a default kernel-img.conf similar to the one
    generated by the base installer, and register with ucf. Updated the
    man pages and the examples. Made the generated kernel image packages
    recommend the kernel-common package.  (Closes: #626216).
  * Bug fix #747925: "depends on legacy grub packages", thanks to
    Christoph Anton Mitterer
  * Bug fix: #747911: "New packages build by kernel-package depending on
    initramfs-tools even if the kernel is not using initram", thanks to
    Klaus Ethgen
  * Bug fix: #626216: "Manpage should live in a different package", thanks
    to Josh Triplett

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 May 2014 10:51:41 -0700

kernel-package (13.008) unstable; urgency=low

  * The underlying kernel tree has long removed support for zImage
    images. This makes bzImage the default, so there is no need to have
    the user specify one or the other, so removed the --zImage and the
    --bzImage options from kernel-package. Removing this also removed code
    that caused confusion in the image names when --bzImage argment was
    used.  (Closes: #574957).
  * Modified the manual pages to reflect the changes aboue. Updated the
    po4a .po files and .pot files.  Also clarified the requirements for
    running as root,, and emphasized that fakeroot is th way to go, and
    running as root is not recommended. Clarified that make-kpkg is
    supposed to be run after configuring the kernel. (Closes: #704116).
  * Previously, the Debian revision had to contain a digit. Now dpkg
    complains if it does not start with a digit. Updated the  sanity
    checks to test for this new constraint.   (Closes: #674101).
  * Removed a versioned dependency on make, for a version older than the
    one present in oldstable.
  * Bug fix #574957: "Installation od XEN kernel images fails.", thanks to
    Christian Motschke
  * Bug fix #704116: "[make-kpkg] manpage not uptodate", thanks to
    Christian Buhtz
  * Bug fix #674101: "kernel-package -- please check parameters before you
    build compiling", thanks to Kumar Appaiah

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 May 2014 01:13:48 -0700

kernel-package (13.007) unstable; urgency=low

  * armel systems show upwith DEB_HOST_ARCH_CPU=arm, same as arm, but with
    DEB_HOST_ARCH=armel. This commit loads the proper configuration file,
    otherwise make-kpkg thought that building on a sheevaplug was cross
    compiling for arm.  (Closes: #686159).
  * Bug fix #686159: "On my Sheevaplug (armel) make-kpkg thinks I want to
    do cross compilation", thanks to John Hughes

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 08 May 2014 15:03:36 -0700

kernel-package (13.006) unstable; urgency=low

  * make-kpkg warns Do NOT set the -j option in MAKEFLAGS directly, this
    shall cause the build to fail, and provides an alternative. However,
    there are lots of people who set DEB_BUILD_OPTIONS=parallel=N, which
    causes dpkg-buildpackage to do effectively that.  This commit strips
    out the setting from DEB_BUILD_OPTIONS, setting up instead the
    make-kpkg alternative of CONCURRENCY_LEVEL. (Closes: #747142)

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 08 May 2014 13:37:23 -0700

kernel-package (13.005) unstable; urgency=low

  * Normally, if the kernel configuration file enables support for
    modules, the kernel image package produced by kernel-package contains
    the modules, and the modules have a link to the location of the
    debugging symbols file for the mdoule, usually installed by the debug
    package. However, adding this link changes the signature of the module,
    which is not a good thing is module signing is also enabled. This
    version does not install the link to debug symbols if module signing
    is enabled in kernel configuration. Please recompile without moduile
    signatures in order to debug modules. (Closes: #722946).
  * Bug fix #722946: "corrupts module signatures due to objcopy
    --add-gnu-debuglink", thanks to Henrique de Moraes Holschuh

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 08 May 2014 10:48:01 -0700

kernel-package (13.004) unstable; urgency=low

  * There were some places where we still recommended custom.1.0 instead
    of 1.0.custom, even though the former is now not acceptable. This
    commit fixes the remaining locations where that advice was incorrect.
  * When compiling in a git checkout of the kernel sources: the
    KERNELRELEASE variable contains the key word dirty, even though the
    tree is clean, and verified by git status. This is caused by using
    fakeroot make-kpkg .../ Updated documentation to not the preferred
    form is to use make-kpkg --rootcmd fakeroot to avoid this.
    (Closes: #717807).
  * If you build from the git tree of the linux kernel, and you are not on
    a tagged branch, the script scripts/setlocalversion will append a plus
    sign to the version if the repository is not in a clean annotated or
    signed tagged state and LOCALVERSION= is not specified. This creates
    problems when packaging the resulting image. Updated the documentation
    for workarounds. (Closes: #721482).
  * Patch to build uImage kernels for ARM by  Andrew Bradford. This adds
    the --uimage option to build a uImage kernel for ARM systems. Needs
    uboot-mkimage installed to do so, This package contains the mkimage
    utility, which encapsulates a compressed  "uImage" Linux kerel image
    with header information, CRC32 checksum, etc,  for use with the U-Boot
    bootloader.  (Closes: #572117).
  * Since the debug images all upload files in the same location, they
    conflict with each other.  (Closes: #570635).
  * Starting with 2.6.35 there is a new kernel config target (nconfig)
    which is something like menuconfig just a bit fancier. Added support
    for that. (Closes: #590446).
  * The generated image packages now suggest the corresponding manual
    packages, in addition to the doc packages. Made the doc and manual
    packages suggest each other.  (Closes: #593895).
  * Bug fix: #717807: "kernel-release contains -dirty although the tree is
    clean", thanks to Michal Hocko
  * Bug fix #570635: "-dbg packages should conflict each other", thanks to
    Sebastian Bremicker
  * Bug fix #572117: "please, add support for uboot images (uimage)",
    thanks to Hector Oron
  * Bug fix #590446: "support ncurses kernel config target", thanks to
    Christoph Anton Mitterer
  * Bug fix #593895: "generated linux-image-* packages should also suggest
    the respective linux-manual-* packages", thanks to Christoph Anton
    Mitterer
  * Bug fix #721482: "Can&#39;t build image: changelog says 3.11.0-rc7+,", thanks
    to Linus Lüssing

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 07 May 2014 22:45:30 -0700

kernel-package (13.003) unstable; urgency=low

  * The image installation process upstream has changed; and uses the
    /sbin/installkernel method now (which is not really aware of
    installing into a temp directory for packaging). Updating the install
    process to match. This also means that this version of kernel-package
    can not compile kernels older than July 2009.
  * Fixed a typo in the control file for debug image packages.
  * Just compiled a kernel linux-image-3.15.0-rc4 with these changes
    (Closes: #745686).
  * To build a kernel  with LZ4 compression enabled, lz4c is
    needed. Added a suggests for liblz4-tool (Closes:  #746539).
  * As part of an effort to deter kernel exploits, System.map and the
    kernel image should be made readable by root only to prevent attackers
    from getting knowledge of kernel addresses. This version of kernel
    package does exactly that.  (Closes: #615029).
  * Upstream kernel Makefiles provide an header_install target to install
    sanitized headers into the destination. Use that while generating the
    headers package.  (Closes: #696922).
  * Bash autocomletion doesn't support all target commands.  Bartosz Janda
    provided an updated autocomplete script (Closes: #696264).
  * Previously the lguest source moved from Documentation/lguest to
    Documentation/virtual/lguest, and more recently it moved again to
    tools/lguest. Look now in all these places. (Closes: #690813).
  * The documentation for the kernel requires db2html from the
    docvoot-utils package to render. kernel-package has always Suggested
    the package, but there was some surprise when the documentation
    packages ended up mostly empty. Moved the relationship to Recommends.
    (Closes: #593894).
  * Bug fix #745686: "fails to build Linux 3.15-rc*", thanks to Darren Salt
  * Bug fix #746539: "Please suggest liblz4-tool", thanks to Toby Speight
  * Bug fix: #615029: "Please restrict permissions of System.map and
    vmlinuz for security reasons", thanks to Pierre Ynard
  * Bug fix #696922: "kernel-headers does not include linux/limits.h",
    thanks to Michal Suchanek
  * Bug fix: #696264: "[kernel-package] Bash autocompletion for missing
    targets", thanks to Bartosz Janda
  * Bug fix #690813: "kernel-package doesn&#39;t look for lguest in
    tools/lguest", thanks to Dave Bechtel
  * Bug fix: "[kernel-package] Makefile.build:44:
    /usr/src/linux-headers-3.2.0-3-common/scripts/basic/Makefile: Datei
    oder Verzeichnis nicht gefunden", thanks to deleo@gmx.de. This was
    fixed in the last update. (Closes: #684888).
  * Bug fi: #593894x: "Building linux-manual package without docbook-utils
    quietly fails", thanks to Christoph Anton Mitterer

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 05 May 2014 01:23:16 -0700

kernel-package (13.002) unstable; urgency=high

  * Set the kernel-package version correctly in the new dh build.
  * The new make is pickier about spacing. Update white spaces to work
    with the new make.  (Closes: #746950).
  * brought back the armel configuration. This should allow building there
    again.  (Closes: #664854).
  * Bug fix: "make-kpkg fails with make 4.0", thanks to Arthur Marsh
  * Bug fix: "kernel-package no longer supports armel architecture",
    thanks to David Madore

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 04 May 2014 10:47:53 -0700

kernel-package (13.001) UNRELEASED; urgency=low

  * Debug operation to see if we can start building

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 03 May 2014 21:56:03 -0700

kernel-package (13.000) unstable; urgency=low

  * Move to a new build system based on dh. This is just for
    kernel-package, no changes have yet been made to the generated package
    build system.
  * Move way from git modules to a flatter structure, to better use
    standard git build frameworks. (Closes: #690002).
  * Updated the dependency to from module-init-tools -> kmod, since the
    module-init-tools is an obsolete transitional package.
    (Closes: #733701, #663358, )
  * As of 3.8-rc2, kernel building requires bc(1. Added bc as a dependency
    for kernel-package, so that building a kernel will work again
    (Closes: #705587, #702600,  #742674).
  * There are new configuration options called CONFIG_MODULE_*, which
    confuse the regular expression trying to detect whether modules are
    configured or not. Modified the regular expression to detect
    whether modules are configured as suggested by Stefan Gehn.
    (Closes: #696537).
  * make-kpkg failed to cross build armhf kernels. The supplied patch by
    Karsten Merker adds a few missing definitions  which are only used in
    the case of cross-building (Closes: #728014).
  * The UTS_RELEASE definition was moved from
    $(KERN_ROOT)/include/linux/utsrelease.h to
    $(KERN_ROOT)/include/generated/utsrelease.h. The current version looks
    in both places. Fix sggested by  mahashakti89, (Closes: #591793).
  * find -perm syntax changed from -perl +XXX to -prem /xxx. Fixed
    the use of find -perm in the one location I found it in
    (Closes: #724775).
  * Added a dependency on initramfs-tools into the generated linux-image
    packages,  (Closes: #652637).
  * kernel package was not building a vmlinuz image for mipsel loongson
    cpu. Applied the patch from  liushiwei to allow make-kpkg build
    vmlinuz on mipsel loongson cpu machines (Closes: #593857).
  * if the file include/generated/uapi/linux/version.h exists then
    include/linux/version.h must not be added to
    linux-headers-... package. The former should not exist, and if it does
    it is a mistake.     (Closes: #734310).
  * dpkg: warning: obsolete option '--print-installation-architecture',
    use '--print-architecture' instead. Replaced all instances of dpkg
    --print-installation-architecture in the package. (Closes:  #597637).
  * The following bugs were fixed in this release:
  * Bug fix #733701: "please do not depend on module-init-tools", thanks
    to md@Linux.IT (Marco d&#39;Itri)     .
  * Bug fix #663358: "module-init-tools is now a transitional dummy
    package for kmod.Please add the correct depend", thanks to Domenico
    Pasella.
  * Bug fix #705587,: "As of 3.8-rc2, kernel building requires bc(1)",
    thanks to sacrificial-spam-address@horizon.com.
  * Bug fix #702600: "1: bc: not found", thanks to Andrei Paulau
  * Bug fix #742674: "bc should be added to the dependencies", thanks
    to Erik Braun
  * Bug fix #690002: "Git package repository contains empty directory
    `debian/`", thanks to Paul Menzel. The problem is not that the git
    repository had an empty debian directory, the issue was that
    kernel-package uses git modules. One has to (recursively) expand the
    modules. However, whith this commit, we move away from git modules to
    a flat structure.
  * Bug fix #696537: "Fails to build linux-3.7.1 with module-support
    disabled", thanks to Stefan Gehn. Used the suggested new regular
    expression.
  * Bug fix #728014: "[PATCH] Fix cross-building armhf kernel packages",
    thanks to Karsten Merker.
  * Bug fix #591793: "Building 2.6.35 kernel fails with kernel-package
    12.036", thanks to mahashakti89,
  * Bug fix #724775: "kernel-package uses deprecated find -perm +xxx
    syntax, please switch to find -perm /+++", thanks to Andreas Metzler.
  * Bug fix #652637: "Generated linux-image package should depend on
    initramfs-tools", thanks to Matthijs Kooijman. Added the suggested
    dependency
  * Bug fix #593857: "enable gzip for mipsel loongson cpu", thanks to
    liushiwei. Applied the suggested patch
  * Bug fix #734310: "exclude include/linux/version.h", thanks to Eduard
    Bloch
  * Bug fix #597637: "dpkg using obsolete option", thanks to Brian Minton


 -- Manoj Srivastava <srivasta@debian.org>  Sat, 03 May 2014 12:57:47 -0700

kernel-package (12.036+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typos in man pages, thanks to Chris Leick, and other formatting
    errors. (Closes: #654451)
  * Add German man pages translation by Chris Leick. (Closes: #654315)
  * Update man pages French translation.
  * kernel/ruleset/targets/common.mk: Allow building > 3.3 kernel, thanks to
    Ben Hutchings for the patch. (Closes: #663474)

 -- David Prévot <taffit@debian.org>  Wed, 15 Aug 2012 11:46:24 -0400

kernel-package (12.036+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove minimum-version checks that were incorrect for Linux 3.x and
    were already satisfied by Linux 2.6.26 (lenny) (Closes: #635563)
  * Look for lguest tools in both Documentation/virtual/lguest and
    Documentation/lguest (Closes: #638012)
  * Do not suggest obsolete ksymoops package (Closes: #637421)
  * Fix incompatibility with make 3.82 due to indentation with spaces
    (Closes: #635019), thanks to Jens Lody
  * Fix native builds on armel and armhf (Closes: #633743):
    - Test for cross-compilation by comparing build CPU name with host
      CPU name, not host Debian architecture name
    - Merge armel.mk into arm.mk
    - Add default configuration for armhf
  * Change all example revisions in README to begin with a digit, as
    now expected by dpkg (Closes: #620515)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 04 Mar 2012 01:36:38 +0000

kernel-package (12.036+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Manpages translations:
    - French. Closes: #598048
  * Fix the clean target to actually clean translated manpages.

 -- David Prévot <david@tilapin.org>  Tue, 09 Nov 2010 19:25:36 -0400

kernel-package (12.036) unstable; urgency=high

  * Fixing bugs introduced in the last bug fixing release
  * [9b4c1f8]: [master]: remove spurious symlink from examples
    Bug fix: "No such file or directory", thanks to Tino Keitel
                                                     (Closes:  #589700).
  * [198831c]: [master]: Cater to a cross compilation variable setting
    of -
    Bug fix: "64-bit kernel build on i386 is broken", thanks to Sven
    Joachim                                           (Closes: #589704).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jul 2010 22:49:06 -0700

kernel-package (12.035) unstable; urgency=high

  * More bug fixes. Priority high since it fixes an important (previously
    "grave") bug.
  * [4729677]: [master]: Make make-kpkg clean less verbose
    Bug fix: "too verbose on clean target", thanks to Cameron Hutchison
                                                         (Closes: #576926).
  * [805647d]: [master]: Do not pass -nc to dpkg-buildpackage Passing -
    nc made dpkg-buildpackage default to not building source, and that
    caused the buildpackage to fail (arguably, this is a bug in dpkg).
    Bug fix: "make-kpkg buildpackage fails with 2.6.33", thanks to
    Christoph Anton Mitterer                             (Closes: #581182).
  * two patches to improve symlink creation with kernel-package example
    scripts, thanks to  Anisse Astier <anisse@astier.eu>

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Jul 2010 11:20:46 -0700

kernel-package (12.034) unstable; urgency=low

  * Bug fixes.
  * [277021f]: [master]: Fixed incomplete paranoid check for image names
    in postinst Thanks to crazyorcmeister@gmail.com
    Bug fix: "Fails to build linux-image on 2.6.35-rc4 if
    CONFIG_LOCALVERSION is set", thanks to Sven Joachim (Closes: #588126).
  * [0f83b83]: [master]: allow arch specific Makefiles to override
    objcopy as needed. kernel-package fails to build a kernel package on
    hppa when the target kernel is 64-bit. It fails because kernel-
    package uses hardcoded "objcopy" to build /usr/lib/debug debuginfo
    files for kernel modules but 64-bit kernel needs crosscompile prefix
    on parisc and normal objcopy does not understand the 64-bit module
    format. This change uses the same mechanism as the kernel Makefiles
    to allow arch specific Makefiles to specify what to use as objcopy.
    Bug fix: "wrong objcopy on 64-bit parisc, debug symbol stripping
    fails", thanks to Meelis Roos                        (Closes: #576725).
  * [f0bf2cf]: [master]: use KERNELRELEASE instead of version in the few
    remaining places. The generated debian/control file uses version
    rather than KERNELRELEASE varible which means that extra/local
    verion doesn't get into the file and the package build fails. This
    patch converts the remaining places that do not use KERNELRELEASE.
    Thanks to Michal Hocko <mstsxfx@gmail.com>           Closes: Bug#588126
    Signed-off-by: Manoj Srivastava <srivasta@debian.org>
  * [49d0e16]: [master]: Allow $(DEB_DEST) to be Overridden
    Bug fix: "Please Allow $(DEB_DEST) to be Overridden", thanks to
    Elliott Mitchell                                       (Closes: #572398).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 18 Jul 2010 10:00:10 -0700

kernel-package (12.033) unstable; urgency=low

  * New bug fixing revision
  * [5226aad]: Change perl pattern match expressions in maintainer
    scripts to use the first occurrence only Also, anchor matches to the
    beginning of line.
    Bug fix: "See Bug#568317: linux-image-* postinst did not correctly run
    lilo", thanks to Paul Szabo                            (Closes: #568823).
  * [88f663a]: Fix a cut-and-paste typo
    Bug fix: "[kernel-package] syntax error in
    rulesets/targets/common.mk", thanks to Daniel Schaal   (Closes: #564452).
  * [2292461]: Allow a 0 revision
    Dont just test $version, but make sure that it is defined
    and non-empty, and thus permit a 0 revision.
    Bug fix: "Doesn&#39;t allow 0 revision", thanks to Matt Kraai (Closes: #566510).
  * [b804928]: Add a -j/--jobs option to make-kpkg
    This allows the user to build a kernel image package in parrallel, by
    using the internal CONCURRENCY_LEVEL variable. Idea and code from
    owen.riddy@gmail.com.
    Bug fix: "Please add a &#39;-jX&#39; flag to make-kpkg", thanks to
    owen.riddy@gmail.com                                        (Closes: #569760).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Feb 2010 20:20:40 -0800

kernel-package (12.032) unstable; urgency=low

  * [5ba7956]: Adjust to compile.h moving to include/generated Patch
    contributed by Jean-Luc Coulon and Matt Krai.
    Bug fix: "Fails with Linux 2.6.33-rc1", thanks to Sven Joachim
    (Closes: #561569).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 04 Jan 2010 14:41:22 -0600

kernel-package (12.031) unstable; urgency=low

  * More XEN work.
  * [e6654f5]: Treat XEN images just like normal images in yet another
    place
 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Nov 2009 22:58:33 -0600

kernel-package (12.030) unstable; urgency=low

  * Minot tweak for the Xen images
    [b4a82ae]: Don't install vmlinux by default for XEN images
    If people want it, it can be set in the config file.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 21:25:19 -0600

kernel-package (12.029) unstable; urgency=low

  * Fix the fallout from the previous changes.
  * [dc3524a]: Decouple the name of the kernel image from the target
    In a number of cases the target we invoke and the image file
    produced have different names. kernel-package has historically
    coupled them, and taken corrective action in postinst, this commit,
    along with the previous one, moves us to a cleaner state.
    Bug fix: "make-kpkg binary-arch fails: No rule to make target
    `vmlinuz'", thanks to Євгеній Мещеряков          (Closes: #557102).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 10:24:00 -0600

kernel-package (12.028) unstable; urgency=low

  * More bug fixes with the XEN images.
  * [3ec0509]: Brown Paper bag spelling fix: iamge -> image
  * [34fa772]: Rework handling of XEN packages

    So far, kernel-package would pay special attention to the
    configuration files that enabled XEN hypervisor/guest images, mangling
    the package name, and changing the file paths where the images were
    dumped. This caused no end of confusion to third party tools, and also
    surprised people when packages with different names had unexpected
    file conflicts. With dpkg defaulting to --force-overwrite that could
    be catastrophic.  This is because a normal kernel image, a XenU or a
    Xen0 image, all looked for modules in /lib/modules/$version, and would
    conflict.

    With this commit, kernel-package stops paying attention to the XEN
    configuration hints in the config, producing a normal kernel image.
    If users want to have a DomU or a Dom0 image from the same kernel
    version, they will have to do what people wanting to run kernels witht
    he same version with differing configurations have always had to do:
    use --append-to-version to make the kernel images packages not
    conflict.
    Bug fix: "postinstallation script uses wrong name for xen0 kernel",
    thanks to John Hughes                                (Closes: #556929).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 00:38:06 -0600

kernel-package (12.027) unstable; urgency=low

  * [8beaceb]: Fix the control file to use the new XEN image names
    Bug fix: "make-kpkg picks wrong name for xen kernel", thanks to John
    Hughes                                               (Closes: #556783).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 23:08:43 -0600

kernel-package (12.026) unstable; urgency=low

  * A new bug fixing version
  * [6d91188]: Add an example of cross compiling for a subarch Based on
    a bug report by Arthur Marsh
  * [b9434e8]: Change the name of the Xen image packages to be closer to
    grub expectations
    Bug fix: "standard make-kpkg proceedure creates xenu image", thanks to
    Alan BRASLAU                                        (Closes: #556043).
  * [a76509e]: Add .gnu_debuglink section to installed modules make-kpkg
    produces split debuginfo for modules and does not add .gnu_debuglink
    section. This causes problems with tools that expect debuginfo files
    with extension .debug (like libwd1, used by systemtap).
    Bug fix: "should add .gnu_debuglink section to kernel modules", thanks
    to Євгеній Мещеряков                                (Closes: #556130).
  * [22e91f3]: Add a new HOWTO from Stephen Powell

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 02:43:53 -0600

kernel-package (12.025) unstable; urgency=low

  * [08f81b5]: Remove mention of removed feature of on-the-fly patching
    The feature of patching the kernel while compiling it has been
    removed, since it was way more trouble than it was worth, did not
    play nice with a git repo, and has a n easy work around -- just pre-
    patching the source. This commit removes mentioning it as a
    supported feature.
    Bug fix: "no documentation on how to apply patches", thanks to Felipe
    Sateler                                             (Closes: #552521).
  * [8969dc9]: Fix description of the --revision option If supplied,
    this sets the whole version of the package, not just the Debian
    revision. Rather than change behaviour and break people's setup,
    made the documentation reflect reality.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Nov 2009 00:23:01 -0600

kernel-package (12.024) unstable; urgency=low

  * New bug fixing release
  * [adc056e]: Fix the regular expression used for Xen images
    Also, correct the package name for the Xen image package in the
    maintainer scripts.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Oct 2009 13:11:09 -0500

kernel-package (12.023) unstable; urgency=low

  * [20ca199]: Properly record Xen image names Properly set Kimage for
    Xen images, and make the image maintainer scripts recognize these
    new names.
    Bug fix: "postinst file for xen kernel should be modified", thanks to
    Jean-Pierre Flori (Closes: #551657).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Oct 2009 18:57:04 -0500

kernel-package (12.022) unstable; urgency=low

  *
  * [c526081]: Fix problems with building Xen kernel image packages
    Simplify the arch rules for Xen packages, and make sure that the
    names of the packages are sane as well.
    Bug fix: "Fails to build Xen kernel packages", thanks to Stefan Goebel
                                                         (Closes: #508487).
    Bug fix: "amd64.mk contains obvious typo &quot;kelfimagesrc&quot; in
    place of &quot;kelfimagedest&quot;", thanks to John Hughes
                                                         (Closes: #548058).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Oct 2009 00:58:12 -0500

kernel-package (12.021) unstable; urgency=low

  * [c1b39da]: Put the generated conf.vars file under ./debian
    Move generated file conf.vars to ./debian/stamp/conf. This avoids
    polluting the upstream space, and remove the possibility of reuing an
    obsolete version. Also simplifies cleanup, since ./debian/stamp is
    cleaned up anyway.
  * [f98712a]: Add missing line from man page
    Thanks to Sylvain Cherrier for pointing it out.
  * [4490257]: Added french translations from Sylvain Cherrier
  * [875720d]: Only attampt to install man pages for languages man pages
    exist for. Since we only have french man pages translated, do not try
    to install any other languages

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Sep 2009 10:22:09 -0500

kernel-package (12.020) unstable; urgency=low

  * [944d096]: Handle spaces in DEB_BUILD_OPTIONS in the buildpackage
    target
    Bug fix: "not handling spaces in DEB_BUILD_OPTIONS", thanks to Steve
    Cotton                                             (Closes: #542920).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 23 Aug 2009 08:02:31 -0500

kernel-package (12.019) unstable; urgency=low

  * Bug fix: "creating Debian packages fails, create_md5sums is
    undefined", thanks to Sven Joachim (Closes: #542795).
  * [9532201]: When changing the name of the function, also change
    invocation The md5sum creation function had a change cherry picked
    from the mainline branch, however, that branch had a different name
    for the function. This patch brings invocation back in line with the
    definition of the function. Closes: #542795 Signed-off-by: Manoj
    Srivastava <srivasta@debian.org>

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 Aug 2009 09:11:08 -0500

kernel-package (12.018) unstable; urgency=low

  * [82bcf49]: [kernel-package]: Add a recommends on cpio
    Since the headers package uses cpio during the build.
    Bug fix: "make-kpkg requires cpio.", thanks to Hae-woo Park
                                                (Closes: #535085).
  * [3b8f3a6]: Remove obsolete debconf templates.
  * [2e8cad0]: Update documents to reflect new capabilities and
    conventions Various small updates to man pages, and removals of
    documents that are now obsolete.
    Bug fix: "minor issues and improvements", thanks to Christoph Anton
    Mitterer                                       (Closes: #540363).
  * [e9d9c05]: Documented default for ignore_depmod_err.
  * [bcd8cae]: Export an environment variable while running hook scripts
    in /etc/kernel When hook scripts in /etc/kernel are run, they have
    not way of determining if the script is being run by an official
    kernel, or a user created kernel using kernel-package. Matthijs
    Kooijman proposed a scheme (details in Bug#523735) which will allow
    scripts that need to distinguish between them (like initramfs-tools
    scripts) where kernel-package created maintainer scripts export and
    environment variable (KERNEL_PACKAGE_VERSION) to help that
    determination. This patch does that.
  * [6cbeee2]: Do not install Rationale twice, or (obsolete) non po4a
    man pages. Thanks to Christoph Anton Mittere for pointing out the
    double installation of the Rationale.
  * [259e5ad]: Note that settings in /etc/kernel-pkg.conf are case
    sensitive This has bitten some folks. Thanks to Christoph Anton
    Mitterer for pointing it out.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Aug 2009 21:11:05 -0500

kernel-package (12.017) unstable; urgency=low

  * [f6bf41f]: Fix broken cust and paste error. Bug fix: "first line of
    /usr/share/kernel-package/ruleset/misc/defaults.mk is botched", thanks
    to Sven Joachim. This demonstrates that no last minute change is safe,
    even one changing a comment. But at least it is empirical evidence
    that people still use kernel-package.                (Closes: #535041).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 29 Jun 2009 08:36:42 -0500

kernel-package (12.016) unstable; urgency=low

  * [4df65e7]: Remove obsolete warnings about running make-clean
    With the new facility to regenerate ./debian, all the old strictures
    about running make clean after anything that might change the version
    number have beenmade obsolete, so remove from man page.
    Bug fix: "Is the --append-to-version section still accurate?", thanks
    to Frédéric Brière. Short answer: No.                  (Closes: #534743).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Jun 2009 15:31:12 -0500

kernel-package (12.015) unstable; urgency=low

  * New bugfixing release.
  * [f8001f9]: Add documentation to show how people may veryfy the
    compiler used Made the example a little bit more clear, and added
    hints to set KBUILD_VERBOSE.
    Bug fix: "MAKEFLAGS=&quot;CC=gcc-4.4&quot; not honoured", thanks to
    Arthur Marsh                                          (Closes: #529811).
  * [987138f]: Typographical error fixes
    Bug fix: "/etc/kernel specified as /etc/kenel in make-kpkg man page",
    thanks to Nick Black                                  (Closes: #530494).
    Bug fix: "some typo fixes", thanks to Edward J. Shornock
                                                          (Closes: #528955).
  * [3e43617]: Do not try to parse non-existent debian/changelog
    Early in make-kpkg execution, we do not not have a ./debian; and are
    trying to create it. Therefore, including ruleset/common/pkgvars.mk is
    a mistake, since that file tries to parse ./debian/changelog to see
    what the old values were. Perhaps pkgvars.mk is now obsolete?

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 25 Jun 2009 09:16:48 -0500

kernel-package (12.014) unstable; urgency=low (doc changes)

  * [ec3919c]: Fixed deficiencies in kernel-pkg.conf(5) manual
    Bug fix: "minor issues in kernel-pkg.conf manpage", thanks to
    Christoph Anton Mitterer                        (Closes: Bug#526937).
  * [007d296]: Fix issues with kernel-img.conf man page
    Bug fix: "minor issues in kernel-img.conf manpage",  thanks to
    Christoph Anton Mitterer                        (Closes: Bug#526977).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 May 2009 12:57:26 -0500

kernel-package (12.013) unstable; urgency=low

  * [873e67d]: Fix typo in header_postinst.d/link example
    The first change is an simple typo fix, ~ --> ! Next, the test to set
    the correct architecture is incorrect for i386/amd64, as both got
    merged around 2.6.24, thus the check should be "amd64|i386)" instead
    of just "amd64)".
    Bug fix: "typo in header_postinst.d/link example", thanks to Sven
    Hartge                                               (Closes: #526497).
  * [22a0d94]: Added more example files for /etc/kernel
    This commit adds a set of example script that wll automatically handle
    /lib/mocules/$VERSION/build -- setting it to point to the kernel
    headers files when either the kernel image or the kernel header
    packages are installed, and cleaning the link up when either of these
    packages are removed.
  * [04ba4c1]: Make sure that initramfs hook script are safe
    This means they will not error out if the corresponding initramfs
    generator is not installed. This way, people may install both the
    initramfs and yaird hook scripts, and they will only trigger if the
    generator is actually installed.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 01 May 2009 16:18:48 -0500

kernel-package (12.012) unstable; urgency=low

  * [8a8b3bd]: Added example scripts that use yaird to generate initramfs
    So far, I was being biased, by just providing 4examples
    for one of the two top initrds genrators. This commit should be one
    of many expanding the selection of example scripts to drop into
    /etc/kernel

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Apr 2009 13:46:36 -0500

kernel-package (12.011) unstable; urgency=low

  * [a4553b8]: Fix the overlay directory option The SRCTOP variable was
    undefined in minimal.mk. Fixed that by including the proper make
    snippet.
    Bug fix: "SRCTOP is not substituted in kernel/ruleset/minimal.mk",
    thanks to David Madore                            (Closes: #526336).
  * [88ab204]: Clarify documentation about hook scripts some more

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Apr 2009 11:29:06 -0500

kernel-package (12.010) unstable; urgency=low

  * [f0a358d]: Clarify that kernel-package no longer will create initrds
    Instead, now all that --initrd does is to arrange to convey to the
    hook scripts that this image requires an initrd, and that the initrd
    generation hook scripts should not short circuit early. Without this
    option, the example initramfs hook scripts bundled in with kernel-
    package will take no action on installation.
    Bug fix: "fails to build initrd and make a non-compliant .deb from
    vanilla 2.6.27 source", thanks to Arthur Marsh      (Closes: #524499).
  * [152cd7e]: support silentoldconfig in bash completion
    Added silentoldconfig as a possible completion target.
    Bug fix: "support silentoldconfig in bashcompletion", thanks to Joerg
    Friedrich                                           (Closes: #524480).
  * [7a84f1d]: Only try to clean lguest directories if they exist
    The current kernel-package version fails to clean for kernel 2.6.22
    and before. kernel-package breaks on the absence of the
    Documentation/lguest directory.
    Bug fix: "Fails to clean for kernel &lt;= 2.6.22, due to missing
    lguest", thanks to Matthijs Kooijman                 (Closes: #524349).
  * [debiandir:461d02f]: Typo fix: tine -> time
    Bug fix: "[TRIVIAL] Small typo in NEWS.Debian.gz", thanks to Reynaldo
    H. Verdejo Pinochet                                  (Closes: #524800).
  * [54dd024]: dbg packages should be in new "debug" section
    Bug fix: "-dbg packages should be in section &quot;debug&quot;",
    thanks to Євгеній Мещеряков                           (Closes: #525033).
  * [4b15849]: Add a work around for a bug in fakeroot
    When the following conditions are met:
      - the target is buildpackage
      - the get root command is fakeroot
      - parallel builds are turned on via CONCURRENCY_LEVEL
    fakeroot segfaults. If any of these conditions are not met, things
    work; so thi patch just turns of building in parallel when the other
    two condtions are met. This is related to Bug#525144
  * [0624e49]: Fixes for cross compilation
    Move the armel/armeb kernel_arch setting code from minimal.ml to
    kernel_arch.mk. Make minimal.mk use kernel_arch.mk.
    Bug fix: "fails to cross-compile linux-2.6.30-rc3", thanks to Євгеній
    Мещеряков                                             (Closes: #525352).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 26 Apr 2009 00:11:07 -0500

kernel-package (12.009) unstable; urgency=low

  * [debiandir:9dced49]: Change the section to "kernel" That makes it come in
    conformity with the new sectioning schema.
  * [fdc8183]: only trigger initramfs removal on 'remove', and not again
    on purge. (This is a change in an example script). Also, since this is
    a remove, and the initramfs call is a convenience function for clear
    out initramfs-tool metadata, we do not care if it actually worked. We
    just make the best effort at clean up, but do not let the cleanup
    abort the process.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Apr 2009 11:36:45 -0500

kernel-package (12.008) unstable; urgency=low

  * [55b39b3]: Move invocation of postinst hook scripts after
    /etc/kernel/*.d/* scripts A lot of people have update-grub in their
    /etc/kernel-img.conf postint_hook setting. If that is called early,
    the initramfs invocation in /etc/kernel/postinst.d/initramfs has not
    yet happened, so the update grub script does not notice the
    initramfs, making the system unbootable. Yes, the update grub cant
    be moved into /etc/kernel/postinst.d/ too, but this is friendlier.
    Bug fix: "postinst hook script (update-grub) ran before
    /etc/kernel/postinst.d/initramfs.", thanks to Jean-Luc Coulon (f5ibh)
                                                      (Closes: #523931).
  * [e202c29]: Fix the arch passed in for the clean target for arme{l,b}
    The clean target wrks with a minimal setup, since ./debian id
    removed, and thus was nor passing the arch arm for armel and armeb,
    This commit fixes that. Only the clean target was affected.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Apr 2009 22:52:37 -0500

kernel-package (12.007) unstable; urgency=low

  * [324ee53]: Fix the psotinst.d initramfs, like we did the postrm.d
    This one slipped through the cracks. We need to preserve the
    arguments to the script before we blow them away to replace them
    with the maintainer script arguments.
    Bug fix: "DEB_MAINT_PARAMS break $1 used for update-initramfs", thanks
    to Jean-Luc Coulon (f5ibh)                           (Closes: #523864).
  * [ae942fc]: Put the vmlinux and System.map in the correct location
    Putting them in unversioned dorectories was a mistake, a carry over
    from when the debug package isntalled the stuff in
    /usr/lib/linux-debian-$version instead of /usr/lib/debug.
    Bug fix: "vmlinux in incorrect location", thanks to Євгеній Мещеряков
                                                         (Closes: #523921).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Apr 2009 12:26:35 -0500

kernel-package (12.006) unstable; urgency=low

  * [9fe0183]: Added a new feature: overlay directory
    This commits add an overlay feature. The specified directory should
    contain files that will be placed in the ./debian directory of the
    kernel sources, in preparation to building the debian packages,
    replacing the files normally found in /usr/share/kernel-package. Inn
    theory, this should provide all the features official kernel images
    might need to use kernel-package, without any formal support from
    kernel-package. It should also address the need for any users that
    needed to add content to ./debian, and more conveniently than before.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Apr 2009 01:27:49 -0500

kernel-package (12.005) unstable; urgency=low

  * [9e9322f]: Typo fix: modiles --> modules
    Bug fix: "Typo in /examples/etc/kernel/header_postinst.d/link", thanks
    to Jean-Luc Coulon (f5ibh)                           (Closes: #523767).
  * [b6a8f53]: Do maintainer script checks only if the maintainer args
    are present The example scripts performed checks even if the
    DEB_MAINT_PARAMS was empty. This commit fixes that, now we only do
    the checks is the arguments had been passed in.
    Signed-Off-By: Manoj Srivastava <srivasta@debian.org>
    Bug fix: "initramfs creation broken", thanks to Michael Biebl
                                                    (Closes:  #523835).
  * [86d7d2d]: Put a symlink in /usr/share/doc/kernel-package/examples
    This way, we have at least a pointer to the example files.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 12 Apr 2009 17:32:28 -0500

kernel-package (12.004) unstable; urgency=low

  * [0ee9cc3]: Keep modifications to the upstream directory to a minimum
    When upstream kernel build system started delting ./debian directory
    on clean, we had to start taking making an effort to preserve
    ./debian, since there was a lot of information in there that was
    important to us. So we had a way of diverting the makefile and
    scripts away that did the removal of ./debian, and restoring them
    when we wanted to. Now that the ./debian directory has become
    ephemeral, we only need to preserve it when calling clean during the
    buildpackage target, since invoking make-kpkg at any other time
    cleans ou ./debian anyway. So we can be more selecting in when we
    divert upstream scripts; and thus leave the upstream directory more
    like we found it (this makes git happy).
  * [2c00231]: Copy all the examples into the kernel image package
    Arguably, the examples are more relevant in image directories than
    they are in the kernel-package doc directory. There was a error in
    the kernel image target, caught by Sedat Dilek.
  * [12d3c74]: Fix --append-to-version
    Apparently, one of the casualties of the recent changes was
    --apend-to-version. Tested the fix.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 12 Apr 2009 02:16:53 -0500

kernel-package (12.003) unstable; urgency=low

  * [befac7c]: add support for the -j flag of dpkg-buildpackage
    When make-kpkg has been told to run in parrallel bythe user setting
    CONCURRENCY_LEVEL, pass that long to the buildpackage target.
    Bug fix: "Support parallel=X option set by dpkg-buildpackage in
    addition to CONCURRENCY_LEVEL", thanks to Junichi Uekawa
                                                  (Closes:  #510298).
  * [75423e7]: Export maintainer script parameters to hook scripts
    Maintainer script option need to be passed on to the hook scripts,
    since there are many ways that the script may berun (for example,
    postinst hooks scriopts are called even when the installation is
    aborted). This commit adds the maintainer script arguments to an
    envronment variable, DEB_MAINT_PARAMS. Updated the example hook
    scripts shipped in the documentation to demonstrate how these
    arguments can be accessed and used.
  * [3409792]: We want while read file; do ... done, not xargs
    This will teach me to just take code from bug reports without
    thinking.  Unfortunately, I added two dummy modules to my config (I do
    not use modules), so there was no error with objcopy; and I only
    looked at the second module to see if it was stripped :-(
    Bug fix: "kernel-debug target does not work", thanks to Євгеній
    Мещеряков                                          (Closes: #523553).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 11 Apr 2009 14:26:51 -0500

kernel-package (12.002) experimental; urgency=low

  * [5f1b8e9]: Add INSTALL_MOD_STRIP to strip modules
    The basic idea here is to keep the space in /lib/modules/<kver> under
    control, since this could be on a root partition with space
    restrictions. The suggestion comes from Theodore Ts'o. Closes:  #373639
  * [c24657f]: Add a "debuginfo" package
    This adds support for creating a kernel package which contains the
    Linux kernel debug image. This means the debugging information for the
    modules in the kernel image package, and the uncompressed vmlinux
    image. This builds on suggestions and code from Troy Heber, Theodore
    Y. Ts'o, and Dann Frazier. This package is also what is required by
    SystemTap.                                     Closes: #365349, #517290

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 09 Apr 2009 16:10:18 -0500

kernel-package (12.001) experimental; urgency=low

  * This is a major change from the version shipped in Lenny.
  * [123d487]: Get rid of the facility to patch kernel sources

    The patch the kernel facility was adding complexity, and failing to
    provide the flexibility required for a generic patching facility. It
    has been removed, users need to patch the sources _before_ calling
    make-kpkg.
  * [ce61f77]: Remove special case code for official kernels
    Allows for minimal recompiles after minor changes t the kernel; and we
    can now recreate ./debian cheaply, so version mismatches are
    mitigated.
  * [7cc98b0]: Modified the maintainer scripts for the header package
  * [ff0f1eb]: Modified the maintainer scripts for the doc package
  * [f32d2ba]: Modified the maintainer scripts for the source package

    These patches extends the package maintainer scripts to all four
    actions, and creates the directories that the hook scripts can be
    dropped in for site configuration of the actions that the package
    takes.

    The link manipulation that the header packages used to do in the
    postinst has been removed, and is now provided as an example
    script.
  * [cdcd478]: Image postinst no longer runs a boot loader
    Note that this was already the case for grub, one of the more popular
    boot loaders.  This allows the image package to be more flexible, since the
    end user is no longer restricted to the actions encoded in the image
    package. This is a fairly large change.
    Bug fix: "mentions of grub on ia64", thanks to dann frazier. This was
    a pretty minor bug, but is obsoletre since we no longer run boot
    loaders, and thus have no need t warn people os a possible mismatch
    with local policy.                                    (Closes: #515138).
  * [f8bc553]: The postinst no longer manipulates symlinks

    Any symbolic link  manipulation must now be done with hook scripts in
    /etc/kernel/*.d directories (modern bootloaders don't need the links
    anyway). Eample hook script demonstrate how a more flexible local
    policy for symlinks can be easily put ihnto place, replacing the
    fairly rigid policy previously implemented.
  * [84364f0]: The image postinst no longer runs the initrd command
    The postinst now just conveys to the hook scripts whether
    this particular image was configured for an initial ram image or
    not, using the environment variable INITRD. There are example
    scripts provided that will perform the task. These scripts will work
    for official kernel images as well.
    Bug fix: "postrm script leaves stale files in
    /var/lib/initramfs-tools/", thanks to Jan Muszynski. The proposed fix
    was not good, since it would require kernel-package to muck around
    with internal files for initramfs tools. This way, the user may add an
    postrm.d script that uses the accepted interface to clean up.
                                                            (Closes: #511004).
    Bug fix: "make-kpkg should use update-initramfs when 
", thanks to
    Arthur Marsh. Again, since the kernel does not call any initramfs
    creators, be design, this bug is obsolete.
                                                             (Closes: #518107).
    Bug fix: "Uses deprecated mkinitramfs-kpkg", thanks to Matt
    Kraai. Yup. the functionality was deprecated with no coordination with
    k-p. So now we don't call it at all.                     (Closes: #517345)
  * [ecb2bd3]: make-kpkg removes and re-creates ./debian on every invocation
    Bug fix: "Normal make functionality seems broken", thanks to David
    Baron. Actually, normal make functionality is not to recreate targets
    until there is need, and thus the stamp files are all that needed to
    be removed. However, until now, we could not regenerate
    ./debian/changelog, so the support for minor changes without running a
    clean was not feasible.                                   (Closes: #522728).
  * [79b31b4]: Add a missing endif This is a typo fix
    Bug fix: "make-kpkg fails with 2.6.29 on sparc", thanks to Max Berger
                                                              (Closes: #521031).
  * [3b1f6d9]: Problems building modules using cross-compiling option
    Applied patch provided by Jose Calhariz.
    Bug fix: "Problems building modules using cross-compiling option
    --cross-compile=-", thanks to Jose Calhariz                (Closes: #520356).
  * [debiandir:53af1ee]: Give up and depend on build-essential
    This will prevent at least some surprises when people try to use
    kernel-package.
    Bug fix: "Needs to depend on libc6-dev", thanks to Christopher Carr
                                                               (Closes: #515746).
  * [debiandir:7be8542]: Updated newsworthy changes since last release.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 07 Apr 2009 00:51:21 -0500

kernel-package (11.017) unstable; urgency=low

  * [1229dc0]: Consolidate sparc variants post 2.6.29 when building a
    kernel on Sun (sparc64), kernel-package searches the final kernel
    image in arch/sparc64/boot/image, but there is no arch/sparc64/
    anymore in 2.6.29-rc3 (and probably earlier .29 releases). All the
    stuff was merged into arch/sparc/. So now kernel arch is always
    sparc.
    Bug fix: "arch/sparc64 is no more (2.6.29-rc3)", thanks to Evgeni
    Golov                                              (Closes: #514228).
  * [5242160]: Also run hook files in /etc/kernel/{src,header}_postinst.d
    The only way to add hook scripts was to add them to the
    src_postinst_hook and header_postinst_hook, which seemed to be
    suboptimal.
  * [da0f706]: Handle unusual umask values
    (chmod after using sed to create files) If the user has a crazy umask,
    then creating the ./debian/control and ./debian/changelog files would
    end up with strange permissions that caused dpkg to choke.
    Bug fix: "make-kpkg fails under strange umask values", thanks to  Bart
    Massey.                                             (Closes: #514482)
  * [b2413fc]: Provide version when using the minimal rules file.
    When the ./debian directory does not exist, the frirs
    step is to use a minimal rules file to create the ./debian
    directory, and _then_ use the full rules file for all other actions.
    Unfortunately, the minimal rules file did not know what version of
    kernel-package it belonged to, so now make-kpkg provides that
    information.
    Bug fix: "This is kernel package version .", thanks to
    shaulkarl@yahoo.com</a>;                               (Closes: #508198).
  * [792a2b9]: Added german debconf translation.
    Bug fix: "[INTL:de] updated german program translation", thanks to
    Holger Wansing                                       (Closes: #507517).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 08 Feb 2009 01:36:29 -0600

kernel-package (11.016) unstable; urgency=low

  * [09a790a]: Fix test syntax while setting LINK_ARCH

    The test syntax in the inner if statement for overriding LINK_ARCH to
    x86 is incorrect in ruleset/targets/headers.mk, causing LINK_ARCH to
    be set to x86 regardless of $(KERNEL_ARCH) with current
    kernels.

    Bug Fix: "LINK_ARCH set to x86 with kernel > 2.6.23 regardless of
    KERNEL_ARCH", thanks to Michel Dänzer.        Closes: Bug#514000
  * [3cdee83]: Install crtsavres.o if it exists

    The powerpc linux- headers-* packages generated by make-kpkg are
    missing the file arch/powerpc/lib/crtsavres.o which is required for
    building kernel modules on recent 2.6 kernels.
    Bug Fix: "Building out-of-tree modules fails on powerpc due to missing
    file crtsavres.o", thanks to Michel Dänzer.   Closes: Bug#512271

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 03 Feb 2009 09:45:34 -0600

kernel-package (11.015) unstable; urgency=low

  * New bugfix version
  * [3000654]: Fix a man page typo (headers_postinst_hook -> header_postinst_hook)
  * [0d0b709]: [sparc] The gzipped image file must not have the .gz  suffix
    Bug fix: "[sparc] Breaks on gzip compression"             (Closes:  #506854)
  * [18b6142]: Do not override the config target set in kernel-pkg.conf
    By removing the default value, and only setting the config target if
    it was empty, allows users to set the target for all future
    compilations on that machine. This is a pretty safe fix.
    Bug fix: "config_target  in /etc/kernel-pkg.conf gets ignored", thanks
    to Harald Gutmann                                          (Closes: #506905)

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Nov 2008 15:45:40 -0600

kernel-package (11.014) unstable; urgency=low

  * [bc8223d]: On sparc, the image is compressed. Take that into account

    Fixes another RC bug. Hopefully, this is the last of the sparc-only
    bugs that need fixing ...

    Bug fix: "[sparc] Breaks on gzip compression", thanks to Bastian Blank
                                                             (Closes: #506854)

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Nov 2008 09:42:59 -0600

kernel-package (11.013) unstable; urgency=high

  * [fd7dc12] Fix gzip invocation when compressing kernel image

    When we factored out the copying of the kernel image source to the
    destination, we forgot to change
      gzip -9vc SRC > DEST
    to
     gzip -9fq DEST
    since the copying is now done earlier. This cause build failures on
    sparc. This fixes a grave bug, and the error was introduced in 11.003

    Bug fix: "[sparc] no longer produces compressed kernels for
    linux-2.6", thanks to Frans Pop                    (Closes: #506711).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Nov 2008 09:33:54 -0600

kernel-package (11.012) unstable; urgency=low

  * New bug fixing release.
  * [3f7296a] Handle Xen code configured into modern kernels

    When building a current kernel with the in-kernel xen code enabled on
    amd64, kernel-package does not recognize this correctly because it
    matches on a config variable which apparently is no longer set (or
    maybe even was never used in the in-kernel xen code). This commit adds
    an extra stanza that adds support for the Xen in new kernels. The
    suggestion and bug report were from  Michael Holzt. The patch is a
    three line change.

    Bug fix: "does not recognize xen enabled kernel on amd64", thanks to
    Michael Holzt                                      (Closes: #503686).
  * [720444c] Add french translations for the debconf templates

    This is a new french translation for debconf templates in the packages
    generated by kernel-package.

    Bug fix: "[INTL:fr] French translation for debconf templates of
    generated packages", thanks to Jean-Christophe      (Closes: #503905).
  * [debiandir:343ab3c] Update the build dependency for po4a

    The version of po4a in Etch does not have the command line options we
    need; so this build dependency helps in backporting.

    Bug fix: "Backport to Etch fails with po4a error", thanks to Carsten
    Aulbert                                              (Closes: #505661).
  * [4a35a16] Use the variable LINK_ARCH to include x86 headers

    Use the LINK_ARCH variable instead of KERNEL_ARCGH variables in more
    places; this ensures that the headers for x86 archies do not go
    missing. We already have code to grab the headers from the new
    location; but were looking at the wrong architecture name.

    Bug fix: "Does not include complete asm tree in linux-headers", thanks
    to Shane Wegner. This is an important bug.            (Closes: #505038).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 Nov 2008 23:32:44 -0600

kernel-package (11.0011) unstable; urgency=low

  * [02be18e] Fix the make-kpkg --config fooconfig configure target
    make-kpkg always ran (silent)?oldconfig, no matter what. Simplified
    the selection of the configure target, and unbroke the
    functionality. This should have been an important bug.
    Bug fix: "menuconfig does not work", thanks to Marcus Better
                                                           (Closes: #502407).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 17 Oct 2008 20:53:16 -0500

kernel-package (11.0010) unstable; urgency=low

  * [3aea39c] Add missing braces around variable in debconf template
  * [b0a7ac0] Correct logic around running lilo
    Bug fix: " postinst problems in generated linux-image-*", thanks to
    Darren Salt.                                     (Closes: #502255)
  * [920898e] Modify docs now that make-kpkg clean is not a requirement
    The new build system is far more robust about keeping up with version
    numbers, and so all that is needed to change a .config or a version
    number is to just rm -rf ./debian and start building. This cuts down a
    lot on time wasted building kernels and deleting the .o files before
    the next build.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2008 03:18:41 -0500

kernel-package (11.009) unstable; urgency=low

  * [ef3744c] Fix incorrect image name when using a .config with Xen
    configured.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2008 00:20:51 -0500

kernel-package (11.008) unstable; urgency=low

  * [77c7df0] Fix and use po4a for man pages
    [debiandir dfa2ff7] Generate man pages from po4a while building
    [debiandir b456d2d] Add a build dependency on po4a
    Bug fix: "[proposition] convert to po4a", thanks to Martin Quinson
                                                     (Closes: #260526).
    Bug fix: "French manpages translation", thanks to Christian Perrier
                                                     (Closes: #487425).
  * [f2f3b7f] Remove early version check from make-kpkg: too many false
    positives. The new build system does a good job of handling version
    mismatches now anyway.
  * [05d7763] Use DEBEMAIL and friends if /etc/kernel=pkg.conf is
    unconfigured
    Bug fix: "Please support DEBEMAIL, DEBFULLNAME, DEBNAME", thanks to
    Josh Triplett                            (Closes: #454932, #490551).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Oct 2008 00:43:18 -0500

kernel-package (11.007) unstable; urgency=low

  * [18b1daf] Add localization of kernel image debconf templates
    This is thanks to Kenshi Muto, who figured out the logic error in
    calling the po2debconf scripts, and helped fix the invocation.  We
    used to do nothing when we did not have a template file, and overwrote
    one when we did. Also, the name of the output file has been changed
    from templates.master to templates.l10n, for reasons that are unclear
    to me, but I'll go with the flow.
    Bug fix: "logic error around calling po-debconf", thanks to Kenshi
    Muto                                                 (Closes: #451379).
    Bug fix: "translated debconf templates for Japanese", thanks to
    KURASAWA Nozomu                                      (Closes: #454983).
    Bug fix: "French manpages translation", thanks to Christian Perrier
                                                         (Closes: #487425).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 12 Oct 2008 23:07:10 -0500

kernel-package (11.006) unstable; urgency=high

  * [135c674] yet another typo. this is not my day.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 10 Oct 2008 12:02:00 -0500

kernel-package (11.005) unstable; urgency=critical

  * [32c42dc] Fix a cut and paste typo which substituted a XEN postinst
    This caused initrds not to be created. I knew there was a downside to
    code hacking all-nighters.
    Bug fix: "linux-image*.postinst does not create an initrd", thanks to
    Sven Joachim (Closes: #501793).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 10 Oct 2008 09:18:38 -0500

kernel-package (11.004) unstable; urgency=high

  * [c68891f] A new bug fix version )closes serious bug).
    This is a pure documentation change, it removes language that might
    mislead people into thinking that there is any relation between
    kernel-package and official kernels.                (Closes: #370651)
    * [680cbd4] Upstream fixed the problem of thinking the sources were dirty
  * Bug fix: "Bogus version number when building from Git", thanks to Josh
    Triplett                                            (Closes: #423721).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 10 Oct 2008 02:47:49 -0500

kernel-package (11.003) unstable; urgency=high

  * [e12e615] Fix the build system to accommodate XEN changes, use kbuild as far as possible

    These are fairly extensive changes. Firstly, we try to use upstream
    kbuild as far as possible, to reduce churn as the files upstream
    installs change. Some added checks of the Makefile are now in place so
    we retain backwards compatibility. This should improve things lot wrt
    header files.  We also now add dependencies to more packages actually
    required to build kernel images.

    We also try to look for the kbuild created KERNELRELEASE variable,
    which is designed to be used by distros to figure out where modules
    are to be loaded from, etc. This should help reduce version
    mismatches. We also prepare the kernel.release file early, to help
    that.

    We also refitted to support the new XEN code in mainstream, in that
    the same image can be booted normally or be used as a XEN image. This
    support probably needs to be improved.

    The make target dependencies have been extensively reworked, to
    minimize surprises and wasted effort. We also strip modules, based on
    DEB_BUILD_OPTIONS (nostrip).

    Extra care is now taken so we do not accidentally remove ./debian
    while cleaning, thanks to upstream helpfully removing ./debian when
    cleaning.  This should prevent dpkg-buildpackage from accidentally
    shooting itself in the foot by removing ./debian as its first action.

    Bug fix: "No such file or directory", thanks to Marc Haber. I am fairly
    sure this is fixed. The code around the cleaning has been
    thoroughly revamped, and there have been a large number of test runs.
                                                          (Closes: #410035).
    Bug fix: "kernel-package is suffering from bit rot, and is severely
    broken", thanks to Manoj Srivastava                    (Closes: #475036).

    Bug fix: "make-kpkg kernel_image fails on upstream 2.6.23 when
    CONFIG_XEN is defined (new Xen paravirt_ops)", thanks to Ben McKeegan
    Not only do we handle the normal image package, we should also provide
    a working Xen setup.                                   (Closes: #446879).

    Bug fix: "Version check compares wrong vars", thanks to Matthijs
    Kooijman. Actually, this is ont the case. We do check the upstream
    version against our best guess of what whould be the correct string --
    and then we ensure what we think is the right thing is what the URS
    header thinks is the corect one. In any case, the KERNELRELEASE
    changes above make this moot.                          (Closes: #433217).

    Bug fix: "local version not set when config is out of date", thanks to
    Matthijs Kooijman. Now we always run oldconfig before we create the
    changelog, so things should work OK.                   (Closes: #432711).

    Bug fix: "modules_clean after build with --append-to-version demands
    correct --append-to-version", thanks to Marc Haber. Cleaning out the
    dependency targets above cleaned out this bug as well. At least, it
    worked for me.                                          (Closes: #460507).

    Bug fix: "fails to build 2.6.25-2 kernel source", thanks to Arthur
    Marsh. This was extensively tested on 2.6.25.8 and 2.6.26.
                                                            (Closes: #480436).
  * [18152d7] Document targets must that be run as root
    The targets in question are binary, binary-arch, and
    binary-indep. This is not out of line with other packages,
    really. Fixing this would be too kludgey.
    Bug fix: "make-kpkg fails with non-root user and fakeroot", thanks to
    C. Dominik Bodi.                                         (Closes: #501699)
  * [7c6c88e] Make sure we always patch the sources before generating the changelog
    The tricky part was to make sure that the first, minimal invocation
    also did the right thing. The solution was to create a ./debian
    directory just good enough to bootstrap a correct ./debian dir in the
    second phase.
    Bug fix: "debian target does not patch the source as
    advertised", thanks to Dylan Thurston                    (Closes: #500897).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 10 Oct 2008 00:31:31 -0500

kernel-package (11.002) unstable; urgency=high

  * Redo the NMU changes.
  * [814f453] use DEB_HOST_ARCH_OS
  * [46753e6] Do not quote values in kernel-img.conf examples
  * [9360526] add support for building lguest launcher when lguest host
    support is built-in or module
    Bug fix: "add support for building lguest launcher when lguest host
    support is built-in or module", thanks to Paul TBBle Hampson
                                                        (Closes:  #464147).
  * [c7fb8b6] Fix a typo that was preventing CROSS_ARG from being passed
    to the modules.
    Bug fix: "Option --cross-compile=- dosn't work with target modules*",
    thanks to Jose Calhariz. This is an important bug fix.
                                                        (Closes: #417948).
  * [1717962] fix bashism in an example script
    Bug fix: "bashism in /bin/sh script", thanks to Raphael Geissert. This
    is a release goal, since using dash as /bin.sh is desirable.
                                                         (Closes: #489617).
  * [1872151] Fix asm symlink issues that created broken header packages
    Bug fix: "not suitable for m-a).", thanks to Valentin QUEQUET. The fix
    was entirely due to Paul <bugs@tuxcnc.org>
                                      (Closes:  #468839, #475029, #461228).
  * [540ff1c] Adapt to the recent combination of i386 and amd64 images
    Bug fix: "i386/x86_64 bzImage symlinks scheduled for removal in April
    2010", Thanks to Frans Pop. As a result of the integration of i386 and
    amd64 in the upstream kernel, kernel package failed to build debs for
    a while as it could no longer find the bzImage file, until
    compatibility symlinks were added. Add a version specific change for
    the location of the image file.                      (Closes: #473705)
  * [162d814] Only run a bootloader (lilo, usually) when explicitly
    asked
    Bug fix: "postinst doesn't grok grub2?", thanks to Trent Buck. If lilo
    is installed, and the user has said run boot loader explicitly, then
    run it. Do not test for grub in order to run lilo.  (Closes: Bug#432124)
  * [6bc983d] Remove deprecated option image_in_boot from man page,
    added support and warning to postinst
    Bug fix: "created kernel postinst silently ignores image_in_boot in
    kernel-img.conf", thanks to pmaydell@chiark.greenend.org.uk</a>; There
    is now a postinst warning, and support is added back in, for
    image_in_boot (a confusing, deprecated, and now undocumented option.
                                                          (Closes: #441317).
  * [dca4a03] Set a versioned path to install kernel firmware into
    Bug fix: "Firmware fall-out.", thanks to Jason
    Riedy. /lib/firmware/<version> is being used as a path. Fix from Brian
    Rogers.                                               (Closes: #492516).
  * [701f87d] Typo fix in man page.
    Bug fix: "Typo in make-kpkg(1)", thanks to Reuben Thomas
                                                          (Closes: #442080).
  * [bc8d2a9] Typo fix in debconf template.
    Bug fix: "typo fixes: a vs an", thanks to Frederik Schwarzer
                                              (Closes:    #486750, #487855).
  * [22c79c6] Move to a streamlined, make -j friendly build system
    While I am not sure of this fixes some of the nagging problems we have
    been facing in recent versions of kernel-package, where we used double
    colon rules, which were convenient, sure, but played havoc with
    ordering of the rules, and had to have various band-aids to help out
    with the ordering. The system was rapidly growing complex, with clear
    indication that it was actually faster.

    The new target mechanism does away with doublecolon rules, and should
    play better with parrallel compilation.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 08 Oct 2008 23:49:52 -0500

kernel-package (11.001-0.1) unstable; urgency=low

  * Porter NMU.
  * kernel/ruleset/*.mk: use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM
    to fix make-kpkg on armel                                (Closes: #425971).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jan 2008 00:37:03 +0100

kernel-package (11.001) unstable; urgency=low

  * Bug fix: "kernel-package: Typo "call" -> "cause" in make-kpkg(1)
    manpage", thanks to Ted Percival                         (Closes: #418496).
  * Bug fix: "[kernel-package] please fail more verbose in preinst",
    thanks to Carsten Hey                                    (Closes: #404871).
  * Bug fix: "kernel-package: make-kpkg should not limit choice of config
    method", thanks to Alex Hermann. Added silenoldconfig, but did not
    make it the default, since older kernel versions do not have this
    target, and make-kpkg should not fail by default for those versions.
                                                             (Closes: #413098).
  * Bug fix: "french manpage is out of date, and doesn't include the
    ramdisk option.", thanks to Sven Luther                  (Closes: #404855).
  * Bug fix: "kernel-package: make-kpkg debian fails if .config not
    present", thanks to Sami Liedes.                          (Closes: #416090).
  * Bug fix: "kernel/pkg/postinst says it's symlinking when hardlinking
    and vice versa", thanks to Simon Huggins                 (Closes: #417814).
  * Bug fix: "kernel-package: Option --cross-compile=- dont't work whith
    target modules*", thanks to Jose Calhariz                (Closes: #417948).
  * Make kernel-package handle a non-existent .config file again (tested
    on linux-2.2.26, linux-2.4.34, and linux-2.6.21.1).  We figure out
    which kernel needs a .config (>= 2.6.18), and for those kernels, call
    make defconfig as needed.
  * Added support for CONFIG_LOCALVERSION_AUTO and git source trees. If
    CONFIG_LOCALVERSION_AUTO is set, see if we are running in a git
    tree. If so, append -dirty to the git version string (since we do edit
    the scripts Makefile to ensure ./debian does not go missing during
    dpkg-buildpackage). Now that we can handle the appending of -dirty, we
    no longer move setlocalversion out of the way. This has not, however,
    been tested with a git tree.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2007 00:42:14 -0500

kernel-package (10.068) unstable; urgency=high

  * Bug fix: "/sbin/update-grub is run by default by kernel postrm if it
    exists, and complains", thanks to Joey Hess. Don't semi-silently
    ignore missing hooks. This means: Don't gracefully handle missing hook
    scripts, the diagnostic might be lost in a flurry of messages,  and
    the user may never be aware that the hook script was never run.
    Depending on what the hook script is meant to do, this may cause a
    security problem or data loss.                         (Closes: #412937).
  * Bug fix: "kernel-package: version suffix added when building in git
    trees ", thanks to Marcus Better. When run in a git sourced tree,
    scripts/setlocalversion checks to see if the tree is the trunk, if
    not, it adds version information to the kernel version. It also checks
    to see if there are uncommited changes, if so, it adds the string
    "-dirty" to the version. Since we change a couple of files in
    ./scripts/, this falls afoul of the make-kpkg checks, since the
    version number is now different from what make-kpkg knows it to
    be. Also, there is an additional truncated commit ID added by the
    script scripts/setlocalversion whenever it detects that we are not
    building from a tagged commit of the official tree, so it might be
    just simpler to get rid of scripts/setlocalversion altogether, so we
    now move it out of the way in the config phase, and restore during
    clean. This allows make-kpkg to be useful for building from got trees
    again.                                                (Closes: #406180).
  * Bug fix: "powerpc arch problems with 2.4 kernel", thanks to Brendan
    O'Dea. For powerpc, handle circular dependency of version number and
    KERNEL_ARCH. For powerpc, we need to set the (KERNEL_ARCH) based on
    the version numbers -- which we can't get to unless we know the kernel
    architecture. Yossarian would have liked this. Use grep to get the
    most significant digits of the version number. Use these to calculate
    significant digits of the version number. Use these to calculate the
    KERNEL_ARCH. Use KERNEL_ARCH to get to the full version. This change
    allows us not to drop support for 2.4 kernels on powerpc machines. It
    does not impact anything but powerpc, and should not cause a change of
    behavior on 2.6.16+ kernels even on powerpc.            (Closes: #411038).
  * Bug fix: "kernel-package: 'applied kernel patches' is missing from
    buildinfo.gz", thanks to Norbert Buchmuller. Since kernel-source-* and
    kernel-patch-* packages were renamed to linux-source-* and
    linux-patch-*, the "applied kernel patches:" is missing from
    buildinfo.gz. (It still tries to find kernel-patch-<whatever> package
    for the <whatever> patch.                               (Closes:  #412463).
  * Bug fix: "kernel-package: 'kernel source package used:' info in
    build.gz is inaccurate", thanks to Norbert Buchmuller. The information
    that make-kpkg puts into the buildinfo.gz file with the "kernel source
    package used:" description represents the version of the corresponding
    {kernel,linux}-source-* package _installed_ on the system, but not the
    version of the package that the current source tree was _untarred_
    from. (Eg. one untars the source tree from linux-source-2.6.18-6, then
    (s)he updates the installed package to linux-source-2.6.18-7, then
    builds a kernel in the previously untarred source tree. In this case
    the source really used is 2.6.18-6, but it writes 2.6.18-7 to
    buildinfo.gz, which is misleading.)                    (Closes: #412589).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 Mar 2007 02:14:00 -0600

kernel-package (10.067) unstable; urgency=high

  * Bug fix: "kernel-package: using obsolete package 'ldso'", thanks to
    normes@normes.org. Well, we were not exactly "using" the package, but
    just recording the version number. This is a low risk change.
                                                        (Closes: #407793).
  * Bug fix: "kernel-package needs some additions to @files_to_remove",
    thanks to Stephen Gran.  Added modules.seriomap as a file to be
    removed in the postrm, allowing /lib/modules/$version to be removed.
                                                         (Closes: #408900).
  * Bug fix: "kernel-package: linux-headers for UML do not include various
    Makefiles", thanks to Marcus Better. This should be a low impact
    change.                                             (Closes: #408369).
  * Bug fix: "Kernel and initrd image symlinks aren't updated properly",
    thanks to Dennis Vshivkov.  This bug needs to be fixed for Etch, since
    it causes the symbolic links to the image and initrd to not be
    updated in some cases.                               (Closes: #409240).
  * Bug fix: "kernel-package support for armel", thanks to Joey Hess. This
    should be a low risk change for other architectures, and armel is not
    yet in consideration for etch, so any support in kernel-package is
    better than none.                                    (Closes: #410459).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2007 00:49:39 -0600

kernel-package (10.066) unstable; urgency=high

  * Bug fix: "kernel-package: Enable -source and -headers packages for Xen
    kernels", thanks to Ian Campbell.  This is a simple change, and should
    have minimal impact on any other package, or on current user built
    packages. The upside is that the previously disabled packages are
    enabled for Xen and UML variants, allowing people to build third party
    modules for Xen adn UML variations -- and even if these were to break
    (they do not, in my testing), there is no regression.  In the future,
    the image and modules packages will be separated, to allow for
    host/guest installs. Official kernel images do not use make-kpkg to
    build kernel or uml images, so the official images or debian-installer
    are not impacted either.                              (Closes: #390881).
  * Bug fix: "kernel-package: postinst link_in_boot value set by
    image_in_boot", thanks to Niall Walsh. This was an out-and-out cut and
    paste error; and the fix is very simple (remove offending line). The
    downside is minimal, and current implementation is just wrong.
                                                           (Closes: #405081).
  * Update spanish manual pages, thanks to  Rudy Godoy. He also provided
    patches for spelling errors and style flaws in the English man pages.

  * Bug fix: "Typos in manpage", thanks to Goswin Brederlow
                                                           (Closes: #402155).
  * Bug fix: "kernel-package: default stem inconsistent with
    documentation", thanks to Lionel Elie Mamane            (Closes: #400697).
  * Bug fix: "'man kernel-img' typo: "messgaes"", thanks to
    A. Costa                                                (Closes: #397379).
  * Bug fix: "'man kernel-pkg' typos: "Mutualy" and "theversion"", thanks
    to A. Costa                                             (Closes: #397378).
  * Bug fix: "make-kpkg clean: leaves scripts/package/Makefile.kpkg-dist
    behind", thanks to Yann Dirson.  This was a simple typo, which
    prevented the naming back scripts/package/Makefile.kpkg-dist to
    scripts/package/Makefile -- making clean not restore the package to
    original state after running build/clean.  There is little downside to
    this typo fix; we rename the Makefile, and we should be restoring it
    in clean.                                               (Closes: #397518).
  * Bug fix: "kernel-package: linux-headers doesn't inclue arch-specific
    scripts", thanks to dann frazier. When trying to compile external
    modules on on IA64/McKinley ItaniumII,  the Makefile in arch/ia64/
    needs some scripts from arch/ia64/scripts/ directory. These scripts
    were not so far being shipped. On non ia64, this has no impact on the
    headers package built; on ia64 the changes are required for the
    headers package to have any value.                (Closes: #405494).
  * Bug fix: "kernel-package: kernel image cant be installed when vmlinuz
    link is already", thanks to Kai Sassmannshausen. Actually, the problem
    was not depending on a new enough version of coreutils. See Below.
                                                         (Closes: #407128).
  * Bug fix: "kernel-package: dependency problem: kernel package
    installation uses a invalid option of readlink", thanks to Kai
    Sassmannshausen. In release version 10.063, I cleaned up the  postinst
    as while I was at it, going with readlink -q -m instead of the built
    in version. Since -m was a flag not present in Sarge's coreutils, this
    means the generated image files should have a versioned dependency on
    coreutils. The previous versioned dependency was not strict enough,
    updated to a version that works.                      (Closes: #407130).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 17 Jan 2007 20:20:25 -0600

kernel-package (10.065) unstable; urgency=low

  * Bug fix: "kernel-package: dependency on newer coreutils missing",
    thanks to Norbert Tretkowski. Added. As far as I can tell, readlink -m
    was present in coreutils 5.2.1, uploaded on 14 July 2004, over two
    years ago. However, updated the control file for kernel images.
                                                           (Closes: #396077).
  * Bug fix: "kernel-package: fails when a kernel-patch adds a config var
    without a default value".  Well. It is partially due to kbuild
    helpfully reconfiguring the kernel whenever it thinks it is needed.
    thanks to Yann Dirson                                   (Closes: #396122).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  4 Nov 2006 22:47:21 -0600

kernel-package (10.064) unstable; urgency=low

  * Also remove initrd .bak backups
  * Bug fix: "leaves .bak files around after kernel purge, and chokes on
    them", thanks to martin f krafft. Well, k-p never generated these
    files, and does not actually choke on them. But I suppose we can clean
    up after update-mkinitramfs or whatever :)(Closes: #395323).
  * Take another crack at handling the ever friendly Kbuild now asking to
    update the .config on STDOUT, not STDERR, and bailing when it
    discovers output is redirected.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 27 Oct 2006 17:18:39 -0500

kernel-package (10.063) unstable; urgency=low

  * Bug fix: "kernel-package: Generated postinst fails: Missing Required
    paramater 'Old'", thanks to Daniel Jacobowitz. I cleaned up the
    postinst as while I was at it, going with readlink -q -m instead of
    the built in version.                                (Closes: #391643).
  * Bug fix: "[powerpc] initramfs creation fails with 2.6.18 during
    install", thanks to Meelis Roos. This was fixed by the changes above.
                                                         (Closes: #394679).
  * Bug fix: "kernel-package: No need for any mentioning of bin86", thanks
    to Adrian Bunk                                       (Closes: #391677).
  * Bug fix: "postinst_hook runs after bootloader", thanks to Martin Buck
                                                         (Closes: #391436).
  * Bug fix: "kernel-package: A Debian revision is mandatory, but none was
    provided", thanks to Marc Haber. Hmm. We were not passing
    DEBIAN_REVISION for the clean target, and not doing any sanity checks.
    We still don't do sanity checks on clean, but we do pass along the
    provided debian revision, so warning is no longer triggered.
                                                         (Closes: #391433).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 13:33:28 -0500

kernel-package (10.062) unstable; urgency=low

  * Forgot to document KPKG_DEBUG introduced in the last upload.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 Oct 2006 15:14:56 -0500

kernel-package (10.061) unstable; urgency=medium

  * Bug fix: "kernel-package: kernel package doesn't find $(ARCH) running
    make-kpkg debian", thanks to Elimar Riesebieter. Fix it for real this
    time. Fixes a grave bug.                              (Closes: #390487).
  * Bug fix: "Easing debugging by outputting commands as these are run",
    thanks to Loïc Minier.                                (Closes: #390222).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 Oct 2006 14:59:26 -0500

kernel-package (10.060) unstable; urgency=low

  *  Only pass ARCH if KERNEL_ARCH is not empty.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Sep 2006 09:42:14 -0500

kernel-package (10.059) unstable; urgency=low

  * Bug fix: "kernel-package: Custom .config ignored, m-k clean generates
    errors on 2.6.18", thanks to Anthony L. Awtrey. Add an dummy call to
    make, if there are problems in the .config, kbuild rewrites .config,
    and the informational message messes up the VERSION variable. If the
    variable TEST did get a mesage about .config being written, pass it
    on. The problem is that any call to make seems to make Kbuild fix
    issues in .config -- nothing we can do there.            (Closes: #390012).
  * Bug fix: "Misleading information in postinst", thanks to Julien Danjou
                                                             (Closes: #389697).
  * Bug fix: "kernel-package: link_in_boot produces symlinks that are
    insufficiently relative", thanks to Ross Boylan. Fix a typo in
    determining the relative path for images. Also, in several places,
    handle a special case when the source and destination directories are
    identical, and use a relative link there.  This might help the folks
    using a separate /boot and link_in_boot options.         (Closes: #389678).
  * Bug fix: "Should always pass ARCH= to upstream Makefile", thanks to
    Loïc Minier                                              (Closes: #390182).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 29 Sep 2006 12:24:01 -0500

kernel-package (10.058) unstable; urgency=medium

  * Bug fix: "kernel-package: Fails to show warning when upgrading running
    kernel", thanks to Frans Pop                            (Closes: #389230).
  * Bug fix: "depmod: command not found; tar: -: file name read contains
    nul character", thanks to shaulka@012.net.il            (Closes: #385583).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 24 Sep 2006 14:11:18 -0500

kernel-package (10.057) unstable; urgency=low

  *
  * Bug fix: "kernel-package: make-kpkg clean takes forever on a git
    repo", thanks to Will Dyson                           (Closes: #356765).
  * Bug fix: "Patch to add --verbose =&gt; make V=1", thanks to Philippe
    Teuwen                                                 (Closes: #387346).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 15 Sep 2006 14:18:40 -0500

kernel-package (10.056) unstable; urgency=low

  * Bug fix: "postrm_hook is not run", thanks to Michael Biebl. Gak. A
    thinko made the postrm still test to see if the script was executable
    before looking for it in the path.                     (Closes: #387286).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Sep 2006 11:31:35 -0500

kernel-package (10.055) unstable; urgency=low

  * Bug fix: "kernel-package: failure with 2.6.18-rc4 (wireless-dev
    tree)", thanks to Marcus Better. Starting with 2.6.18, you can't run
    make at the top level like we do to determine the version number
    without having a .config file. But it should still be possible to run
    clean -- and fail for other initial operations, since we do not want
    to create ./debian if we can't detect the version number accurately.
                                                         (Closes: #385329).
  * Bug fix: "kernel-package: please build md5sums for kernel-packages",
    thanks to Mario 'BitKoenig' Holbe. Thanks to Roland Stigge for all
    the heavy lifting. I moved the macro definition to a file a location
    consistent with my other packages, and allowed for the caller to add
    locations that should be excluded from the MD5sums listing.
                                                         (Closes: #261019).
  * Add a variable called warn_reboot for kernel-img.conf; if set to no,
    it shall suppress warning about needing to reboot if installing a
    kernel image of the same versions as the kernel which is running.
    Some users want enough rope ...
  * Create md5sums for this package as well.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Sep 2006 15:53:08 -0500

kernel-package (10.054) unstable; urgency=low

  * Bug fix: "Please allow ~ in sanity check", thanks to Norbert
    Tretkowski. Second cut.                             (Closes: #383751).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Aug 2006 20:30:04 -0500

kernel-package (10.053) unstable; urgency=low

  * Bug fix: "Please allow ~ in sanity check", thanks to Norbert
    Tretkowski                                           (Closes: #383751).
  * Bug fix: "initramfs generator reversed order dep", thanks to
    maximilian attems                                    (Closes: #383605).
  * Make the question about whether or not to run the default bootloader a
    shared question. At this point, we still ask the question every time,
    though I am open to using the stored value -- but that would mean that
    if the admin has changed their mind since the question whether to run
    lilo or grub was asked, we would do the wrong thing, perhaps making
    the machine unbootable -- which is why the default is still to ask the
    human.
  * Bug fix: "Package changelog for generated kernel packages uses
    kernel-package changelog", thanks to Andrew Meaden. Truncated, and
    repaced with a stub.                                 (Closes: #382743).
  * Bug fix: "kernel-package - please remove config target check from
    make-kpkg", thanks to Bastian Blank. The check has been disabled for
    official kernel images, but not for the general upstream sources.
                                                         (Closes: #381828).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Aug 2006 12:13:36 -0500

kernel-package (10.052) unstable; urgency=low

  * Bug fix: "kernel-package: syntax error in pkg/image/postinst", thanks
    to Kiko Piris                                         (Closes: #381827).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Aug 2006 09:09:53 -0500

kernel-package (10.051) unstable; urgency=low

  * Bug fix: "kernel-package: When overwriting modules, bad suggestion on
    moving modules dir", thanks to Dylan Thurston       (Closes: #379434).
  * With this release of kernel package, changes have been made to the
    specification and behaviour of hook scripts for the kernel image,
    source, and header packages. Now relative paths can be used to specify
    the names of scripts, as long as these scripts live in a "safe" path,
    namely, /bin, /sbin, /usr/bin, /usr/sbin. Also, the sanity checking
    has gotten more rigorous, failure to find a hook script or failure for
    the script to execute correctly is now a fatal error.
  * Bug fix: "forces absolute paths in /etc/kernel-img.conf *_hook
    variables", thanks to Robert Millan. I elected not to use the patch
    provided, since I did not want to blindly trust the PATH variable, and
    wanted also to change the ignoring of the return value of the
    scripts.                                               (Closes: #380338).
  * Bug fix: "linux-image-2.6.16-2-k7-smp: upgrade re-ran lilo", thanks to
    Ross BoylanThe default behaviour of the postinst script has been to
    run the built in default bootloader (typically lilo) -- set at compile
    time, based on the arch. The installed default for Debian, however,
    has since moved on to be grub. However, users who are transitioning to
    grub may not have set the configuration variable in
    /etc/kernel-img.conf --and may still have lilo installed. The trick is
    to figure out whether they really want to run lilo. So, if there is no
    /etc/lilo.conf, we run nothing. If the user has explicitly asked to
    run lilo, we rin lilo. Or if there is no grub, or if there is no
    postinst hook script, we run lilo. Or else, we ask the user.
                                                             (Closes: #380292).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 Aug 2006 20:52:37 -0500

kernel-package (10.050) unstable; urgency=low

  * Bug fix: "kernel-package: make-kpkg "dirties" git kernel", thanks to
    Rob Sims.  Make sure that make-kpkg clean undoes the changes made in
    ./scripts. Also, added to the PROBLEMS file the following issue: When
    run in a git sourced tree, scripts/setlocalversion checks to see if
    the tree is the trunk, if not, it adds version information to the
    kernel version. It also checks to see if there are uncommited changes,
    if so, it adds the string "-dirty" to the version. Since we change a
    couple of files in ./scripts/, this falls afoul of the make-kpkg
    checks, since the version number is now different from what make-kpkg
    knows it to be. The workaround is to modify the setlocalversion
    script.                                                (Closes: #375559).
  * Bug fix: "kernel-package: Phony UTS_VERSION string mismatch", thanks
    to Daniel Werner. Actually, the version number contained a +, which is
    also a regexp meta-character, so the regexp match was getting confused.
                                                           (Closes: #378257).
  * Bug fix: "clone targets to support newer default linux prefix", thanks
    to maximilian attems                                   (Closes: #374707).
  * Bug fix: "yaboot: Incomplete message when removing kernel-package",
    thanks to Helge Kreutzmann                             (Closes: #364336).
  * Bug fix: "debian.README.gz: wrong (old) address for Linus", thanks to
    Lars Wirzenius                                         (Closes: #376466).
  * Bug fix: "kernel-package: strange behavior of bash_completion", thanks
    to Matthias Heinz Thanks to Rob Sims for the fix.      (Closes: #323668).
  * Bug fix: "kernel-package: kernel_image target fails with kernel
    2.6.18-rc1", thanks to Kevin Baradon. The fix thanks to Harald Dunkel
                                                           (Closes: #377267).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Jul 2006 14:50:30 -0500

kernel-package (10.049) unstable; urgency=low

  * Bug fix: "kernel-package: localversion* files not supported?", thanks
    to Mattia Dongili. It is not that localversion files are not
    supported, it is that patches that try to change the version numbering
    are not,  You see, patches are applied _after_ there is a ./debian
    directory, and that means ./debian/changelog is already in place. Re
    doing this would require a drastic change in make-kpkg, so now we
    document that patches that change package names are not supported.
                                                        (Closes: #368539).
  * Bug fix: "linux-image-2.6.16-2-amd64-k8: initrd symlink management
    sucks", thanks to Eduard Bloch. Well, the bug topic sucks too. And,
    looking at the logs posted, it did seem to work in the test (the link
    was indeed created). I did spot a typo in the postinst, so I think
    this corner case should not arise again.            (Closes: #372783).
  * Bug fix: "no longer supports images with the same name on 2 arches",
    thanks to Martin Michlmayr. Well, no longer is a misnomer, we never
    did support multiple architectures for images in the control file.
    This should now be fixed; we accept a space separated list of
    architectures now.                                  (Closes: #373774).
  * kernel-package: arch/powerpc/include/asm symlink is not included in
    the *-headers package, thanks to Eddy Petrisor. now we ship all of
    arch/$KERNEL_ARCH/include.                          (Closes: #372233).
  * Added documentation to the man page that just adding --cross-compile
    does not in any way set the compiler used by the build system. That
    still has to be done explicitly.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Jun 2006 15:51:53 -0500

kernel-package (10.048) unstable; urgency=low

  * Bug fix: "kernel-package: Please install linux-uml modules in
    /usr/lib/uml/modules/$UML_VER/", thanks to Mattia Dongili. The new
    rootstrap can automatically install UML modules at build time, as long
    as the installation directory is compatible. This makes it so.
                                                           (Closes: #369155).
  * Bug fix: "kernel-package: Please don't conflict with user-mode-linux
    packages", thanks to Mattia Dongili                    (Closes: #369918).
  * Bug fix: "kernel-package: Do not flattern the linux-uml modules
    directory structure", thanks to Mattia Dongili         (Closes: #369154).
  * make-kpkg fails on amd64 for xenalso consider CONFIG_X86_64_XEN (any
    more architectures that Xen would support, this method is gonna get
    untenable). This'll fix Xen building on AMD64. Please note that cross
    compiling may not work yet -- but that is a kernel build system issue.
                                                           (Closes: #365092).
  * Bug fix: "kernel-package: [powerpc, prep] Please apply patch to allow
    to build 2.6.16 -prep kernels.", thanks to Sven Luther (Closes: #369017).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  5 Jun 2006 17:30:33 -0500

kernel-package (10.047) unstable; urgency=low

  * Please remove ARCH_IN_NAME kludge on sparc, thanks to Jurij
    Smakov. Actually, I don't hink that sparc was the only contituency for
    ARCH_IN_NAME, so the it is not obsolete. I only applied portions of
    the patch as they apply to sparc.mk.                 (closes: Bug#365751)

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 May 2006 16:56:54 -0500

kernel-package (10.046) unstable; urgency=low

  * Bug fix: "make-kpkg fails on amd64 for xen", thanks to Goswin
    Brederlow                                            (Closes: #365092).
  *  Provide additional information to the inage post processing script
    for powerpc

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Apr 2006 14:53:17 -0500

kernel-package (10.045) unstable; urgency=low

  * Bug fix: "kernel-package: linux-image*.postrm uses debconf", thanks to
    Sven Joachim. Well. The postinst did not actually use debconf, just
    make it available for hook scripts. Now it just conditionally loads
    debconf, and it is up to the hook scripts to take care of prompting
    when debconf is missing.                              (Closes: #363645).
  * Bug fix: "kernel-package: amd64 arch also needs xen support", thanks
    to Nate Carlson                                       (Closes: #362628).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Apr 2006 10:30:34 -0500

kernel-package (10.044) unstable; urgency=low

  * Fix typo in powerpc specific rules.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 Apr 2006 10:24:14 -0500

kernel-package (10.043) unstable; urgency=low

  * Update mkvmlinuz support handling

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Apr 2006 10:52:12 -0500

kernel-package (10.042) unstable; urgency=low

  * Arrgh. Typo fix in domU package name, inux -> linux

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Apr 2006 15:21:44 -0500

kernel-package (10.041) unstable; urgency=low

  * Bug fix: "Support for Xen as a subarch", thanks to Tore Anderson. No
    special handling need be required -- with a properly created .config
    file, make-kpkg should automatically detect Xen 3.0.1 or 3.0.2, and
    appropriately set the arch and subarch variable.        (Closes: #346387).
  * kernel/pkg/image/postinst (fix_source_link): Clarify that it is the
    link target that we cannot see the contents of.
  * kernel/ruleset/arches/i386.mk: Add in separate stanzas for a subarch
    Xen, versus the normal i386  build. We change boot loader definitions,
    dependencies, targets, and image destinations.
  * kernel/ruleset/architecture.mk: No longer assume that the presence of
    CONFIG_XEN implies the ARCH is also xen; since now the ARCH is i386,
    but the subarch is xen.
  * kernel/ruleset/common/archvars.mk: Now we include .config earlier, to
    allow us to detect xen and uml, and automatically set the arch and
    subarch variables based on the configuration file. This help people
    like me who routinely forget to give --arch um to make-kpkg, and wonder
    why my uml virtual machine fails.
  * kernel/ruleset/kernel_version.mk (debian_LOCALVERSION): Late evaluation
    to allow all components to settle.
  * kernel/ruleset/misc/pkg_names.mk (i_package): Modify the names of the
    Xen image packages based on type of xen image being built.
  * kernel/ruleset/targets/image.mk (install/$(i_package)): Make sure that
    the System.map and config files installed in /boot for Xen images have
    a string in the name ti disambiguate them from "normal" image packages
    files.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Apr 2006 13:58:11 -0500

kernel-package (10.040) unstable; urgency=low

  * Document the version of kernel-package used liberally in build logs
    now. This should mitigate any future doubts about which version of
    kernel-package is in use.
  * Bug fix: "kernel-package missing .kernelrelease for 2.6.16 headers",
    thanks to Paul                                     (Closes: #359818).
  * Bug fix: "kernel-package: Doesn't handle CONFIG_LOCALVERSION", thanks
    to David Liontooth. Thanks to Jan Niehusmann, who noticed my blind
    spot about how dot-config was set to 0     (Closes: #359187, #335541).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 29 Mar 2006 10:10:48 -0600

kernel-package (10.039) unstable; urgency=high

  * In 2.6.16, the top level Makefile added a unified local version
    variable called localver-full -- which is what we need to pay
    attention to, not $(LOCALVERSION). This caused a slew of build
    failures, wihch have been variously reported -- for example,
    "kernel-package: Doesn't handle CONFIG_LOCALVERSION", thanks to David
    Liontooth                                           (Closes: #359187).
  * The same changes also allow for us to support _all_ local version
    variations, including: "Support for LOCALVERSION_AUTO possible?",
    thanks to Jan Niehusmann                            (Closes: #335541).
  * Goswin von Brederlow added support for building  other archs of a
    multiarch set like i386/amd64. Usage is with --arch <arch>
    --cross-compile -.
    + ruleset/misc/defaults.mk: Set CROSS_COMPILE="" if it is '-'.
    + ruleset/common/archvars.mk: Don't override DEB_HOST_* if
      CROSS_COMPILE='-'.
                                                         (Closes: #359019).
  * Urgency high since this is required to correcltly build 2.6.16 kernels
    with any local version settings.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 Mar 2006 12:03:22 -0600

kernel-package (10.038) unstable; urgency=medium

  * The debconf templates broke.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 23 Mar 2006 23:09:44 -0600

kernel-package (10.037) unstable; urgency=medium

  * Bug fix: "kernel-package: modules_image target broken", thanks to
    Henrique de Moraes Holschuh. Patch thanks to Kevin Locke. The same
    problem potentially existed elsewhere, so I applied the same solution
    all over.                                               (Closes: #355147).
  * Bug fix: "kernel-package: Please document --rootcmd sudo failure with
    env_reset", thanks to Kevin Locke. Done.                (Closes: #357499).
  * Bug fix: "linux-image: error message missing
    words/variables/parameters", thanks to Justin Pryzby    (Closes: #344374).
  * Bug fix: "kernel-package: Please allow for translatable debconf
    templates in created packages", thanks to Christian Perrier
                                                            (Closes: #355994).
  * Vy popular demand, we toned down the checks for overwriting previously
    installed kernels. Instead of checking for /lib/modules/$version, we
    only check is /lib/modules/$version/kernel exists. This means that
    third party modules shall not trigger any interactions with the user;
    it is up to the users to handle incompatibilites between previously
    installed third party modules and the new kernel. No check on
    official kernel images -- any incompatibilities should result in an
    ABI number change.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 22 Mar 2006 14:24:16 -0600

kernel-package (10.036) unstable; urgency=low

  * Apparently we were not copying over the rules file into the
    kernel-headers package. fixed that.
  * Bug fix: "kernel-package: config placed in /usr/bin when building UML
    kernels", thanks to Paul Dwerryhouse                    (Closes: #353490).
  * Bug fix: "Please put localversion file into kernel-headers", thanks to
    Nikita V. Youshchenko                                   (Closes:  #354452).
  * Tightened the version check when building modules.
  * Bug fix: "cp: cannot stat `/etc/scsi_id.config'", thanks to dann
    frazier. Initramfs-tools now have a wrapper.            (Closes: #352705).
  * Bug fix: "Incorrect Destination, Unchangable Destination", thanks to
    Elliott Mitchell.Fixed destination to use DEB_DEST.     (Closes: #353817).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 Feb 2006 13:18:56 -0600

kernel-package (10.035) unstable; urgency=low

  * Bug fix: "k-p fails to build documentation packages", thanks to Kapil
    Hari Paranjape.  Well, kernel-manual is not supposed to be an
    independent target, it is supposed to depend on and simultaneously
    build the kernel-doc package as well. Indeed, if the kernel-doc
    package is not also built, we will have a broken manual package. So,
    change the prereqs. (I had only tested make-kpkg buildpackage, so the
    doc package was always available).                       (Closes: #352169).
  * Bug fix: "kernel-package: latest unstable version breaks 2.4.27 image
    builds", thanks to Horms. Reversed the order of the version test. The
    old way was buggy.                                       (Closes: #352152).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 12 Feb 2006 14:06:21 -0600

kernel-package (10.034) unstable; urgency=low

  * Bug fix: "kernel-package: check for -j in MAKEFLAGS is not quite
    correct", thanks to Nathaniel Smith. Added mush more prominent
    warnings in the documentation. The check itself is merely a
    convenience, we should warn users about the pitfalls of setting -j in
    MAKEFLAGS directly.                                      (Closes: #350665).
  * Fixed a problem build hppa kernel images.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  7 Feb 2006 09:48:52 -0600

kernel-package (10.033) unstable; urgency=low

  * Bug fix: "upstream treats mipsel and mips as one arch", thanks to
    Martin Michlmayr                                         (Closes: #349527).
  * Bug fix: "kernel-package: Typo in the Spanish make-kpkg man page",
    thanks to Nicolas François                               (Closes: #349750).
  * Bug fix: "Please add support for armeb", thanks to Martin Michlmayr
                                                             (Closes: #350332).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 28 Jan 2006 22:38:15 -0600

kernel-package (10.032) unstable; urgency=low

  * Bug fix: "linux-source-2.6.15: build fails: make-kpkg error on install
    -p -m 644 debian/buildinfo ...", thanks to darren. Hmm. Apparently,
    the streamlining done in the last version was a bit too stream
    lined. Added a dependency t the image target so we do build buildinfo.
                                                               (Closes: #347487).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 12 Jan 2006 09:21:20 -0600

kernel-package (10.031) unstable; urgency=low

  * Optimize building kernel headers on recent kernels.
  * kernel/ruleset/local.mk (kernel-headers kernel_headers) Make
    kernel-headers depend on debian/stamp-prepare, instead of
    stamp-build-arch, since this means for 2.6.X kernels the full build may
    not be needed, with the advent of the prepare target.
  * kernel/ruleset/targets/target.mk (debian/stamp-prepare): Added this
    target: on new kernels, it merely calls prepare. I wish I could come up
    with a non-kludgey way of testing for the presence; I guess calling
    make -np |grep would work, but it is simple enough to just test the
    version numbers. When it breaks, we'll see. On older kernels it still
    calls the stamp-build-arch target.
  * Unfortunately, this still does not fix #345939, since we have
    $(patsubst %,BUILD/%,$(DEB_ARCH_PACKAGES))  :: BUILD/% : testdir  BUILD-arch
    Which means that we build the kernels for all arch related packages --
    it is hard to follow all the dictums of policy and cherry pick some of
    arch related packages _without_ doing the build.
  * Now, we moved building the kernel out of the build-arch target, and
    into the kernel image target instead. Does not help a lot overall, but
    may prevent duplicate invocations of build.
  * All in all, made a bunch of changes to optimize for speedier rebuilds.
  * Add a - in the check target when checking config as well.
  * Bug fix: "kernel-package: FTBFS: Missing Build-Depends on 'debconf'",
    thanks to Andreas Jochens                                 (Closes: #347345).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 10 Jan 2006 13:10:41 -0600

kernel-package (10.030) unstable; urgency=low

  * Make the kernel image psotinst more resilient towards errors in
    initramfs generators. The old behavior was that the postinst took the
    list of generators (either determined based on the kernel version
    being installed, or the user's preferences), asked each one of the
    listof candidate generators wehther they supported the running and to
    be installed versions of the kernel, and then tried the first of the
    list of those that answered yes. The new behaviour is not to just stop
    at th first viable candidate, but to continue down the list until we
    get a generator that succeeds.
  * reverse the order of  mkinitramfs and mkinitrd.yaird in the dependency
    list of the kernel image packages, since then initramfs-tools shall
    come earlier in the dependency listing, and apparently initramfs-tools
    currently has fewer problems upgrading from older kernel versions that
    do not support /sys (like, say, Sarge kernels). The users can still
    provide their preferences in kernel-pkg.conf while building, or
    kernel-img.conf while installing; all we are doing is changing the
    default order of dependencies.
  * Bug fix: "kernel-package: make-kpkg ignores the --revision argument",
    thanks to Greg NorrisRemoved the calculation of$(debian) from
    version_vars.mk, since this is included before the config file is
    included, so the latter always over rides the setting of the debian
    revision on the command line. Instead, add it to config.mk, since it
    is included _after_ the config file is. Also, make-kpkg was not really
    passing --revision down to minimal.mk -- oops.            (Closes: #345799).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  3 Jan 2006 19:41:34 -0600

kernel-package (10.029) unstable; urgency=low

  * Change INSTALL_MKVMLINUZ_PATH specification to be relative to the top
    of the iamge package

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 Dec 2005 11:32:02 -0600

kernel-package (10.028) unstable; urgency=low

  * Bug fix: "kernel-package GUESS_SUBARCH should be dependent on kernel
    version too.", thanks to Sven Luther. tweakewd the supplied powerpc.mk
    to accept all 4 variants of the arch name.              (Closes: #345198).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 29 Dec 2005 15:00:56 -0600

kernel-package (10.027) unstable; urgency=low

  * Bug fix: "kernel-package: Typo in make-kpkg: s/maybe/may be/", thanks
    to Karsten M. Self                                      (Closes: #344956).
  * Bug fix: "kernel-package: More typos", thanks to Frans Pop. I usually
    don't go back and change  old changelogs, seems too close to rewriting
    history. But, I suppose typo fixes are OK               (Closes: #344828).
  * Bug fix: "kernel-package: Hangs on purge of new Sparc 2.4 kernels",
    thanks to Frans Pop. Well. It does not hang on i386, and I think the
    change made to the postrm will fix it even for sparc, so here's
    keeping ones fingers crossed                            (Closes: #344918).
  * Bug fix: "kernel-package: [powerpc] k-p does funny things with
    dpkg-architecture, breaks kernel builds", thanks to Sven Luther
                                                             (Closes: #344833).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 28 Dec 2005 13:05:40 -0600

kernel-package (10.026) unstable; urgency=low

  * Bug fix: "kernel-package: Typos in NEWS.Debian", thanks to Frans Pop
                                                             (Closes: #344556).
  * Bug fix: "ARCH=powerpc instead of ARCH=ppc on powerpc kernels &lt;&lt;
    2.6.15", thanks to Don Armstrong. Fix from Sven Luther.  (Closes: #342767).
  * Bug fix: "kernel-package: [powerpc] powerpc is switching from
    ARCH=ppc/ppc64 to ARCH=powerpc ...", thanks to Sven Luther
                                                             (Closes: #340629).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Dec 2005 12:19:53 -0600

kernel-package (10.025) unstable; urgency=low

  * Bug fix: "kernel-package: latest unstable version breaks linux-2.6
    build on amd64", thanks to Frederik Schueler. Now we let the
    architecture still be whatever DEB_HOST_ARCH_CPU says it should
    be. Just set KERNEL_ARCH correctly on amd64/x86_64 machines early, so
    that make-kpkg clean does not flake out when there is no ./debian dir.
    Accept either x86_64 or amd64 as the architecture, just in case, when
    selecting the correct Makefile snippet. So it is perfectly fine to
    still say --arch=amd64, like  linux-2.6 does             (Closes: #344740).
  * Bug fix: "[powerpc] k-p 10.00x breaks debconf based /etc/kernel/*.d
    scripts like mkvmlinuz", thanks to Sven Luther. Well. In the recent
    10.X series, kernel package has started producing image packages whose
    maintainer scripts use debconf for user interaction. Unfortunately,
    this meant that any hook scripts called in the maintainer scripts for
    the image package (update-grub comes to mind), if they wrote anything
    at all to the STDOUT, would cause debconf to throw hissy fits, since
    it was expecting commands on STDOUT, not random chatter from the hook
    scripts.

    One solution was to call db_stop before calling the hook scripts, and
    redirecting stdout to stderr in hte invocation of the
    scripts. Unfortunately, this made any scripts that used debconf
    impossible.

    So, either we ban scripts that are interactive, or scripts that
    scribble on stdout.  Since the former makes some functionality
    impossible (some scripts can deliver added functionality and
    flexibility if they can interact with users), and the latter just
    needs a code change, I would prefer to ask packages that provide
    scripts to be used in kernel image postinst/postrm to use debconf for
    user interaction, and to send diagnostics to STDERR.
                                                              (Closes: #344413).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Dec 2005 10:14:33 -0600

kernel-package (10.024) unstable; urgency=low

  * Bug fix: "kernel-package: fails to build for KPKG_ARCH=uml", thanks to
    Libor Klepac                                              (Closes: #344427).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Dec 2005 20:47:53 -0600

kernel-package (10.023) unstable; urgency=low

  * Do not append 1>&2 to the invocation of hook scripts. This means that
    the hook scripts should not write to stdout, since despite db_stop
    debconf does not restore stdout. The reason because we no longer
    redirect is that some scripts may need to use debconf themselves, so
    this change helps them (at the expense of other scripts that wrote to
    stdout).                                              (Closes: #344413).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Dec 2005 10:07:49 -0600

kernel-package (10.022) unstable; urgency=low

  * Bug fix: "bug in initrd.mk prevents make-kpkg from creating dependency
    on initrd-tools", thanks to Nikita V. Youshchenko        (Closes: #344393).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Dec 2005 07:56:23 -0600

kernel-package (10.021) unstable; urgency=low

  * Bug fix: "make-kpkg clean does not work on x86_64", thanks to Junichi
    Uekawa. Well, we set architecture now to default to what the kernel
    calls the arch.                                       (Closes: #344335).
  * Bug fix: "/lib/modules/$kver/modules.ofmap should be removed in
    postrm", thanks to Theodore Y. Ts'o                   (Closes: #344362).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Dec 2005 00:28:17 -0600

kernel-package (10.020) unstable; urgency=low

  * Fix issues with conf.vars. Make build.arch also depend on conf.vars.
  * Bug fix: ""kernel source package used" is not written in
    buildinfo", thanks to Alexandros Vellis             (Closes: #344007).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Dec 2005 20:14:02 -0600

kernel-package (10.019) unstable; urgency=low

  * Bug fix: "kernel-package: modules_clean target creates changelog with
    wrong revision", thanks to Michael Spang. Firstly, the wrong version
    number should make no difference to the module being cleaned -- after
    all, it is a clean. The creation of ./debian is an inconvenience, so
    now make-kpkg would refuse to run modules_* unless you already have a
    ./debian directory. And, as far as I know, modules_clean is not
    actually required by any modules package packaged in Debian, it is
    merely a disk space conserving convenience thing.   (Closes: #343559).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 17 Dec 2005 08:10:28 -0600

kernel-package (10.018) unstable; urgency=low

  * Also install arch/$(KERNEL_ARCH)/Makefile.cpu in the headsers package,
    since it is needed by newer kernels. Thanks to   Stefan
    Lippers-Hollmann.
  * When done with debconf, call stop: this shall help prevent errors if
    the hook scripts write to stdout. Also, when calling the hook scripts,
    redirect stdout to stderr, just in case -- and to ensure that the
    messages do not silently disappear.
  * Bug fix: "kernel-package: FTBFS: Missing Build-Depends on debconf",
    thanks to Daniel ScheplerAlso, since we now use debconf in all the
    postinst file, but do not build depend on it, ignore some test errors
    while building. This is far better solution, since we can't load
    debconf as non root anyway.                           (Closes: #343170).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Dec 2005 14:29:21 -0600

kernel-package (10.017) unstable; urgency=low

  * Somehow, arm.mk never made it into the 10.X series -- so it was not
    possible to build images on ARM. Fixed.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  9 Dec 2005 15:05:24 -0600

kernel-package (10.016) unstable; urgency=low

  * There was a logic error in the ramfs selection tool logic, such that
    the code always acted as if the kernel version was (> 2.6.8) && (<=
    2.6.12). Fixed .

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  7 Dec 2005 09:57:50 -0600

kernel-package (10.015) unstable; urgency=low

  * Bug fix: "kernel-package: Error setting debconf flags in generated
    linux image", thanks to Ruben Porras. Darn. Don't emit messages to
    STDOUT, we are now using debconf, which gets all confused. (Closes: #342143).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  5 Dec 2005 15:43:33 -0600

kernel-package (10.014) unstable; urgency=low

  * Bug fix: "buggy find option -- broken build", thanks to Marc Dequènes
                                                          (Closes: #342062).
  * Bug fix: "make-kpkg doesn't work with make 3.80-9", thanks to Adam
    Heath                                                 (Closes: #342066).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  4 Dec 2005 23:12:33 -0600

kernel-package (10.013) unstable; urgency=low

  * Minor clean ups. Made the postinst script a trifle more verbose to
    help in diagnosing errors.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  4 Dec 2005 15:11:44 -0600

kernel-package (10.012) unstable; urgency=low

  * It was pointed out to me that the ability to build third party modules
    using make-kpkg and linux kernel headers packages had broken with
    recent kernel packages, since the check for whether we were in a top
    level kernel source directory failed to take into account if we were
    in a header package directory, which is sufficient.
  * Additionally, older kernel-package versions appear to want to run
    oldconfig in the headers package tree, which failed, since there was
    inadequate support for running oldconfig. This has also been fixed,
    since all we really need to depend on is a .config file.
  * Finally, make-kpkg insists on there being a ./debian directory, and it
    makes sense to ship the directory in the source and header packages,
    since shipping it means that we also remove the need for
    kernel-package to be installed on the target system

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Dec 2005 02:55:33 -0600

kernel-package (10.011) unstable; urgency=low

  * Bug fix: "DEBIAN/ directory doesn't appear to exist at
    image_clean_hook time", thanks to Don Armstrong. Moved the hooks for
    image and headers later in the process.              (Closes: #339659).
  * Bug fix: "kernel-package: kernel-image-deb mentioned in README.gz but
    removed in 10.x", thanks to Marc Haber. Well. The new name is
    stamp-kernel-image. Changed docs, and added kernel-image-deb
    temporarily as an alias.                             (Closes: #340978).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 Dec 2005 15:30:27 -0600

kernel-package (10.010) experimental; urgency=low

  * Bug fix: "kernel-package: Fails to build ppc64 2.6.14 kernel", thanks
    to Juergen Kreileder. Sven Luther provided the patch (Closes: #338449).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Nov 2005 21:47:09 -0600

kernel-package (10.009) experimental; urgency=low

  * The long obsolete --flavour option is now gone, and --apend-to-version
    should be used. Also, --append-to-version may soon be superceded with
    --abi, stay tuned.
  * Speed up the stripping code in kernel header packages, by only looking
    at the scripts directory (which was the only place with the elf
    binaries).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Nov 2005 22:55:55 -0600

kernel-package (10.008) experimental; urgency=low

  * Well, it turns out that only on some architectures do we havea binary
    using a dynamically loaded shared library, so the call to dpkg-shlibs
    was failing on the others. Now, go throug a complex dance in which we
    either call dpkg-shlibs, or edit the control file using Perl, so that
    both cases can be catered to.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Nov 2005 08:51:08 -0600

kernel-package (10.007) experimental; urgency=low

  * Aaargh, typo in the kernel header rules.
  * The generated packages should not have native version numbers by
    default, since they are not really debain native packages. The problem
    was that the default version generated did not have a -, so chnaged
    that value. The files affected are kernel-pkg.conf, README,
    kernel/ruleset/misc/version_vars.mk , kernel-pkg.conf.5,
    kernel/docs/README,  kernel/ruleset/misc/config.mk.
  * While looking at Lintian errors, I noticed that apparently
    kernel-headers package carries with it an elf binary, and thus should
    depend on the shared libraries -- but did not. Fixed now by a search
    and a call to dpkg-shlibs. Various minor nitpicks in the default
    Control file also fixed.
  * We also added a make snippet to find and strip the binaries we need to
    run  dpkg-shlibs upon, since that is the policy.
  * kernel/ruleset/targets/image.mk: Export the variable IMAGE_TOP before
    calling scripts in $(SRCTOP)/debian/image.d and debian/post-install,
    since that is what they expected. Bad idea changing an exposed
    interface.
  * kernel/pkg/image/postrm:  Call purge to remove the questions from
    debconf database when the package is purged.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Nov 2005 01:03:49 -0600

kernel-package (10.006) experimental; urgency=low

  * Hmm. We need to take special care of the case in which the
    kernel-headers are installed after the kernel-image has been; and the
    build symlink is not setr. In this case, the header postinst now
    correctly installs the build symlink.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Nov 2005 12:44:21 -0600

kernel-package (10.005) experimental; urgency=low

  * Bug fix: "kernel/image.postinst should mention GRUB", thanks to
    Martin Michlmayr. Well, I don't see why we should mention _any_ boot
    loader at all, so we are no longer biased against grub. (Closes: #336927)
  * Bug fix: "kernel-package: Using dpkg --remove followed by dpkg
    --install does not restore the kernel package", thanks to Daniel
    Jacobowitz. Also: "kernel-package tells me we're being reinstalled AND
    updated". Actually, the installed/updated is just sematics; when you
    reinstall a kernel image you are updating it, and vice versa. The
    actual problem was that while the symbolic links were removed when the
    package was removed, dpkg passed the last-version-configured to the
    postinst, and we took that as evidence that the package had been
    installed before -- which, while true, did not take into account that
    the package was currently uninstalled. The fix is to always see if a
    missing symlink needs to be installed, and not touch existing
    symlinks.                                       (Closes: #336733,  #336517).
  * Added kernel/pkg/headers/create_link as an example. The user can install
    it in the postinst.d directory to set up the /lib/modules/foo/build
    symlink to point to the kernel-headers. This is not needed, since the
    kernel-image postinst already checks in the /usr/src/ directory for an
    installed kernel headers package.
  * Convert the image prerm scripts to debconf as well, the questions are
    asked if we try to remove the running kernel image, or if we are
    removing a kernel version mentioned in boot loader configuration.
  * Have the minimal.mk not overwrite the control or the changelog file.
  * Added a whole slew of config files, and updated older ones, to bring
    the configurations offered up by default to be more in line with
    official kernels.
  * Fixed substitutions in the kernel image package, there was a duplicate
    =B substitution.
  * Ran lintian on all the generated packages. Fixed FSF address in all
    the copyright notices, and fixed case in the templates file as
    well. This shall be the last experimental release, barring major
    problems.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Nov 2005 10:44:39 -0600

kernel-package (10.004) experimental; urgency=low

  * Bug fix: "using debconf", thanks to Robert Millan      (Closes: #115884)
  * Bug fix: "does not install non-interactively", thanks to Matt Kraai
                                                           (Closes: #247782)
  * This fine tunes the dependencies between targets. All of the package
    building targets are ones that insert themselves into the normal flow
    of policy specified targets, so they must hook themselves into the
    stream. That means, in essence, that they must depend on the configure
    and  corresponding build targets (with stamps) and ensure that the
    prep work is all done before they are invoked. The advantage is that
    nothing is going to be remade more often than it needs to. It also
    means we do not need to produce as many stamp files. So, the only
    dependencies on any of the intermediate targets are targets that have
    not been registered into the ladder created in rulesets/common/targets.mk
  * The kernel image maintainer scripts have been greatly
    changed. Firstly, they now use  debconf; and a number of questions
    have been moved to the config file (create-kimage-link-$version,
    old-initrd-link, old-dir-initrd-link, old-system-map-link) while
    others are asked conditionally in the postinst (depmod-error,
    depmod-error-initrd, bootloader-test-error, bootloader-error). The
    postinst has also become far less verbose; the users are far better
    educated a decade after this was written, and there are other sources
    of information about booting than the postinst of a kernel image.
  * The preinst also uses debconf. All the questions asked are still here
    -- we just use debconf to ask the user. Also, the priority, and need
    to break non-interactive installs was re-evaluated, and the preinst
    breaks in far fewer cases than it did before.
  * Second, the postinst gets rid of the code that generated boot floppies
    and created lilo.conf (that latter was probably illegal under current
    policy anyway). The do_boot_enable and do_boot_floppy configuration
    variables in /etc/kernel-img.conf are now invalid.
  * Also, the source tree is not automatically cleaned; the do_clean
    configuration variable, and the environment variable CLEAN_SOURCE are
    now control if the source tree is optionally cleaned after the kernel
    image package is built.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  3 Nov 2005 23:26:29 -0600

kernel-package (10.003) experimental; urgency=low

  * Bug fix: "can not clean up the kernel source tree", thanks to
    Chun-Chung Chen.                                         (Closes: #336409)
  * Bug fix: "kernel-package creates packages depending on
    linux-initramfs-tools, should use linux-initramfs-tool", thanks to
    Thomas  Luzat.                                           (Closes: #336724)
  * Bug fix: "/usr/share/doc/kernel-package seems to contain broken
    symlinks", thanks to Thomas Luzat                        (Closes: #336744)
  * This is a major reorganization of the rules file that helps
    create kernel related packages. The crusty old mechanism has been
     removed, the targets are now streamlined, and the policy mandated
     dependencies are now called out into a separate file. This should allow
     a future enhancement to allow end users to override the behavior of
     kernel-package in a fine grained fashion. Also, separating out the
     variable setting for each arch into a separate file should facilitate
     the delegation of that file to the person responsible for kernel images
     for that architecture. And, separating out the policy mandated targets
     into fine grained double colon targets allows people to add in any
     additional make targets for a particular architecture, something long
     requested.
            One of the factors that made the build mechanism so complex was
     that the rules file had a dual purpose: Initially, when ./debian was not
     present or not populated, it was responsible for populating that, and
     then it was responsible for building the kernel packages, incorporating
     any user customizations.
            Unfortunately, since Make reads all the commands at startup, it
     was difficult to incorporate any customizations, but the modularization
     of the rules file makes it possible to have two top level files, a
     minimal make file whose sole responsibility is to populate ./debian (and
     run clean even when ./debian does not exist), and which uses some of the
     same variable setting make snippets that the final top level Make file
     uses when it resides in ./debian. The task of deciding which top level
     makefile to use has now been relegated to /usr/bin/make-kpkg -- which,
     if there ./debian is empty or not present, first calls the minimal
     Makefile to populate it, and _then_ calls the real ./debian/rules file
     to perform the actual task that it was asked. This little intelligence
     in make-kpkg allows the minimal makefile, and ./debian/rules, to be far
     simpler, and allows them to conform to the standards my other Debian
     packages adhere to.
            The goal of this release was to handle the bugs in the previous
     experimental release, but to create a set of packages indistinguishable
     from the ones created before. Pointedly, non-of the minor lacunae in the
     Debian kernel image postinst scripts have been addressed yet. Also, the
     build process is a little more verbose at the moment than it needs to be.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  2 Nov 2005 14:16:19 -0600

kernel-package (10.002) experimental; urgency=low

  * Bug fix: "kernel-package: Problem with kernel_version.mk causes build
    fauilure", thanks to Horms                               (Closes: #335993).
  * This is a fairly large reorganization of the directory and file layout
    for the package. Instead of a mostly flat directory structure with a
    giant monolithic rules files, we are moving towards a more organized
    structure, with finer granularity of files, which may in the future
    facilitate third party replacement and overriding of parts of the build
    mechanism. Also, this reorganization may make the overall structure
    easier to see (though it may also result in it being harder to get the
    big picture, but I doubt that).

    This time around, I am trying to keep substantive changes to a minimum,
    so files have just been broken up, moved around, but the package should
    still more or less behave the way that it always did (apart from changing
    the stem).
    * kernel/rules (DEBDIR): Test to see if we have
      ./debian/kernel_version.mk, since all kinds of other people create
      ./debian
   * Makefile (install): Adjust for the reorganization of the files, since
     the source files are no longer in their previous locations. Keep the
     destination mostly the same.
   * kernel/rules: This is the one file that has faced the brunt of the
     changes. Large chunks of it have been moved out into separate chunks
     included in this file. The major addition has been are mechanisms to
     allow the file to be broken up. The parts removed are
      o) dpkg-architecture variable are now moved out to
         ruleset/common/archvars.mk
      o) The variables set in the file have mostly been moved to
         ruleset/local-vars.mk, which shall be further broken up into
         smaller parts
      o) For example, the per arch variable settings have already been moved
         out of  ruleset/local-vars.mk into ruleset/architecture.mk -- and
         shall be further fragmented into files in ruleset/arches/, so that
         it would be easier to delegate ownership to domain experts.
      o) The action/rules part of the file have been broken out to
         ruleset/local.mk -- and shall be broken out into
         ruleset/common/targets.mk (which contain policy mandated targets,
         and their dependencies, and ruleset/actual_rules.mk, where the
         grunt work shall be done. It may make sense to further divide
         ruleset/actual_rules.mk into separate files for images, headers,
         doc, and manual packages. At a later stage, actually installing
         files into ./debian/tmp-<something> shall be separated out from the
         subsequent packaging into separate targets (probably in the same
         file), to allow finer granularity for debugging.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Oct 2005 09:03:41 -0500

kernel-package (10.001) experimental; urgency=low

  * Bug fix: "doesn't install: Internal Error: Could not find image
    (/boot/vmlinuz-2.4.27-xxs1500)", thanks to Martin Michlmayr. Well,
    calling kimage vmlinux.srec was breaking the postinst. However, kimage
    does not seem to be used anywhere except in determining the next
    value, namely, kimagesrc -- so I just added .srec to  kimagesrc, and
    thus eliminated the need for hacking the postinst. So the fix was
    earlier in the build process, and not deferred to the postinst.
                                                          (Closes: #333220).
  * Acknowledge the changes made for initrd stuff in the NMU
    series. Thanks to Sven Luther for the work. I have made some changes,
    for example, instead of hard-coding the list of initrd tools one
    considers in the installation phase, now one can set that list by
    editing /etc/kernel-pkg.conf -- and this replaces the hard coded
    list. Of course, the admin at the target location can still over-ride
    that list by editing /etc/kernel-img.con (note, not the same as
    /etc/kernel-pkg.conf above); this makes things slightly more
    flexible. Also, the list of commands does not have to be the fully
    qualified path, the postinst and preinst use the PATH variable to find
    the commands.
  * kernel-img.conf.5: Document the fact that the ramdisk variable can now
    be a space separated list of init ram disk creation commands, which
    need to also support the --supported-host-version and
    --supported-target-version options, just like mkinitrd does. This is
    the list tried at installation time.
  * kernel-pkg.conf.5: Document the fact that one can provide the default
    values for the list by setting INITRD_CMD, but this list can be
    overridden by the one in kernel-img.conf.5. However, the defaults are
    set to a subset of "mkinitrd mkinitrd.yaird mkinitramfs", the subset
    being decided based on the version of the kernel being built, so one
    should refrain from setting this manually -- unless one knows what one
    is doing.
  * kernel/image.postrm, kernel/image.prerm: Added new variable for the
    initrd dependency, and also modified the variable ramdisk to be a
    space separated list of commands, not just a single command.
  * kernel/image.postinst, kernel/image.preinst: Added new variable for
    the initrd dependency, and also modified the variable ramdisk to be a
    space separated list of commands, not just a single
    command. (find_inird_tool): Added function to determine the list of
    viable initrd creation tools present on the target system, and use it
    to select which tool to use for creating the ram fs.
  * Bug fix: "'man make-kpkg' typo: 'thatthis'", thanks to A
    Costa                                                    (Closes: #335316).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Oct 2005 04:00:35 -0500

kernel-package (9.008.4) unstable; urgency=low

  * Some small fixes.

 -- Sven Luther <luther@debian.org>  Mon, 24 Oct 2005 11:04:19 +0000

kernel-package (9.008.3) unstable; urgency=low

  * ramdisk generation tools now return 2 on --supported-* negative, so we can
    now add overrides for non- --supported-* supporting tools.

 -- Sven Luther <luther@debian.org>  Mon, 24 Oct 2005 10:34:46 +0200

kernel-package (9.008.2) unstable; urgency=low

  * Second take on the ramdisk generation tool resolution. Thanks go to Jonas
    Smedegaar and Steve Langasek for proposing this solution, and all others
    who discussed this.
  * Removed again conflicts since we can now handle legacy ramdisk generation
    tools.

 -- Sven Luther <luther@debian.org>  Sun, 23 Oct 2005 16:21:46 +0200

kernel-package (9.008.1) unstable; urgency=low

  * NMU with maintainer's permission.
  * Implement the new ramdisk generation tool finding plan. Thanks go to
    Mattia Dongili for helping me out with the needed perl code.
  * Added conflict with older version of the ramdisk generating tools to the
    resulting kernel-image package.
  * Upgraded manpage to reflect those changes.

 -- Sven Luther <luther@debian.org>  Thu, 20 Oct 2005 14:05:12 +0000

kernel-package (9.008) unstable; urgency=low

  * Bug fix: "xen.postinst contains illegal sed command", thanks to
    Michael Tautschnig                                    (Closes: #329373).
  * Bug fix: "Fix netboot for mips ELF32 arc firmware", thanks to Thiemo
    Seufer                                                (Closes: #329081).
  * Bug fix: "kernel-package: powerpc kernel packages don't remove
    cleanly", thanks to Eric Cooper                       (Closes: #327361).
  * Bug fix: "Give warnings during preconfigure, not during install",
    thanks to Bas Wijnen                                  (Closes: #328784).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 28 Sep 2005 08:22:37 -0500

kernel-package (9.007) unstable; urgency=low

  * Update for MIPS kernels, thanks to Thiemo Seufer.     (Closes:  #323428).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 31 Aug 2005 10:30:18 -0500

kernel-package (9.006) unstable; urgency=low

  * Bug fix: "kernel-package: Modules placed in wrong directory when
    building user mode linux kernels", thanks to Paul Dwerryhouse
                                                             (Closes:  #323018).
  * Ever since we added section 9 man pages to the kernel-doc package, one
    can no longer install two different versions of the kernel-doc package
    simultaneously. Since this was deemed to be undesirable, now we have
    split off a kernel-manual-X.Y.Z package to provide kernel man
    pages. This works for 2.6 kernels, and I hope does not cause issues
    for older kernels. Please note that while one may install any number
    of kernel-doc packages at one time, only one kernel-manual package is
    supposed to be installed at any given time.
  * Bug fix: "kernel-package: typo in make-kpkg.1.gz", thanks to Henrik
    Holmboe                                                   (Closes: #322693).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Aug 2005 23:42:08 -0500

kernel-package (9.005) unstable; urgency=low

  * Bug fix: "linux-2.6: [powerpc] does not include mkvmlinuz support",
    thanks to Sven Luther                                 (Closes: #320798).
  * Bug fix: "linux-headers-2.6.12: header_postinst_hook is called twice
    in postinst", thanks to Peter Marschall               (Closes: #320416).
  * Bug fix: "kernel-package: relink_src_link (in code)
    vs. relink_source_link (in man page) discrepancy", thanks to Peter
    Marschall                                             (Closes: #320424).
  * Bug fix: "'man make-kpkg' typos: "coumentation","similiar", "tp",
    etc.", thanks to A Costa                              (Closes: #320561).
  * Bug fix: "'man kernel-img' typos: "absense", "initail", "issueing" x
    2, "laoder", and  "varable"", thanks to A Costa       (Closes: #320562).
  * Bug fix: "'man kernel-pkg' typos: "Mutualy", "confguration", "differes",
    "instablity", "numberd", "similarily", and "usefule"", thanks to A
    Costa                                                 (Closes: #320563).
  * Bug fix: "'man make-kpkg' typo: "ro"", thanks to Martin Zobel-Helas
                                                          (Closes: #321444).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 Aug 2005 10:45:11 -0500

kernel-package (9.004) unstable; urgency=low

  * Bug fix: "new kernel-package creates ridiculous symlinks in /boot",
    thanks to Itai Seggev                       (Closes: #319543, #319657).
  * Bug fix: "kernel-package: Wrong symbolic link vmlinux in /boot",
    thanks to Bin Zhang                                  (Closes: #319452).
  * Bug fix: "new kernel-package creates ridiculous symlinks in /boot",
    thanks to Itai Seggev                                (Closes: #319515).
  * Bug fix: "Syntax error in kernel rules file", thanks to Jordi Mallach
                                                         (Closes: #319632).
  * Bug fix: "linux-image-2.6.12-1-686: /vmlinuz and /initrd symlinks were
    botched after installing 2.6.12", thanks to Andrew Moise
                                                         (Closes: #319664).
  * Bug fix: "kernel-package: Please support kernel building on the ppc64
    architecture", thanks to Andreas Jochens             (Closes: #320055).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Jul 2005 00:13:15 -0500

kernel-package (9.003) unstable; urgency=low

  * Fix an unterminated variable reference.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Jul 2005 07:54:26 -0500

kernel-package (9.002) unstable; urgency=low

  * Bug fix: "kernel-package: Spelling error in rules file", thanks to
     Peter Marschall                                   (Closes: #317638).
  * Bug fix: "kernel-package: Spelling error in rules file", thanks to
    Aaron Howell                                        (Closes: #313338).
  * Bug fix: "kernel-package: Missing 'scripts' directory in
    kernel-headers produced by make-kpkg", thanks to Marc L. de
    Bruin. Also added Module.symvers, thanks to Ryan Underwood for
    pointing that out.                                  (Closes: #315858).
  * Bug fix: "describe -stem in the manpage", thanks to dann frazier
                                                        (Closes: #318397).
  * Bug fix: "kernel-package: possibly missing xargs option in rules
    file", thanks to Rob Browning                       (Closes: #318378).
  * Bug fix: "kernel-package: Please consider adding (or commenting on)
    this official powerpc/ppc64 patch", thanks to Sven Luther
                                                        (Closes: #318431).
  * Bug fix: "kernel-package: please include more --config options",
    thanks to Andres Salomon                             (Closes: #318962).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Jul 2005 10:34:06 -0500

kernel-package (9.001) unstable; urgency=low

  * The previous solution was only one half of the problem: we had made
    kernel_arch available to the maintainer scripts, but had not exported
    the variable to the hook scripts that the maintainer scripts run. This
    is the second half of that work.
  * Bug fix: "/u/s/k-p/image.postinst: $force_move logic recently broke",
    thanks to Aaron M.; "kernel-package: symlinks in /boot aren't update
    for packages created with make-kpkg", thanks to Itai Seggev.  These
    are the same bug, and indeed, as Aaron analyzed, were cause by a
    misplaced '}'.                                (Closes: #313312, #312917).
  * Thanks to Ubuntu and jbailey, there is now a new variable in
    /etc/kernel-img.conf: ramdisk, which allows the admin to choose a
    different program than /usr/sbin/mkinitrd for initrd generation.
  * Added a few bits and pieces for powerpc64 into the rules file. I am
    not sure I understand why one can't ever cross compile powerpc64
    images, but I am adding this in for the duration. This work reflects
    changes in Ubuntu.
  * Bug fix: "Fails with make: i486-linux-gnu-gcc: Command not found",
    thanks to Nacho Más                                 (Closes: #313053).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Jun 2005 01:25:33 -0500

kernel-package (9.000) unstable; urgency=low

  * This is a bug fixing release, and hopefully stable. Next we embark on
    a cleanup, rewrite, and debconfification, so this may well be a
    version worth holding on to.
  * Bug fix: "kernel-package: Rearrange docs placement in kernel-doc",
    thanks to Eugene Konev                              (Closes: #308562).
  * Bug fix: "kernel-package: Please export KERNEL_ARCH variable to the
    post-install script", thanks to Jurij Smakov        (Closes: #309423).
  * Bug fix: "kernel-package: [INTL:es] updated make-kpkg manpage", thanks
    to Ruben Porras                                     (Closes: #310274).
  * Bug fix: "kernel-package: Does not clean up dangling 'source' symlink
    in postinst", thanks to Jurij Smakov                (Closes: #309981).
  * Bug fix: "kernel-package: Please disable the version mismatch check
    for official kernels", thanks to Jurij Smakov. As all the debian
    kernel images are built from the same source, but with different
    binary image versions (the binary image version is a combination of
    the sub-arch and a variation of the kernel ABI), this check is
    erroneously triggered for them, terminating the build. With the patch
    builds finish fine.  This does so by circumventing a sanity check,
    which has some value for the end user.              (Closes: #312280).
  * Bug fix: "kernel-package: make-kpkg manpage should state that newer
    Kernel have cramfs support", thanks to Andreas Pakulat
                                                         (Closes: #308221).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Jun 2005 03:43:37 -0500

kernel-package (8.135) unstable; urgency=medium

  * Bug fix: "kernel-package incompatible with experimental dpkg", thanks
    to Thomas Luzat. The problem is that dpkg-architecture
    -qDEB_HOST_GNU_SYSTEM output haschanged for Linux, resulting in
    kernel-package failing to figure out the system time. So, added
    DEB_HOST_ARCH_OS, which is only supported in the dpkg in experimental
    so far. This ain't ever gonna get into Sarge, but   shall be in
    Etch. Try to cope with the dpkg released with Sarge, as   well as the
    future dpkg that shall be in Etch. Discussed with RM, and this was
    deemed wrthy of pushing into Sarge                   (Closes: #307587).
  * Bug fix: "kernel-package: [INTL:es] make-kpkg update", thanks to Ruben
    Porras                                                (Closes: #307713).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  7 May 2005 03:02:25 -0500

kernel-package (8.134) unstable; urgency=low

  * Bug fix: "kernel-package: Symlink confusion", thanks to Juergen
    Kreileder. There was indeed an issue with the image postrm, if the
    link_in_boot option was set.                           (Closes: #304140).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 May 2005 00:57:04 -0500

kernel-package (8.133) unstable; urgency=low

  * Bug fix: "typo in /usr/share/kernel-packages/rules", thanks to Bart
    Cortooms                                               (Closes: #307097).
  * Bug fix: "kernel-package: man make-kpkg does not document the
    binary-arch target", thanks to Intri Geri              (Closes: #305266).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 May 2005 14:20:43 -0500

kernel-package (8.132) unstable; urgency=low

  * Delete trailing whitespace in the rules file. This one change closes
    the next 4 bugs:
  * Bug fix: "kernel-package: does not build kernel_headers", thanks to
    Ingo Saitz                                            (Closes: #304568).
  * Bug fix: "kernel-package: Regression between 8.130 and 8.131", thanks
    to Roland Mas                                         (Closes: #304631).
  * Bug fix: "kernel-package: errors in script", thanks to Alberto Maurizi
                                                          (Closes: #304687).
  * Bug fix: "Compilation with make-kpkg fails", thanks to Johnny Morano
                                                          (Closes: #304851).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 15 Apr 2005 19:28:53 -0500

kernel-package (8.131) unstable; urgency=low

  * Bug fix: "kernel-package: README.modules should include targets
    called", thanks to Kevin Locke                        (Closes: #303833).
  * Updated spanish man pages.
  * Spit out a warning of the module dir does not exist. Earlier, we were
    silently ignoring missing third party modules.
  * Bug fix: "Support for kfreebsd", thanks to Robert Millan
                                                          (Closes: #294235).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Apr 2005 01:53:41 -0500

kernel-package (8.130) unstable; urgency=low

  * Bug fix: "kernel-package fails to build mipsel kernels", thanks to
    Thiemo Seufer                                        (Closes: #301389).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Mar 2005 19:07:20 -0600

kernel-package (8.129) unstable; urgency=low

  * Bug fix: "sed errors with kernel-package &gt; 8.125", thanks to Edward
    J. Shornock. Need to quote $'s in make files.         (Closes: #300491).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Mar 2005 00:33:49 -0600

kernel-package (8.128) unstable; urgency=low

  * Bug fix: "kernel-package: Script errors during kernel build on
    sparc64", thanks to Frans Pop. Comment out _all_ the lines of a
    stanza, nit just the last two.                       (Closes: #300371).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Mar 2005 10:17:31 -0600

kernel-package (8.127) unstable; urgency=low

  * Bug fix: "kernel-package: make-kpkg uses run-parts -v option, which
    breaks woody->sarge upgrades", thanks to Sven Luther (Closes: #299863).
  * Bug fix: "kernel-package: Missing CROSS_ARG causes spurious warnings",
    thanks to Hirokazu Takata                            (Closes: #298509).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 21:12:35 -0600

kernel-package (8.126) unstable; urgency=low

  * Bug fix: "[kernel-package] make-kpkg fails on mipsel without subarch",
    thanks to Florian Lohoff                               (Closes: #299218).
  * Inconsistent CROSS_COMPILE Breaks External Modules. Well, make sure
    that we do not end up with a XXX-- as the corss arg, thus allowing
    people to specify things with or without a trailing -.
                                                    (Closes: #298371, #29850).
  * Bug fix: "kernel-package: Missing CROSS_ARG causes spurious warnings",
    thanks to Horms. Added [atch                            (Closes: #297677).
  * Bug fix: "kernel-package: Update Kernel Maintainer", thanks to Horms
                                                             (Closes: #297676).
  * Bug fix: "kernel-package: m32r architecture support", thanks to
    Hirokazu Takata                                          (Closes: #298647).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 01:45:13 -0600

kernel-package (8.125) unstable; urgency=low

  * Update ARM netwinder rules to be correct, thanks to vince (Closes: #296443).
  * Bug fix: "kernel-package: [patch] Please add nubus support", thanks to
    Sven Luther                                               (Closes: #296450).
  * Bug fix: "kernel-package: should perhaps suggest or recommend bzip2",
    thanks to Krishna Sethuraman                              (Closes: #296696).
  * Bug fix: "add doc for initrd options", thanks to Alex     (Closes: #290697).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Mar 2005 14:52:20 -0600

kernel-package (8.124.1) unstable; urgency=low

  * NMU for release management reasons and d-i rc3 (deadline today) schedule.
  * Adds nubus support, thus allowing an upload of the new 2.4.27 powerpc
    packages. (Closes: #296450)

 -- Sven Luther <luther@debian.org>  Mon, 28 Feb 2005 11:02:18 +0100

kernel-package (8.124) unstable; urgency=high

  * Bug fix: "/etc/kernel-img.conf mkimage option fails", thanks to Artur
    Górniak                                                 (Closes: #296084).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Feb 2005 00:07:35 -0600

kernel-package (8.123) unstable; urgency=high

  * Implement and document a hook for cleaning the kernel image package, for
    symmetry.
  * Make minor tweaks to the kernel_version.mk file to eliminate
    complaints about missing .config files.
  * Bug fix: "kernel-package: it fails to build my kernel with strange
    error message", thanks to Domenico Andreoli           (Closes: #295149).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Feb 2005 10:19:34 -0600

kernel-package (8.122) unstable; urgency=low

  * Bug fix: "kernel-package: vmlinuz symlink breaks install", thanks to
    Michael Spang                                        (Closes: #295023).
  * Bug fix: "make-kpkg breaks make help", thanks to Uwe Zeisberger
                                                         (Closes: #295387).
  * Bug fix: "'/lib/modules/2.x.xx-whatever still exists' message uncalled
    for when only headers installed", thanks to Joshua Kwan. Create a work
    around for the breakage introduced in official kernel-header packages,
    which added a build symlink in the modules directory, causing a long
    standing sanity check to trigger.                    (Closes:  #295443).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 16 Feb 2005 01:52:52 -0600

kernel-package (8.121) unstable; urgency=low

  * Bug fix: "FTBFS: cannot build powerpc 2.6 kernels, missing rule for
    conf.vars", thanks to Sven Luther                    (Closes: #294751).
  * Bug fix: "kernel-package: only postinst/rm scripts get =D and co
    substituted, while preinst/rm do not ...", thanks to Sven Luther
                                                         (Closes: #294736).
  * kernel-package locks up when building                (Closes: #294889).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 12 Feb 2005 00:06:22 -0600

kernel-package (8.120) unstable; urgency=medium

  * Bug fix: "Warning message about initrd is out of date", thanks to Tore
    Anderson. Toned down the warning a lot, but left it in place since it
    is not clear that the need it fully gone.            (Closes: #290675).
  * Bug fix: "kernel-package: Use versioned /etc/kernel/*.d directories to
    allow per kernel script launching.", thanks to Sven Luther
                                                         (Closes: #294168).
  * Bug fix: "kernel-package: Using IMAGEDIR in /etc/kernel-pkg.conf make
    uninstall failed", thanks to Daniel 'NebuchadnezzaR' Dehennin
    The chdir was in mostly for symmetry with other scripts; we certainly
    do not need to be in destdir, and indeed, destdir could be removed, as
    was the case here.
                                                         (Closes: #293738).
  * Bug fix: "--us --uc buildpackage doesn't work", thanks to
    Harald Dunkel. This helped point to a real mess in the way we handled
    the get root functionality, as well as the extra arguments to
    dpkg-buildpackage. Now we have separated out the functionality, and no
    longer overload int_root_cmd (helped get rid of int_get_root as well)
                                                         (Closes: #287212).
  * Bug fix: "kernel-package: LOCALVERSION alternate solution", thanks to
    Christian Höltje. Thanks for the patch, this is indeed much cleaner.
                                                         (Closes: #285688).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2005 15:09:24 -0600

kernel-package (8.119) unstable; urgency=low

  * Bug fix: "kernel-package: Improvements for kernel_grub_rm.sh script",
    thanks to Javier Fernández-Sanguino Peña. I created my own patch,
    rather than using the one in the report, but thanks for pointing this
    out.                                                 (Closes: #287937).
  * Bug fix: "mismatch between lilo.conf and the actual filename
    "initrd.old".", thanks to David Robin. The fix is actually
    thanks to Khalid Aziz, who noticed that in one corner case the
    symbolic link was moved to the wrong location.       (Closes: #288540).
  * Bug fix: "bash_completion.d/make-kpkg prints grep error messages if
    .config doesn't exist", thanks to Josh Triplett      (Closes: #285166).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Jan 2005 17:39:31 -0600

kernel-package (8.118) unstable; urgency=low

  * Bug fix: "bash_completion.d/make-kpkg prints grep error messages if
    .config doesn't exist", thanks to Josh Triplett (Closes: #285166).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Dec 2004 12:20:46 -0600

kernel-package (8.117) unstable; urgency=low

  * Updated the spanish translation of the amke-kpkg man page, thanks to
    Rubén Porras Campo <nahoo@inicia.es>

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Dec 2004 09:48:47 -0600

kernel-package (8.116) unstable; urgency=low

  * Bug fix: "when generating buildinfo, should also consider [h]eld
    packages", thanks to Joshua Kwan. I sync-tree's with josjk's version,
    but did not actually use that code, since there have been changes made
    in the rules file since, and there are also some permission changes I
    did not want to revert. This shall allow him to star-merge back to get
    my fixes.                                             (Closes: #284700).
  * Bug fix: "kernel-package: improved CONCURRENCY_LEVEL docs", thanks to
    Bastian Kleineidam                                     (Closes: #284065).
  * Bug fix: "kernel-package: Clarify documentation on kernel patches",
    thanks to Ross Boylan. Added a note in the make-kpkg man page.
                                                           (Closes: #224212).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Dec 2004 02:43:28 -0600

kernel-package (8.115) unstable; urgency=low

  * Bug fix: "SPARC/SILO: does not set the right initrd for the kernel",
    thanks to Joerg Friedrich.  We now mention that the generated
    silo.conf is a best effort kinda thing, and a human needs to check it.
                                                         (Closes: #282965).
  * Bug fix: "kernel-package: Simultaneously installing two kernel images,
    with initrds, makes lilo fail for the first one", thanks to Adam Rice
    Actually, this was an instance of upgrading two images at the same
    time.                                                (Closes: #282749).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 26 Nov 2004 01:17:10 -0600

kernel-package (8.114) unstable; urgency=low

  * Do up remove initrd symbolic links on upgrades.        (Closes: #281953).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 Nov 2004 16:00:21 -0600

kernel-package (8.113) unstable; urgency=low

  * Bug fix: "--stem option to enable alternative package naming schemes",
    thanks to Matt Zimmerman                                  (Closes: #281465).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 17 Nov 2004 11:09:40 -0600

kernel-package (8.112) unstable; urgency=low

  * Bug fix: "kernel-source-2.6.9: make mrproper fails", thanks to Leif W
    horms@debian.org provided the fix                          (Closes: #279678).
  * Bug fix: "Updated mips/mipsel rules for kernel-package", thanks to
    Thiemo Seufer                                              (Closes: #280341).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Nov 2004 11:13:58 -0600

kernel-package (8.111) unstable; urgency=medium

  * Strip trailing white space from the rules file.
  * Bug fix: "lc_version change is buggy", thanks to Adam Heath
                                                        (Closes: #279564).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 Nov 2004 17:42:18 -0600

kernel-package (8.110) unstable; urgency=low

  * Updated french man page, thanks to Sylvain Cherrier <sylvain.cherrier@free.fr>

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Oct 2004 03:57:45 -0500

kernel-package (8.109) unstable; urgency=low

  * Aaargh. Fix the sense of the test for MAKING_VIRTUAL_IMAGE for source,
    doc, and header packages. Many thanks to Andreas Salomon for pointing
    this out.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Oct 2004 01:43:24 -0500

kernel-package (8.108) unstable; urgency=low

  * Fix the uml rules to accommodate the changes made in version 2.6.9.
  * Bug fix: "kernel-package doesn't support kernel versions with
    uppercase letters", thanks to Adam Heath. Now, if an environment
    variable IGNORE_UPPERCASE_VERSION is set, the error is turned into a
    warning. Use at your own risk.                    (Closes: #277680).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 24 Oct 2004 21:45:58 -0500

kernel-package (8.107) unstable; urgency=low

  * Fix the tests for making a virtual image. Other wise, arch=um|xen
    failed with cross compile errors, and things for non um,xen targets
    were missing. Thanks to Nuutti Kotivuori for pointing this out.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Oct 2004 17:29:54 -0500

kernel-package (8.106) unstable; urgency=low

  * Bug fix: "kernel-image-2.6.8-1-686: Badly constructed pathname for
    Initial rootdisk image", thanks to Greg Kochanski (the path had a //
    in it, corrected in a patch by Horms <horms@debian.org> (Closes: #275629).
  * Bug fix: "kernel-image-2.6-686: apt-get remove does not put back the
    old kernel", thanks to Greg Kochanski. Well, there is a partial
    solution -- the postinst now checks, and removes, damaged and dangling
    symlinks, and warns the person doing the uninstall that lilo may need
    to be run. However, it does not try to figure out itself which kernel
    image should be promoted, and it does not change any symbolic link in
    / (apart from removing dangling ones).                  (Closes: #275688).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Oct 2004 18:16:10 -0500

kernel-package (8.105) unstable; urgency=low

  * Bug fix: "kernel-package: Wish it had Xeno Architecture Support",
    thanks to Paul Boehm. Most of the porting and testing has been done by
    Felix Erkinger <erkinger@gmx.net>, and all the credit goes to him.
                                                          (Closes: #215318).
  * Bug fix: "typo error", thanks to Tommaso Moroni       (Closes: #277093).
  * Added Rules.make and arch dependent Makefile to the kernel-header
    package.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Oct 2004 00:34:05 -0500

kernel-package (8.104) unstable; urgency=medium

  * Ignore leading white spaces in preinst answers.
  * Bug fix: "kernel-package: incorrect lookup of kernel-source version in
    rules", thanks to Julian Gilbey                      (Closes: #276257).
  * Bug fix: "kernel-package: rules doesn't test for valid_patches empty
    in stamp-build", thanks to Julian Gilbey              (Closes: #276258).
  * Updated french translation for the make-kpkg man page.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Oct 2004 03:26:17 -0500

kernel-package (8.103) unstable; urgency=high

  * Bug fix: "make-kpkg: fails to unpatch the source", thanks to martin f
    krafft. This was due to recent idiocy in upstream kernel sources,
    where the kernel now assumes responsibility of ./debian directory
    (despite Debian having used this directory for years). The people in
    charge of this code in upstream kernel were not competent enough to
    implement the deb target  in a fashion that it does not break a
    facility that Debian has used for years.  Well, all the kernel-patch
    packages are affected; since nothing shall unpatch correctly with
    2.6.8.1+ kerel versions. It also makes life a pain for official kernel
    image developers, since their ./debian is a dorectory that is not
    recreated by kernel-package (or the broken upstream code); and at
    least one developer has lost an uncheked in  custom ./debian dir

    It is not as if they needed to claim ./debian, since they do not use
    dpkg, and a fix was discussed in August, but no one has seen fit to
    implement that fix and solve this breakage -- so now kerel-package
    works around this idiocy. This makes this update very urgent.

    The generated .debs also do not pay attention to kernel-img.conf (thus
    creating a surprise for unsuspecting end users), they do not massage
    the build and source symlinks, do not run boot loaders, do not handle
    bootloaders that may use initrd in their config, and probably would
    end up generating a slew of bugs that can't be fixed in Debian.

                                                         (Closes: #270169).
  * Bug fix: "make-kpkg doesn't handle CONFIG_LOCALVERSION", thanks to
    Michal ô ¬ihaô ù. The only implementation for LOCALVERSION I saw (in
    linux-2.6.9-rc3/Makefile), is a broken Makefile
    snippet. kernel-package now tries to implement what the documentation
    and comment say should be done                       (Closes: #273147).
  * Added support for hook directories. Apart from hook variables that the
    local admin may set, there are a set of directories where packages, or
    the local admin, may drop in script files. The directories are
      - /etc/kernel/preinst.d/,
      - /etc/kernel/postinst.d/,
      - /etc/kernel/prerm.d/, and
      - /etc/kernel/postrm.d/.
    If they exists, the kernel-image package shall run a run-parts program
    over the directory, giving the version being installed or removed as
    an argument, in the corresponding phase of installation or
    removal. Since these directories do not exist by default, this should
    have no impact on current installations.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 Oct 2004 14:05:06 -0500

kernel-package (8.101) unstable; urgency=low

  * Bug fix: "uml kernel packages have weird files in weird places",
    thanks to martin f krafft. There is no need to test for empty patches,
    since these files are not installed unless the sources are patched.
                                                           (Closes: #275407).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Oct 2004 19:36:55 -0500

kernel-package (8.100) unstable; urgency=low

  * Strip the uml binary (honoring DEB_BUILD_OPTIONS).
  * Well, we conflict, replace, and provide user-mode-linux -- which has
    problems when we try to install two different kenrl-uml-* packages,
    since they now conflict with each other. Now, we just conflict with
    user-mode-linux (>= 2.0), which means all kernel-uml-* packages shall
    conflict with real user-mode-linux packages, but not with other
    kernel-uml packages.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  4 Oct 2004 00:21:19 -0500

kernel-package (8.099) unstable; urgency=low

  * Bug fix: "kernel-package: 2.4.27 compile fails", thanks to Gordon
    Haverland                                                 (Closes: #274616).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  3 Oct 2004 00:17:00 -0500

kernel-package (8.098) unstable; urgency=low

  * Replace and provide user-mode-linux, since each kernel-uml packages
    does indeed do that.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  2 Oct 2004 15:28:51 -0500

kernel-package (8.097) unstable; urgency=low

  * Bug fix: "kernel-package: information on source package and patch
    package versions in buildinfo.gz", thanks to Norbert Buchmuller
                                                     (Closes: #274465).
  * Fix a typo in the rules file.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  2 Oct 2004 01:04:40 -0500

kernel-package (8.096) unstable; urgency=low

  * More modifications to the kernel-uml-$version packages created. Now
    the modules live in /usr/lib/modules/ instead of in
    /usr/share/uml. The package now uses alternatives to allow people to
    have multiple uml images on the machine at the same time, while still
    retaining a /usr/bin/linux and a man page for that.  Rewrote the man
    page from scratch.                                       (Closes: #176288).
  * Bug fix: "kernel-package: Could be more conservative about initrd
    creation", thanks to Matt Zimmerman                      (Closes: #274165).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  1 Oct 2004 15:59:22 -0500

kernel-package (8.095) unstable; urgency=high

  * Urgency high since unpatching should indeed reverse the order in which
    patches are reversed.
  * Bug fix: "kernel-package: incorrect handling of --cross-compile
    option", thanks to Eric C. Cooper                        (Closes: #272786).
  * Bug fix: "kernel-package: typo in the kernel-pkg.conf.5 man page",
    thanks to Nicolas François                               (Closes: #272244).
  * Bug fix: "implicit rules for unpatching don't reverse list of
    patches", thanks to Joshua Kwan                           (Closes: #273456).
  * kernel-package: wish it had support for UML. This enhancement has been
    solely the work of  Ralph Paßgang <ralph@debianbase.de>, who worked
    hard withing the current infrastructure to implement the creation of
    UML packages. Try something like this:
      make-kpkg --revision 1um-1 --arch um  kernel-image
    the resulting package will be called:
      kernel-uml-<version>_<revision>_<buildarch>.deb
    It will include the linux executable in /usr/bin, and the uml modules
    in /usr/share/kernel-uml/modules/$VERSION/
                                                              (Closes: #273456).
  * Bug fix: "kernel-package: make-kpkg goes into endless loop while
    calling /sbin/depmod", thanks to Elias Pschernig           (Closes: #272129).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 Sep 2004 20:26:04 -0500

kernel-package (8.094) unstable; urgency=high

  * Urgency High since there are severe bugs related to patching and
    unpatching kernel patches which are buggy.
  * Bug fix: "kernel-package: subarch detection fails on powerpc XServe G5
    systems", thanks to Colin Watson                        (Closes: #270314).
  * Bug fix: "make-kpkg: fails to unpatch the source", thanks to martin f
    krafft                                                  (Closes: #270169).
  * Bug fix: "kernel-package: applied_patches lists patches that didn't
    apply", thanks to martin f krafft                       (Closes: #270158).
  * Bug fix: "kernel-package: files should move to examples/", thanks to
    martin f krafft                                         (Closes: #269411).
  * Bug fix: "kernel-package: non-interactive install: reverse the abort
    yes/no, please", thanks to Alexander Zangerl            (Closes: #267926).
  * Bug fix: "Please install kernel image files *before* calling
    post-install script", thanks to Jens Schmalzing         (Closes: #267397).
  * Bug fix: "kernel-package: typo in manpage", thanks to martin f krafft
                                                            (Closes: #270611).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 10 Sep 2004 10:41:12 -0500

kernel-package (8.093) unstable; urgency=low

  * Bug fix: "kernel-package: [INTL:es] spanish manpage update", thanks to
    Ruben Porras                                           (Closes: #263060).
  * Bug fix: "French manpage", thanks to Sylvain Cherrier  (Closes: #263990).
  * Bug fix: "bash:ism in kernel_grub_conf.sh", thanks to David Weinehall
                                                           (Closes: #261963).
  * Bug fix: "kernel-package - produced initrd enabled packages depends
    against initrd-tools but checks for mkinitrd in preinst", thanks to
    Bastian Blank                                           (Closes: #263214).
  * Bug fix: "kernel-package: please support powerpc64", thanks to Rafael
    Ávila de Espíndola                                      (Closes: #263746).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  6 Aug 2004 16:16:25 -0500

kernel-package (8.092) unstable; urgency=low

  * Bug fix: "make-kpkg(1) could be more explicit about MODULE_LOC",
    thanks to Lars Wirzenius                                (Closes: #258393).
  * Bug fix: "kernel-package: wrong macro in kernel-img.conf.5", thanks to
    Philippe Batailler                                      (Closes: #257584).
  * Bug fix: "XSI:isms and other nitpicking", thanks to David Weinehall
                                                            (Closes: #256107).
  * Bug fix: "kernel-package: extra sentence in manpage", thanks to martin
    f krafft                                                (Closes: #257721).
  * Bug fix: "kernel-package: problem in the manpage kernel-img.conf",
    thanks to Philippe Batailler                            (Closes: #258836).
  * Bug fix: "kernel-package: modules_clean target does not pay attention
    to --added_modules", thanks to Oystein Gisnas           (Closes: #258586).
  * Bug fix: "kernel-package: [INTL:es] spanish manpage updates", thanks
    to Ruben Porras                                         (Closes: #257826).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 21 Jul 2004 15:21:24 -0500

kernel-package (8.091) unstable; urgency=low

  * Bug fix: "kernel-package: comment typo", thanks to dann frazier
                                                      (Closes: #252016).
  * Bug fix: "kernel-package: revision seems to be ignored when set in
    /etc/kernel-pkg.conf", thanks to Greg Norris      (Closes: #254488).
  * Bug fix: "kernel-package: Behaviour does not seem to follow
    documentation on some points", thanks to Adam C. Emerson
                                                      (Closes: #251548).
  * Bug fix: "Typo in real_stamp_source target prevents README.Debian
    installation", thanks to Jens Schmalzing          (Closes: #255372).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 22 Jun 2004 01:53:07 -0500

kernel-package (8.090) unstable; urgency=low

  * Bug fix: "kernel-package: Including 2.6's Kconfig files in kernel_doc
    packages", thanks to Andreas Metzler                 (Closes: #245800).
  * kernel-source-2.4.26_2.4.26-2(unstable): FTBFS: syntax error. Removed
    spurious close paren.                                (Closes: #247600).
  * Bug fix: "kernel-package: Improper test for non-modules targets when
    checking build dir", thanks to Kevin McCarty          (Closes: #247540).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  6 May 2004 18:46:05 -0500

kernel-package (8.089) unstable; urgency=low

  * make kernel-package not stop if the revision contains a hypen unless
    the said revision fails to meet policy.
  * Bug fix: "kernel-package: Including 2.6's Kconfig files in kernel_doc
    packages", thanks to Andreas Metzler. I modified the patch, and only
    trigger the Kconfig collection for post 2.5 kernels. (Closes: #245800).
  * Bug fix: "/usr/bin/make-kpkg: make-kpkg: Typo in failure message",
    thanks to Goswin Brederlow                           (Closes: #245482).
  * Fixed a few over zealous escapes of hyphens in the make-kpkg man page.
  * Bug fix: "Support for bare vmlinux", thanks to Nicolas George. Use the
    configuration option install_vmlinux to additionally install the bare
    vmlinux image as well as the default image          (Closes: #243927).


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Apr 2004 15:32:11 -0500

kernel-package (8.088) unstable; urgency=low

  * Bug fix: "New kernel-package fails to build kernel", thanks to Roberto
    Sanchez. Oh, sheez: forgot to escape a $ from make in a shell command.
                                                           (Closes: #245010).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 20:47:00 -0500

kernel-package (8.087) unstable; urgency=low

  * Bug fix: "Bug#244380: kernel-package: Unescaped dashes in manpage
    break copy and paste", thanks to Andreas Metzler Also fixed the
    spanish man pages, since this is merely about behaviour of man
                                                     (Closes: #244380).
  * Bug fix: "kernel-package: ignore_depmod_error is ignore_depmod_err",
    thanks to Marc Haber                              (Closes: #243526).
  * Bug fix: "kernel-package: UTS Release version does not match current
    version", thanks to YuLei                          (Closes: #243896).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 17:35:30 -0500

kernel-package (8.086) unstable; urgency=low

  * Bug fix: "kernel-package: &gt;=2.6.5 make clean removes version.h,
    modules_image fails", thanks to Ralf Neubauer. At this point, the
    automated cleaning of the build tree causes more problems than it
    solves -- at the very least, it violates the principle of least
    surprise. The do_cloean mechanism still exists for people who want to
    have the sources cleaned, but from now on, the default is not to clean
    the sources out.                                     (Closes: #242038).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Apr 2004 11:40:11 -0500

kernel-package (8.085) unstable; urgency=low

  * Fixed missing ;'s. Thanks to Radek Hnilica <Radek@hnilica.cz> and J G
    Miller <miller@yoyo.org> for noticing this.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Apr 2004 10:44:00 -0600

kernel-package (8.084) unstable; urgency=low

  * Warn if module doesn't like the fact that it isn't being build as root
    and it is ignoring the --roocmd extension, and ask users to file a
    bug.
  * Delete dangling build links when asked to, even if there is no
    replacement handy.
  * Bug fix: "kernel-package: Typo in Problems.gz", thanks to LT-P
                                                          (Closes: #238983).
  * Bug fix: "changelog should be called changelog.Debian", thanks to
    Martin Michlmayr                                      (Closes: #238425).
  * Bug fix: "kernel-package - don't recognize s390x", thanks to Bastian
    Blank                                                 (Closes: #232711).
  * Updated spanish manual pages.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Apr 2004 00:12:20 -0600

kernel-package (8.083) unstable; urgency=low

  * Bug fix: "kernel-source-2.4.25: Configure error prevents
    installation", thanks to Bruce Miller. Do not try to change the
    include/asm symlinks for source and doc packages, since we do not own
    that dir. Only the headers package ought to be doing that.
                                                         (Closes: #235706).
  * Bug fix: "kernel-package: silent_modules should be YES on powerpc even
    on first install of official images.", thanks to Sven
    Luther. Accomodate the official powerpc kernel images to not prompt
    even on initial install when /lib/modules/$version/ already
    exists. This allows the separation of the modules from the kernel
    image, since different powerpc subarches all require different images,
    but can  share the modules.                           (Closes: #230251).
  * Bug fix: "kernel-package: avoid silent failure when out of space",
    thanks to dann frazier. I skiimed the rules file for other examples of
    this ilk, but I think a real clean up would have to wait until we break
    up the Makefile post Sarge.                           (Closes: #234316).
  * Bug fix: "kernel-package: should include the changelog from
    kernel-source-xx", thanks to Christoph Martin. Hmm. Create a file
    called Changelog.src.Debian in hte top of the tarball that we create
    for kernel-source-X.XX packages. Subsequently, when creating image
    packages, if that file exists, copy it into the doc dir for the
    kernel-image packages, and compress it.                (Closes: #234908).
  * Updated spanish man pages.
  * Bug fix: "kernel-package: Typo in documentation intrd",
    thanks to Andreas Metzler                              (Closes: #235421).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Mar 2004 23:14:27 -0600

kernel-package (8.082) unstable; urgency=low

  * Bug fix: "Add amd64 support to kernel-package", thanks to Stephen
    Frost                                               (Closes: #233252).
  * Bug fix: "kernel-image: postrm doesnt remove dangling initrd.img
    symlink", thanks to Mario 'BitKoenig' Holbe         (Closes: #233243).
  * Add a note in the man page that the clean target should not be cobined
    with other targets.
  * Bug fix: "/usr/bin/make-kpkg:make-kpkg --rootcmd=fakeroot clean
    kernel_image after patching sources doesn't work", thanks to
    Amit Shah. Since this is now documented, I am closing this report.
                                                          (Closes: #233478).
  * Bug fix: "kernel-package: Grub install scripts broken", thanks to
    Roland Mas                                            (Closes: #233585).
  * Make the sample posthook script executable, to shut up lintian
  * Bug fix: "confusing comments in kernel-img.conf", thanks to Jamie
    Heilman                                               (Closes: #233184).
  * Bug fix: "misspellings", thanks to Matt Kraai         (Closes: #233132).
  * Bug fix: "kernel-package: --append-to-version and modules_image don't
    get along", thanks to Daniel Jacobowitz. Starting with kernel version
    2.6.X, the build process for third party modules has been modified;
    now modules are expected to build in hte kenrel sources dir, and you
    set the SUBDIR arg to point to the source for the module itself. This
    arranges for the kernel makefiles to do all the boilerplate work of
    building/running modpost, dependencies, et cetera. The problem is that
    unless the module passes in the same  EXTRAVERSION=XYZ argument that
    the main kernel build process did,  include/linux/version.h shall be
    regenerated, with a different value  now than when the kernel was
    compiled. The only way to avoid this is to make sure the module passes
    EXTRAVERSION also; the 2.6 kernel makefile is very enthusiastic about
    making sure version.h is up to  date. So, make-kpkg now passes a new
    parameter, KPKG_EXTRAV_ARG, to the module; the value is either empty,
    or a string like "EXTRAVERSION=X.Y.Z". The idea is that you can call
    $(MAKE) $(KPKG_EXTRAV_ARG) ... in the modules package and have the
    same version.h info as the main kernel image does.  (Closes: #233152).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Feb 2004 18:12:45 -0600

kernel-package (8.081) unstable; urgency=low

  * Fixed top level makefile to make it usable stand alone
  * Bug fix: "/usr/bin/make-kpkg: Minor warning message", thanks to Andrew
    Ferrier                                               (Closes: #231902).
  * Bug fix: "kernel-package: make-kpkg spanish manpage updated", thanks
    to Ruben Porras                                       (Closes: #232007).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 18:47:09 -0600

kernel-package (8.080) unstable; urgency=low

  * Bug fix: "debian.README.gz out of date", thanks to Thomas Hood. Now
    mention linux-kerel-headers under the new method section.
                                                        (Closes: #230083).
  * Bug fix: "kernel-package: several typos", thanks to Jochen Voss
                                                        (Closes: #227191).
  * Bug fix: "kernel-package: make-kpkg spanish manpage updated", thanks
    to Ruben Porras                                     (Closes: #227898).
  * Bug fix: "kernel-package: silent_modules should be YES on powerpc even
    on first install of official images.", thanks to Sven Luther
                                                        (Closes: #230251).
  * Bug fix: "manpage: hint how to select the compiler used", thanks to
    Jens Thiele \(karme\)                               (Closes: #230272).
  * Bug fix: "kernel-package: trivial change for sparc", thanks to Ben
    Collins.                                            (Closes: #230288).
  * Bug fix: "kernel-package: Typo in kernel-pkg.conf: "espescially"
    should be "especially", thanks to Philip Miller     (Closes: #227363).
  * Bug fix: "kernel-package: support for Kerntypes", thanks to dann
    frazier                                             (Closes: #231145).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Feb 2004 14:04:09 -0600

kernel-package (8.079) unstable; urgency=low

  * Bug fix: "kernel-package: no way for non-interactive initrd build?",
    thanks to Hein Roehrig. Document the INITRD_OK variable better.
                                                         (Closes: #227128).
  * Bug fix: "kernel-package: Looks for debian/rules in $MODULE_LOC/,
    should look only in subdirectories", thanks to Frank Küster
                                                         (Closes: #226455).
  * Bug fix: "kernel-package: check that EXTRAVERSION doesn't begin with a
    digit", thanks to Mark Sheppard                      (Closes: #226790).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 11 Jan 2004 11:56:14 -0600

kernel-package (8.078) unstable; urgency=low

  * Bug fix: "kernel-package: Typo in `man kernel-pkg.conf': "laoded" in
    Description should be "loaded", thanks to Philip Miller
                                                       (Closes: #224607).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Jan 2004 11:39:18 -0600

kernel-package (8.077) unstable; urgency=low

  * Bug fix: "kernel-package: Does not detect errors correctly during
    build", thanks to Horms.                         (Closes: #223633).
  * Bug fix: "kernel-package: Installed files may have incorrect
    permissions", thanks to Horms. I set umask 000, rather than brute
    force the permissions using chmod, in as many cases as possible.
                                                        (Closes: #223638).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Dec 2003 23:59:29 -0600

kernel-package (8.076) unstable; urgency=low

  * Bug fix: "kernel-package: warning message : Search pattern not
    terminated at -e line 1.", thanks to Jean-Luc Coulon. Had to double a
    $ in the perl one-liner in the rules file.         (Closes: #223237).
  * Bug fix: "Compiling kernel fails with "cannot stat 'conf.vars'"",
    thanks to Mariano Kamp. Hopefully, all that can be laid to rest now.
    (Closes: #223233)

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 Dec 2003 11:19:21 -0600

kernel-package (8.075) unstable; urgency=low

  * Bug fix: "kernel-package: kpkg_version is not defined", thanks to
    Andreas Beckmann.  Pass along the version number from ./debian/rules
    into the make call.                                (Closes: #223113).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  6 Dec 2003 17:18:08 -0600

kernel-package (8.074) unstable; urgency=low

  * Bug fix: "kernel-package: fails in kernel_headers target", thanks to
    Modestas Vainius                                     (Closes: #223054).
  * Bug fix: "cannot stat `conf.vars': No such file or directory", thanks
    to Harald Dunkel                                     (Closes: #223056).
  * Bug fix: "kernel-package: A bug (typo) in constructing "valid_modules"
    variable (prevents modules_* from working)", thanks to Modestas
    Vainius                                              (Closes: #223069).
  * Bug fix: "kernel-package: Having underscore (_) in kernel's version is
    illegal but not checked", thanks to Ari SovijÃï¿ô óÃôôÌrvi   (Closes: #222467).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  6 Dec 2003 10:43:15 -0600

kernel-package (8.073) unstable; urgency=low

  * Need to escape # in the UTS_RELEASE calculation in the rules
    file. Thanks to Tomas Hoger for the quick catch.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  5 Dec 2003 11:06:43 -0600

kernel-package (8.072) unstable; urgency=low

  * Strange set of error messages about build link on fresh
    install, quoth Joey Hess. This was related to the postinst trying to
    handle the dangling build link. Now actually test to see if the link
    was present, and is a bit more chatty.             (Closes: #221286).
  * Tomas Hoger tracked down the problem with unpatching old patches when
    make was interrupted while building. The path was all wrong, since
    it pointed to the patch script, and the unpatching was not done in
    reverse order.  Now we do the same things with relics of old patches
    found in the dir as we do with the ordinary patches.
  * Bug fix: "kernel-package: Inconsistent default kernel-image package
    revision", thanks to Roland Stigge.  Made it 10.0.Custome all over.
                                                        (Closes: #221916).
  * Bug fix: "kernel-package: conf.vars should list kernel Makefile
    variables instead of environment variables", thanks to Andreas
    Beckmann.                                           (Closes: #222084).
  * Bug fix: "kernel-package: The UTS Release version does match current
    version", thanks to Andreas Beckmann. Applied previous fix from
    make-kpkg to the rules file.                         (Closes: #222087).
  * Bug fix: "tries to access lib/modules/<version>/build even when
    it doesn't exist", thanks to Peter Palfrader.         (Closes: #222239).
  * Bug fix: "kernel-package: valid_modules contains parent directory",
    thanks to Frank KÃï¿ô óÃô òster.  Now we test to amek sure that each module has
    a ./debian/rules file before declaring it valid.    (Closes: #222707).
  * Bug fix: "kpkg-make bug for subarch PRPMC (on PowerPC)", thanks to
    Hubert Figuiere. Applied provided patch.          (Closes: #222808).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  5 Dec 2003 02:45:16 -0600

kernel-package (8.071) unstable; urgency=low

  * Bug fix: "kernel-package: CONCURRENCY_LEVEL in manual page", thanks to
    Piotr Roszatycki                                     (Closes: #221269).
  * Bug fix: "kernel-package: add elilo.conf editing hint", thanks to dann
    frazier. The provided patch adds the prompt in the preinst.
                                                         (Closes: #220783).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 18 Nov 2003 16:26:15 -0600

kernel-package (8.070) unstable; urgency=low

  * The patch, thanks to Rob Radez,  adds back in setting KPKG_SUBARCH if
    it's not set, and also sets KERNEL_ARCH properly for sparc.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Nov 2003 01:56:02 -0600

kernel-package (8.069) unstable; urgency=high

  * Bug fix: "kernel-package: too many endifs", thanks to Guido Guenther
    and Martin Thorsen Ranang. The recent fix for sparc left around a
    spurious endif, I think.                    (Closes: #220320, #220319).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Nov 2003 18:32:34 -0600

kernel-package (8.068) unstable; urgency=low

  * Bug fix: Added support for gconfig.  Mention that it is only for 2.6.X
    kernels, and that 2.6.X kernels have changed the requirements for make
    xconfig as well. Make sure the make-kpkg does not barf on
    gconfig. "kernel-source-2.6.0-test9: packages needed for QTand GTK+
    config. interfaces", thanks to Laurent Ghys        (Closes: #219324).
  * Bug fix: "kernel-package: typo in conf.vars rule", thanks to Peter
    Cordes                                             (Closes: #220149).
  * Bug fix: "kernel-package: update spanish manpages", thanks to Ruben
    Porras                                             (Closes: #218716).
  * Changed sparc/sparc64 subarch logic, thanks to Ben Collins
    <bcollins@debian.org> and Rob Radez <rob@osinvestor.com>

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Nov 2003 22:02:02 -0600

kernel-package (8.067) unstable; urgency=low

  * Change docbook-utils from recommends to suggests  closes: Bug#215177
  * Make sure we do create a symlink if the user sys yes.
                                                      closes: Bug#216814
  * Stop make-kpkg.1 speaking like a buccaneer.       closes: Bug#216991
  * Typycally -> typically                            closes: Bug#217186
  * allow compiling kernel package bootable on PrPMC 750/PrPMC 800 cards
    made by Motorola. Patch from Hubert Figuiere
    <hub-linux-ppc@trantor.staff.proxad.net>          closes: Bug#216681
  * Bug out with a diagnostic if kimagesrc or kimagedest were undefined;
    typically the case if we can't determine the arch closes: Bug#216676

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 31 Oct 2003 11:20:34 -0600

kernel-package (8.066) unstable; urgency=low

  * to default target for mips(el) changed between 2.4 and 2.5. Applied a
    patch from Guido Guenther <agx@debian.org> to fix this.
                                                       closes: Bug#214590
  * Disable the "out of the way" warning in image.preinst
    when these conditions are met:
       1. This is an official kernel (perhaps a substitution in the preinst?)
       2. This is an upgrade.
    The reason is that when I make bug fix releases that do not change the
    ABI, modules compiled for the previous kernel will continue to
    work. Unfortunately, the users tend to be scared off by the "out of
    the way" warning and end up aborting the install and filing a bug.
    Made it so.                                        closes: Bug#214529

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  7 Oct 2003 11:23:43 -0500

kernel-package (8.065) unstable; urgency=low

  * Added a HOWTO for installing 2.6 kernels on a Woody machine to the
    docs. The HOWTO comes from Marc Herbert.
  * Since the mkimage command may legitimately contain /'s, use @ as sed
    separator -- it is an unlikely character to be in that string.
                                                       closes: Bug#213722
  * Make modules_clean depend on .config, not on configure.
                                                       closes: Bug#214183

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  6 Oct 2003 11:17:11 -0500

kernel-package (8.064) unstable; urgency=high

  * Fixes for the mips64el arches.                     closes: Bug#213621
  * 8.062 was a critical fix, and hasn't propagated to testing because of
    subsequent bug fixes. This retains the hihg priority that 8.062
    had. Hopefully, at some point the updates to kernel-package shall stop
    being a daily occurrence.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Oct 2003 11:33:35 -0500

kernel-package (8.063) unstable; urgency=low

  * Add chrp-rs6k support, and also allow setting of GUESS_SUBARCH
    manually. Patch from Sven Luther
  * patch allows to build mips64{,el} kernels using --subarch mips64{,el}
    or --subarch <any>-64.  patch from Guido Guenther closes: Bug#213294

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 30 Sep 2003 00:31:52 -0500

kernel-package (8.062) unstable; urgency=high

  * Install additional useful documentation files in the kernel-doc
    package.                                             closes: Bug#212848
  * Added more voluble informational messages trying to track down
    Bug#212965. Removed Quotes from around the UTS_RELEASE_VERSION
                                                         closes: Bug#212965
  * Added an option to make-kpkg to allow people to specify the command to
    build an initrd image. This is useful if there are many kernel images
    in the system with different initrd filesystem. Also added an option
    to kernel-img.conf to over ride that variable on a per target basis.
                                                         closes: Bug#212602
  * Ship man pages and html documentation of the kernel in the kerel-doc
    packages. Note that you need to have docbook-utils installed to take
    advantage of this.                                   closes: Bug#210630

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 27 Sep 2003 20:00:10 -0500

kernel-package (8.061) unstable; urgency=low

  * make make-kpkg parse extraversion values with non alphanumeric chars
    in them, just like the rules file does.             closes: Bug#212477

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Sep 2003 02:10:54 -0500

kernel-package (8.060) unstable; urgency=low

  * The preinst, prerm, postrm -- were all parsing force_build_link from
    the config file, -- all except the postinst. Fixed. closes: Bug#212313
  * make make-kpkg allow mismatches between the new version and that in
    version.h, since we now have a method that allows us to recover from
    that.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 23 Sep 2003 10:42:05 -0500

kernel-package (8.059) unstable; urgency=low

  * Added handling of the /lib/modules/`uname -r`/build symbolic link, if
    it is dangling. A link to the corresponding kernel-headers location is
    added if it exists. One can also force not checking for the existence
    of the kernel-headers link.                         closes: Bug#211949
  * In some cases, the symlink creation code created a dangling relative
    link, instead of an absolute, non dangling link, since the test
    relative code only looked at the directory names of the source, rather
    than testing for the actual file we needed to link to.
                                                        closes: Bug#211140
  * We used to silently ignore individual patches and unpatches that were
    not found from the list of user requested patches; only complaining if
    none of the user requested patches were found. Now we stop early
    (before doing any patching at all) if any of the requested patches
    can't be found.                                     closes: Bug#211406
  * No longer recommend debianutils, since it is an essential package.
                                                        closes: Bug#210686

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 21 Sep 2003 14:22:49 -0500

kernel-package (8.058) unstable; urgency=low

  * The module version mismatch problem makes it impossible to use kernel
    sources and a config file to re-create the conditions required for
    building modules that would install correctly into a pre-buit
    kernel. Document this, remove faulty instructions from README.modules.
                                                        closes: Bug#209278

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Sep 2003 23:19:55 -0500

kernel-package (8.057) unstable; urgency=low

  * Fixed an error in the kernel-img.conf man page. (.TP -> .TP .B).
    Thanks to Nicolas FranÃï¿ô óÃ§ois <nicolas.francois@centraliens.net>
                                                         closes: Bug#209066
  * Make make-kpkg remove the " from UTS Versions.       closes: Bug#209067
  * README.modules typo fix: --add-to-version -> --append-to-version
                                                         closes: Bug#209108

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Sep 2003 05:42:58 -0500

kernel-package (8.056) unstable; urgency=low

  * Updated the preinst to separate out the LILO instructions.
                                                         closes: Bug#207907
  * Fixed regexp issues and an error in creating the kernel version for
    comparison. Patch thanks to Toni Timonen <ttimonen@users.sourceforge.net>
                                                     closes: Bug#208897

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  5 Sep 2003 20:42:09 -0500

kernel-package (8.055) unstable; urgency=low

  * Updated README.modules to correct the procedure of building modules
    destined for an official kernel-image package.   closes: Bug#208482
  * Give in and let make-kpkg parse include/linux/version.h, so that it
    either aborts, or proceeds silently, when the file is present.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  4 Sep 2003 10:46:04 -0500

kernel-package (8.054) unstable; urgency=low

  * Expaded the user instructions in README.modules to handle building
    kernel modules for official kernel images.
  * Fixed a typo in kernel-pkg.conf man page.        closes: Bug#208187
  * For 2.6 kernels, add make prepare in the palce of the make dep for 2.4
    kernels.                                         closes: Bug#207986

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Sep 2003 11:28:49 -0500

kernel-package (8.053) unstable; urgency=low

  * The change for module compilation in header-only dirs doesn't work,
    because $#empty_array == -1 in perl.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Aug 2003 01:04:29 -0500

kernel-package (8.052) unstable; urgency=low

  * UTS_RELEASE_VERSION calculation was off (need to double $ in a
    makefile).
  * Mention module-init-tools in the README files, though I doubt it shall
    do any good.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Aug 2003 20:42:11 -0500

kernel-package (8.051) unstable; urgency=low

  * Add a postinst hook for source and header images as well. This allows
    people to create scripts to do whatever they feel like doing when
    headers are instralled, including changing build symlinks if they
    wish.                                               closes: Bug#207145
  * Remove warnings if not in a kernel directory, but in a kernel-headers
    created directory, and if the only target command is a module related
    one. This is a massively reworked variation of the patch in the
    report, and should have the same functionality.     closes: Bug# 207194

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Aug 2003 15:31:39 -0500

kernel-package (8.050) unstable; urgency=low

  * When creating the buildinfo file, look for versions of libc6, not just
    libc, since that pulls in all libraries staring with libc.
                                            closes: Bug#206786, Bug#206788

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Aug 2003 11:20:24 -0500

kernel-package (8.049) unstable; urgency=low

  * In the spanish man pages, it is make-kpkg.1, not make-kpkg.8. Fixed.
  * Added a new config file option kpkg_follow_symlinks_in_src, and hte
    corresponding ENV variable, KPKG_FOLLOW_SYMLINKS_IN_SRC, for people
    who use symlink farms to compile kernels and also want to package
    kernel-source and kernel-headers packages.
  * Added a new section in the README file titled "MODULES_LOC, symlink
    farming, and more".

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Aug 2003 12:18:22 -0500

kernel-package (8.048) unstable; urgency=low

  * Fixed usage of chown root.root in the rules files.
  * Also put the kernel-packageconfig spanish man page in the correct
    place.                                            closes: Bug#204365

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 14 Aug 2003 12:15:05 -0500

kernel-package (8.047) unstable; urgency=low

  * Since the sample module rules were horribly out of date, and had
    serious shortcomings, and there are a number of modules packages
    extant to provide an example, the sample rules file was removed from
    the apckage. I really do think it was doing more harm than good.
                                            closes: Bug#150497, Bug#144207
  * Added a new sample postint hook script, that shows how local admins
    can enhance the symlinks policy to better suit their needs. This
    sample script implements the wishlist items requested by multiple
    people. I do not think that these should become the mainstream model;
    since the numbers of kernels linked to, the numbers of streams (2.4,
    2.5, -selinux, etc) depend so much on the local install. Instead, the
    vanilla symlink policy should be the default, as it is now, but now
    people can implement whatever policy they choose.
                                           closes: Bug#201043, Bug#193201

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Aug 2003 14:45:03 -0500

kernel-package (8.046) unstable; urgency=low

  * Man, the missing quotes thing does not want to go away. And testing at
    4 am does not work out. Yet another place quotes were missing.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Aug 2003 11:51:42 -0500

kernel-package (8.045) unstable; urgency=low

  * Fix missing double quotes in the rules file. I don't know how this
    escaped testing ...                              closes: Bug#204797
  * Make the prompting to continue after a depmod problem optional in the
    kernel package postinstall script

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Aug 2003 04:41:14 -0500

kernel-package (8.044) unstable; urgency=low

  * This patch makes it possible to do things like --subarch=sparc64-smp,
    and --subarch=sparc-myhacks, and the rules file will still know that
    sparc64 == ARCH==sparc64, etc.                    closes: Bug#203936
  * Test the UTS_RELEASE in include/linux/version.h, and touch the
    Makefile if it does not match what we think the version is, so that
    the version.h file shall be rebuilt.              closes: Bug#204592
  * Add parentheses to fix bug cause by ! binding tightly in the check for
    the existence of version.h added last upload.     closes: Bug#204173
  * Fixed the name of spanish manpages. Reverted all pages to ISO-8859-1,
    since otherwise the spanish characters are broken closes: Bug#204365

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 Aug 2003 14:13:44 -0500

kernel-package (8.043) unstable; urgency=low

  * Changed rules to facilitate building 64 Bit kernels on spac32, and
    vice versa. Patch from Ben Collins
  * Do not compress files in kernel-doc marked as executable. This caused
    lintian warnings.                                   closes: Bug#202177
  * Optionally silence the warning message with interactive prompt for
    --initrd switch (set INITRD_OK).                    closes: Bug#202406
  * Document the fact that make-kpkg scans to configuration for some basic
    config detaisl, namely, whetrher modules are enabled or not, so that
    toggling the state in delayed configuration using the --config switch
    is unsupported andshall cause the build to fail. The correct solution
    is to create a .config file as close to the desired one using make
    {x,meny,}config before calling make-kpkg (the --config switch is
    mostly useful for answering any additional questions introduced by
    patches).                                            closes: Bug#203112

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 30 Jul 2003 17:28:45 -0500

kernel-package (8.042) unstable; urgency=low

  * Remove stamps late in the game, so unpatching has a chance to actually
    work.                                                closes: Bug#200695
  * Tweak the initrd symlink creation; perhaps this iteration would fix
    the related Bug#200512.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Jul 2003 02:21:37 -0500

kernel-package (8.041) unstable; urgency=low

  * Added clarifying text to the howto from Peter Hugosson-Miller and Doug
    MacFarlane about --revision and --append-to-version in the README files.
  * Fix a typo in the help output.                        closes: Bug#199354
  * Fix a image name mismatch that occurred while trying to install
    netwinder kernel images.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Jul 2003 10:59:56 -0500

kernel-package (8.040) unstable; urgency=low

  * Removed latin1 chars from this changelog. Now we are all utf-8 cmopatible.
  * Got a new rules file from Ben Collins that cleaned out the sparc
    section, and gave it new default names and all.       closes: Bug#196752

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Jun 2003 14:11:54 -0500

kernel-package (8.039) unstable; urgency=low

  * Added documentation (including MAKEFLAGS stuff)
  * Added spanish manual pages. Many thanks to Ruben Porras for providing
    the translation.                                      closes: Bug#195434
  * add stamp-kernel-configure to the list of stamps to clean up

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Jun 2003 15:44:56 -0500

kernel-package (8.038) unstable; urgency=low

  * rotate the initrd link even if the current image is not an initrd
    image; since if this is not an initrd image, the initrd symlink does
    not point to us, and should be rotated just like the image symlink was
    rotated.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 May 2003 02:11:31 -0500

kernel-package (8.037) unstable; urgency=low

  * Make a failed poatch a failure, since it may mess up the sources.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 May 2003 19:25:42 -0500

kernel-package (8.036) unstable; urgency=low

  * Warn if the target machine does not have mkinitrd iv we are installing
    an initrd image.                                         closes: Bug#192195

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 May 2003 19:12:22 -0500

kernel-package (8.035) unstable; urgency=low

  * use mkdir in favour of $(make_directory) while creating the debian dir.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  5 May 2003 12:28:37 -0500

kernel-package (8.034) unstable; urgency=high

  * reverse the sense of a conditional.                      closes: Bug#191429

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 May 2003 04:46:38 -0500

kernel-package (8.033) unstable; urgency=high

  * Fixed missing space before right bracket errors pointed out by Daniel
    Schepler, which completely broke things for 2.4.20 kernels
                                                 closes: Bug#191429, Bug#191430

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 30 Apr 2003 12:41:37 -0500

kernel-package (8.032) unstable; urgency=low

  * Make the compilation abort if no valid patches were found (since this
    is likely to be a typo of some sort).                    closes: Bug#191003

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Apr 2003 18:54:21 -0500

kernel-package (8.031) unstable; urgency=medium

  * Fix a problem with stamp-kernel-configure for 2.5 kernel
    builds. Thanks to Marcelo E. Magallon for the heads up.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Apr 2003 14:18:34 -0500

kernel-package (8.030) unstable; urgency=low

  * No longer install /usr/doc links for kernel images. Have
    kernel-package now depend on perl, not perl5.            closes: Bug#189756
  * Pass on CONCURRENCY_LEVEL in the environment for all modules to
    use. Document it in README.modules.                      closes: Bug#189765

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Apr 2003 23:37:13 -0500

kernel-package (8.029) unstable; urgency=low

  * A whole bunch of typo fixes from Ruben Porras
                                     closes: Bug#189556, Bug#189557, Bug#189558

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Apr 2003 15:48:58 -0500

kernel-package (8.028) unstable; urgency=low

  * Make sure the docs do not recommend make-kpkg clean <any_other_target>
  * make make-kpkg complain less o clean targets

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 14 Apr 2003 13:22:20 -0500

kernel-package (8.027) unstable; urgency=low

  * Fix sparc rules once again, to account for newer kernel versions

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 14 Apr 2003 04:07:44 -0500

kernel-package (8.026) unstable; urgency=low

  * ignore bind mounts in fstab.                             closes: Bug#186401
  * Improved sparc rules from Ben Collins.                   closes: Bug#188406

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Apr 2003 15:14:26 -0500

kernel-package (8.025) unstable; urgency=low

  * Yike. typo fix.

 -- Manoj Srivastava <srivasta@acm.org>  Mon, 24 Mar 2003 23:17:40 -0600

kernel-package (8.024) unstable; urgency=low

  * Re named MODDIR to KDIST_DEST_DIR to avoid name space clashed.
                                                 closes: Bug#185279, Bug#186181
  * Fix settin up OOT_CMD                                    closes: Bug#186177
  * Also pass in $(maintainer) to the modules, since this could be
    different from $(pgp).  This is for Bug#186187
  * Due to dependencies, 'make-kpkg buildpackage' results in the kernel
    being patched, configured, unpatched, cleaned, repatched and
    configured again before building starts.  Adding the -nc options to
    the commandline for dpkg-buildpackage would prevent it from calling
    'debian/rules clean' before it calls 'debian/rules binary'.  To insure
    the package is in a sane state if it was previously built, make
    buildpackage rely on 'clean' (this appears safe for a fresh kernel
    which does not even have the debian directory yet). Most of these
    fixes are thanks to chirik@castlefur.com.                closes: Bug#186190


 -- Manoj Srivastava <srivasta@acm.org>  Mon, 24 Mar 2003 23:02:52 -0600

kernel-package (8.023) unstable; urgency=low

  * Export MODDIR to modules so that they have an idea where to put the
    final debs, rather than just $(KSRC)/... This allows people building
    the .debs to be able to specify where the modules .debs go to. Also
    mentioned all the variables that are set in README.modules, since that
    file was out of date.                                    closes: Bug#185279
  * Also add MODULE_LOC to the list of ENVIRONMENT VARIABLES in the
    make-kpkg man page (it was already documented in the manual page, just
    not in the list)                                         closes: Bug#185859

 -- Manoj Srivastava <srivasta@acm.org>  Sat, 22 Mar 2003 12:58:48 -0600

kernel-package (8.022) unstable; urgency=low

  * Mention CC and HOSTCC in the README files.
  * Removed obsolete maintainer scripts, now that we no longer have to
    maintain the /usr/doc symbolic links.
  * revert the clean order since we now have non empty stamp files.
  * Fixt the cut-and-paste typo in postinst re warn_initrd.      closes: 183539

 -- Manoj Srivastava <srivasta@acm.org>  Thu,  6 Mar 2003 17:03:56 -0600

kernel-package (8.021) unstable; urgency=low

  * Fixed type in man page                                   closes: Bug#180543
  * Fixed typo in README                                     closes: Bug#181180
  * Improvements to kernel_grub_conf.sh and kernel_grub_rm.sh thanks to
    Gilles Sadowski.
  * patch for arm related images which makes Image for netwinders and
    zImage for the rest from  Othmar Pasteka <pasteka@kabsi.at>
  * Run dist clean _after_ unpatching, since distclean removes the stamp
    files. Also, stamp files are not empty to start with now closes: Bug#182729
  * s|/usr/src/modules/|$(MODULE_LOC:-/usr/src/modules/)| in a few places,
    thanks to a suggestion by Helge Kreutzmann               closes: Bug#181181

 -- Manoj Srivastava <srivasta@acm.org>  Tue,  4 Mar 2003 10:53:46 -0600

kernel-package (8.020) unstable; urgency=low

  * Modified language in make-kpkg(1) to specify what one means when one
    says patch.                                              closes: Bug#180417

 -- Manoj Srivastava <srivasta@acm.org>  Mon, 10 Feb 2003 00:10:38 -0600

kernel-package (8.019) unstable; urgency=low

  * Pass the --pgpsign option to dpkg-buildpackage           closes: Bug#171124
  * Fix typo in rules for sparc                  closes: Bug#175512, Bug#174327
  * it is --rootcmd fakeroot, not -rfakeroot                 closes: Bug#177281
  * Change the behaviour of the 'PATCH_THE_KERNEL option to AUTO
                                                             closes: Bug#174216

 -- Manoj Srivastava <srivasta@acm.org>  Thu,  6 Feb 2003 13:31:50 -0600

kernel-package (8.018) unstable; urgency=low

  * Fix the sparc patch I added yesterday.
  * Thanks to Marc Haber, I think we have a handle on why make-kpkg seemed
    to ignore errors.                                        closes: Bug#139276

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 24 Dec 2002 11:40:12 -0600

kernel-package (8.017) unstable; urgency=low

  * Hmm. move an apostrophe in hte man page.                 closes: Bug#169521
  * Add the currently running kernels configuration as a choice of last
    resort, to be used if there is no other way to get at a configuration
    file.                                                    closes: Bug#171416
  * use the compressed target on IA64, resulting in much smaller images.
    Thanks to Ian Wienand <ianw@gelato.unsw.edu.au>.         closes: Bug#173396
  * It's looking like 2.4 and 2.6 will have different targets and output
    locations for sparc. Made kernel-package aware of that.
  * Try and solve the removal of applied patches issue. untested, but
    should work.                                             closes: Bug#170612

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Dec 2002 17:28:57 -0600

kernel-package (8.016) unstable; urgency=low

  * Added explanatory text to the make-kpkg manual page.     closes: Bug#169122

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 14 Nov 2002 17:30:40 -0600

kernel-package (8.015) unstable; urgency=low

  * Fix typo in make-kpkg that prevented running code for detecting version
    mismatch.                                                closes: Bug#163744

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 Nov 2002 18:42:35 -0600

kernel-package (8.014) unstable; urgency=low

  * Fix typo in man page                                     closes: Bug#167861
  * Depend on c-compiler, not gcc                            closes: Bug#167970
  * Allow for a new option to also install vmlinux (only useful as yet on
    i386 machines. Johannes Stezenbach provided the initial patch, which I
    reworked to not fail on other architectures.
  * recognize the supercesion of fileutils by coreutils      closes: Bug#167809

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Nov 2002 03:05:46 -0600

kernel-package (8.013) unstable; urgency=low

  * Incorporated kernel modules packager HOWTO.              closes: Bug#167483
  * Fix initrd handling for official kernels                 closes: Bug#167497
  * Include the top level Makefile with the kernel headers, as some
    modules seem to eed that (openafs-modules-source)

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  2 Nov 2002 21:27:11 -0600

kernel-package (8.012) unstable; urgency=low

  * Document the HEADER_CLEAN_HOOK and DOC_CLEAN_HOOK.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 29 Oct 2002 21:49:56 -0600

kernel-package (8.011) unstable; urgency=low

  * Added a note to the initrd section mentioning that it is the initrd
    cramfs patch that one is talking about.                  closes: Bug#166062
  * Added header_clean_hook and doc_clean_hook, analogous to
    source_clean_hook.                                       closes: Bug#160830
  * remove file utils from dependencies.                     closes: Bug#161450
  * fixed spelling error                                     closes: Bug#162070
  * Do not caution for initrd options for official images.   closes: Bug#162708
  * I give in. kernel-package now depends on gcc and make.   closes: Bug#166189
  * added patch for README.modules from  Nicolas Sabouret    closes: Bug#165151

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 29 Oct 2002 15:10:20 -0600

kernel-package (8.010) unstable; urgency=low

  * Warn early on version mismatch.                          closes: Bug#160460
  * ensure that stamp-patch is added and removed at appropriate places.
                                                             closes: Bug#160219
  * Changed the initrd relationship to be a dependency for an kernel image
    that uses initrd, as opposed to a suggestion, since the tools are
    really required.                                         closes: Bug#160276

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Sep 2002 00:00:41 -0500

kernel-package (8.009) unstable; urgency=low

  * Improved documentation for SOURCE_CLEAN_HOOK.            closes: Bug#159799
  * Allow removal of the kernel-image pointed to by /vmlinuz.
    kernel-package has never done promotion of /vmlinuz.old to /vmlinuz,
    and I am reluctant to start now (too many things can go wrong). In all
    cases, the postrm warns when removing dangling symlinks (/vmlinuz,
    /vmlinuz.old). Since there are diagnostics, and the human can take
    action, I am closing this report.                        closes: Bug#157184
  * Since the pcmcia maintainer has taken action this but report is now
    moot. However, the one point to be addressed in the report is what
    happens if the pcmcia-modules package is installed first; in that
    case, the kernel-image preinst shall throw a hissy fit, since
    /lib/modules/X.Y.ZZ/ dir shall exist, and make the human take
    corrective action (or expect breakage).                  closes: Bug#147077

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  6 Sep 2002 00:10:04 -0500

kernel-package (8.008) unstable; urgency=low

  * Hack ake-kpkg so that a clean command by itself always sets debian
    revision, optionally reading from the changelog if it exists. This is
    a hack meant for people who have set options to make the debian
    revisions mandatory, but call clean on a pristince source directory.
    This then overrides whatever is in the conf file, but that should not
    matter, since we are just going to clean anyway.         closes: Bug#155749
  * Provide for means of setting up hook scripts that are run while
    packaging the sourc, and can poiunt to executable that massage the
    source tree before packaging. Can be used, for example, to get rid of
    version control trees, rune away unwanted architectures, etc.
                                                             closes: Bug#157128
  * Clarified the option inage_on_boot. The new name is going to be
    link_in_boot.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 Aug 2002 20:14:44 -0500

kernel-package (8.007) unstable; urgency=low

  * Change CONFIG_PSMOUSE to y instead of m for the lone config file that
    had that value; since that kernel var is no longer a tristate var; and
    the m confused things.                                  closes: Bug#156478
  * document that an empty ./debian/official file is removed by make
    mrproper, and thus fails to prevent ./debian dir from being removced
    in a clea.                                              closes: Bug#156970

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 18 Aug 2002 05:14:53 -0500

kernel-package (8.006) unstable; urgency=low

  * Fix typo in postrm. closes: Bug#156579, Bug#156927, Bug#156853, Bug#157132
  * Also closes: Bug#157101, Bug#157087, Bug#156292
  * Clean first, then unpatch.                               closes: Bug#157099

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 18 Aug 2002 04:05:01 -0500

kernel-package (8.005) unstable; urgency=low

  * Fixed a typo in image postinst, allowing us to make relative links.
                                                             closes: Bug#153788
  * Ask before unlinking modules.dep if we have initrd.      closes: Bug#154648
  * The postrm now knows that the initrd symlinks are in the same place
    that the image symlinks are.                             closes: Bug#150777
  * fix implementation of automated patcheing so that the configuration
    variable patch_the_kernel can be set to AUTO as well, not just the env
    variable. Caught by ingo at gmx.net as well.             closes: Bug#152653
  * Added big warnings that the initrd option requires a non-standard
    cramfs patch, enerally shipped with Debian supplied kernel sources,
    but not in the upstream sources.                         closes: Bug#149236
  * Make the patches unapply in reverse order                closes: Bug#151862
  * Chomp mount output                           closes: Bug#156078, Bug#156025

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 10 Aug 2002 10:52:50 -0500

kernel-package (8.004) unstable; urgency=low

  * Mention that the symbolic links are not manipulated when the package
    is upgrade -- only on initial install.                   closes: Bug#146371
    This was actually done in 7.105 on user request (or else we were left
    with two symlinks pointing to the same image). At this point, I
    suggest that people use the post inst hooks to add symlinks, if they
    wish.
  * use which instead of command -v
  * Added Kent's 10-Step Procedure to Compiling a Debian Kernel, derived
    from a posting on debian-user by Kent West <westk@nicanor.acu.edu>
  * Document that root-cmd is meant for the buildpackage target, and
    mention the env variable ROOT_CMD.                       closes: Bug#147770

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 May 2002 11:50:38 -0500

kernel-package (8.003) unstable; urgency=low

  * fix typo.                                         really closes: Bug#145720
  * Fix the setting for CONFIG_SCSI_SYM53C8XX_MAX_TAGS for some
    pre-installed config files.                              closes: Bug#146351
  * fixed typo.                                  closes: Bug#146470, Bug#146770

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 May 2002 03:17:11 -0500

kernel-package (8.002) unstable; urgency=low

  * Fixed a couple of spelling errors in the man page.       closes: Bug#146010
  * Move the run parts for extra files into the image target. Document
    this ./debian/image.d/ directory, as well as the ./debian/postinstall
    script, and pass in the location of the top of the package being
    build, as well as the kernel version, to the scripts, and document
    that as well.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  6 May 2002 10:15:47 -0500

kernel-package (8.001) unstable; urgency=low

  * Do not talk about lilo optional flags unless we are using lilo
  * Added a "then" in a dialogue.                            closes: Bug#145720
  * fix location of kernel sources.                          closes: Bug#145395
  * Added a run-parts ./debian/image.d/ to allow patches to install
    arbitary files (like /boot/Kerntypes-${KVERSION}) in the deb, or take
    other action.                                            closes: Bug#145695
  * For initrd images, do not remove modules.dep even on depmod
    failure. Instead, issue dire warnings spelling out the effect of a
    malfunctioning or missing modules.dep. For non-initrd kernels, just
    delete modules.dep as always, it gets recreated on boot. closes: Bug#145739

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  4 May 2002 14:16:39 -0500

kernel-package (7.112) unstable; urgency=medium

  * Use a simple string match, not a regexp match, when comparing
    versions.                                                closes: But#144489

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 25 Apr 2002 09:28:01 -0500

kernel-package (7.111) unstable; urgency=medium

  * Fix typo in the rules file                               closes: Bug#144301
  * Don't mention that /etc/mbr.b comes from the mbr package.closes: Bug#144370

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 25 Apr 2002 02:27:55 -0500

kernel-package (7.110) unstable; urgency=medium

  * Really allow using lables in fstab                       closes: Bug#144095

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 23 Apr 2002 02:00:29 -0500

kernel-package (7.109) unstable; urgency=low

  * Add grub to the recommends list whenever we reocmmend lilo.
                                                             closes: Bug#143954

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 22 Apr 2002 08:31:00 -0500

kernel-package (7.108) unstable; urgency=low

  * Fixed a typo in the postinst (removed a .)               closes: Bug#143822
  * A first cut at documenting the patches applied automatically to a
    kernel image.                                            closes: Bug#143819

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 21 Apr 2002 17:37:27 -0500

kernel-package (7.107) unstable; urgency=low

  *  marks debian as phony and removes it from stamp-* dependencies where
    stamp-debian is used instead. Thanks to Herbert Xu for the patch.
                                                             closes: Bug#142773

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Apr 2002 11:52:46 -0500

kernel-package (7.106) unstable; urgency=medium

  * Only move initrd symlinks when we move image symlinks.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 21:11:28 -0500

kernel-package (7.105) unstable; urgency=medium

  * Fixed various typos in the kernel-doc package descriptions.
                                                             closes: Bug#140709
  * Changed the bash complewtions function name.             closes: Bug#142492
  * Fixed a last check to aid cross compilation              closes: Bug#142044
  * Fixed a bunch of typos in diagnostics.                   closes: Bug#142234
  * Really remove dangling symlinks on purge.                closes: Bug#141483
  * Only move image symlinks around if we are not being upgraded. Thaks to
    Herbert Xu for suggesting this.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 15:02:14 -0500

kernel-package (7.104) unstable; urgency=low

  * Fix the rules file to short circuit a twisty set of confusing
    dependencies for configuration related targets.  The bug it closes
    used an non-standard build method (--rootcmd fakeroot is how I do it),
    but it used to work before, and it should do so again. Hopefully
    nothing else broke.                                      closes: Bug#140455

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 29 Mar 2002 09:59:40 -0600

kernel-package (7.103) unstable; urgency=low

  * Added the potential value AUTO for PATCH_THE_KERNEL, which is useful
    when you want the patches applied whenever you set
    --applied-patches. One would not want to set the variable to YES,
    since that would apply all patches willy nilly when you did not use
    the --applied-pacthes option.                            closes: Bug#140047

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Mar 2002 21:23:49 -0600

kernel-package (7.102) unstable; urgency=low

  * revert the last change, since rebuilding the kernel-image may well be
    too onerous. Also, this may not actually fix 39276. closes: Bug#139606
    BTW, I don't think this was important, this is merely a normal bug.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Mar 2002 11:30:38 -0600

kernel-package (7.101) unstable; urgency=low

  * It is supposed to be $(filter-out), not $(filler-out).   closes: Bug#139272
  * Hmm. Make the modules tarhet depend on stamp-image, so make knows not
    to try and build the modules packages is the kernel-image build
    fails. It does mean though that you need a stamp-image file in the
    diretory in order to build the modules -- not a biggie since building
    modules fails anyway                                     closes: Bug#139276

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Mar 2002 09:52:23 -0600

kernel-package (7.100) unstable; urgency=low

  * Hmm. There was a bug report that said kernel-package does not call
    make correctly when concurrency is set; however, this happens to be a
    mischaracterization. The top level make call a recursive make: $(MAKE)
    -j2; the level 2 make then calls another sub make, and the level 3
    make spits out the error that it is running with -j1, as documneted. I
    have cleaned up soe of the rules involved to get greater transparency
    in the phenomena. Also, remove benign warning about not finding the
    MODULES_LOC dir.                                         closes: Bug#139132
  * Make the bash completions file go in the right place.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Mar 2002 23:11:59 -0600

kernel-package (7.99) unstable; urgency=high

  * The last fix broke kernel-package.                       closes: Bug#138684

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 23:25:26 -0600

kernel-package (7.98) unstable; urgency=low

  * Changed a potentially confusing postinst message.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 11:19:02 -0600

kernel-package (7.97) unstable; urgency=low

  * Don't issue a boot block warning if we are not installing a boot
    loader.                                                  closes: Bug#138534
  * Thanks to "Dr. Rafael Sepulveda" <drs@gnulinux.org.mx>, we havce a
    bash completions file for make-kpkg.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 01:38:48 -0600

kernel-package (7.96) unstable; urgency=low

  * Support labels in /etc/fstab. closes: Bug#121127, Bug#136949

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Mar 2002 14:53:47 -0600

kernel-package (7.95) unstable; urgency=low

  * Added an undocumented feature: if ./debian/post-install exists, it
    shall be executed during the image build process. This allows people
    (well, this is designed for kernel-image maintainers) to hack the
    package before dpkg-* are called.                        closes: Bug#136735
  * Fixed missed up $(DEB_BUILD_ARCH) -> $(DEB_HOST_ARCH)    closes" Bug#136738

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  4 Mar 2002 16:42:12 -0600

kernel-package (7.94) unstable; urgency=low

  * bumped the default version.                              closes: Bug#136432

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  3 Mar 2002 12:09:00 -0600

kernel-package (7.93) unstable; urgency=low

  * Kernel-package currently has no proper bootloader handling for
    mipsel. This patch, provided by (a modification by the origina;l
    written by Guido Guenther <agx@debian.org>) Karsten Merker
    <karsten@excalibur.cologne.de>, adds this capability.    closes: Bug#136331

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  1 Mar 2002 11:56:50 -0600

kernel-package (7.92) unstable; urgency=low

  * Cross-compiling a PowerPC kernel fails after the modules_install step
    because ARCH isn't passed.  There are also some other places where the
    PowerPC logic assumes you're running on the target (not
    cross-compiling). Thanks to "Eric C. Cooper" <ecc@cmu.edu> for the
    patch.                                                   closes: Bug#136080

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Feb 2002 12:48:18 -0600

kernel-package (7.91) unstable; urgency=low

  * When cross compiling, if System.map is present, and we call
    modules_install, depmod is run. Howevr, we may call modules_install
    when packaging the kernel, and depmod then fails. Therefore, if
    KERNEL_CROSS is defined, move System.map put of the way before calling
    modules_install, and move it back afterwards.           closes: Bug#135974

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Feb 2002 21:40:27 -0600

kernel-package (7.90) unstable; urgency=low

  * clarified the --added-patches option.                    closes: Bug#135254

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Feb 2002 14:05:45 -0600

kernel-package (7.89) unstable; urgency=low

  * Bah. Make vars are $(BLAH), not $BLAH. Silly typos. Thanks for the
    catch go to James Mayer <james.mayer@acm.org>            closes: Bug#134921
  * Go the whole hog and provide preinst and prerm hooks as well, so
    people can do what they wish.                            closes: Bug#134891

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Feb 2002 22:52:59 -0600

kernel-package (7.88) unstable; urgency=low

  * ramdisk = 0 settings in lilo.conf prevent initrds from working
    (duh). Despite feeling of unease abot creeping featuritis, I have
    added this to the preinst check that image packages perform if you
    are installing an initrd image. Adding complexity to the maintainer
    scripts make it more likely to have bugs, and I don't really think
    kernel image packages should be lilo lints.              closes: Bug#134556

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 18 Feb 2002 15:36:43 -0600

kernel-package (7.87) unstable; urgency=low

  * Since the usage messaes are so long, do not output usage on error,
    since they may mask the error; instead tell the user how to get
    command line or target help.                             closes: Bug#134116
  * Added a patch from Guido Guenther <agx@sigxcpu.org> to add bootloader
    support for mips ip22.  It furthermore changes the default kernel
    format from ecoff to elf on mip since this is what the bootloader
    expects. People needing an ecoff kernel(for whatever reason) can
    easily convert the elf kernel to ecoff using elf2ecoff(from the mips
    tools package).                                          closes: Bug#134560
  * Well, since I have reports that only 2.2 kernels can't meke dep in
    parrallel, I have now re-enabled make dep in parrallel for post 2.3
    kernel versions. I wish there was somew better way to determine if
    make -jN dep were feasible instead of guessing by version numbers.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 18 Feb 2002 09:07:41 -0600

kernel-package (7.86) unstable; urgency=low

  * Changed the man page and update the warning message for a pre existing
    version.h file.
  * Apparently, one should not tun make -j2 dep. So, do not make deb in
    parrallel even when OCNCURRENCY_LEVEL is set.            closes: Bug#134263

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Feb 2002 12:37:17 -0600

kernel-package (7.85) unstable; urgency=low

  * Add the two missing options in the run time help.        closes: Bug#132397
  * Add env section in man page.                             closes: Bug#132398

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Feb 2002 03:19:43 -0600

kernel-package (7.84) unstable; urgency=low

  * Well, apparently the space separated list of modules/patches is not
    working. Separating by commas still works. Since no one has complained
    before, I'm just discontinuing support for space separated lists (the
    quoting complexities are making my eyes cross).          closes: Bug#131157

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Jan 2002 12:37:11 -0600

kernel-package (7.83) unstable; urgency=low

  * The boot-floppies normally create /etc/zipl.conf on s390 but when this
    file is not there a newly installed kernel creates one. However, it
    uses the syntax of lilo.conf which is totally wrong. The following
    patch fixes the problem, it always creates the same zipl.conf because
    you can't specify a root device there. Many thanks to Stefan Gybas
    <gybas@trustsec.de> for providing this patch.            closes: Bug#130561


 -- Manoj Srivastava <srivasta@debian.org>  Thu, 24 Jan 2002 10:34:13 -0600

kernel-package (7.82) unstable; urgency=low

  * Add the option minimal_swap,                             closes: Bug#128885

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 21 Jan 2002 21:50:28 -0600

kernel-package (7.81) unstable; urgency=low

  * Hmm. The fix for Bug#126319 and Bug#126739 instead broke all kinds of
    symlink creation, and really needed a lot more attention to detail. I
    think that is in place now.                              closes: Bug#128885
  * The initrd code has been revamped, and shoul no longer create postinst
    scripts that mysteriously think they are initrd scripts. closes: Bug#97956

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Jan 2002 00:46:09 -0600

kernel-package (7.80) unstable; urgency=low

  * Fix a last remaing reference to the old initrd image in the post rm.
                                                             closes: Bug#128698

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Jan 2002 14:57:14 -0600

kernel-package (7.79) unstable; urgency=low

  * Fix some more problems with mipsel that would have been fixed had I
    applied the patch in #124128

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Jan 2002 00:46:53 -0600

kernel-package (7.78) unstable; urgency=low

  * Added more documentation pointing to the support for non-LILO boot
    loaders as well.
  * Fixed a FLAVOURS patch in FLAVOURS.gz that may have caused some
    problems.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Jan 2002 09:46:26 -0600

kernel-package (7.77) unstable; urgency=low

  * Fix image.postrm to know about the new initrd name.      closes: Bug#126738
  * Fix the version checking to also flag a upstream version with no
    digits, since dpkg-deb chokes on that.                   closes: Bug#127240
  * Fixed a cramfs cleanup (fix from Herbert Xu)             closes: Bug#127072
  * Add an environment var for cross compile and arch opts. Also allow for
    a mismatch between the architecture and DEB_BUILD_ARCH to flag a cross
    compilation                                              closes: Bug#127887
  * Make sure that root_cmd is prefixed with -r even when set in the
    config file                                              closes: Bug#127828
  * Apparently we no longer want to ship coff images, and hence the patch
    in this bug report has been superceded by the one already applied.
                                                             closes: Bug#124128
  * Fix the bug in comparing the target of the /vmlinuz symbolic link to
    the image we are installing.  I do not like the \test, since it could
    be fooled by complex links, but I'll let this version stand until I
    have a test case of failures.                closes: Bug#126319, Bug#126739
  * Do not warn about versions unless there is a mismatch.   closes: Bug#127402

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Jan 2002 04:08:44 -0600

kernel-package (7.76) unstable; urgency=low

  * make the append-to-version and version.h warning be optionally turned
    off with an env var.                                     closes: Bug#122222
  * Fix the kernel_source target                             closes: Bug#126047
  * Fix mips/mipsel images in the rules file                 closes: Bug#123895
  * Include patch for s390                                   closes: Bug#123665
  * Apply spelling fixes to man page                         closes: Bug#122930

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 Dec 2001 15:27:36 -0600

kernel-package (7.75) unstable; urgency=low

  * fix the building of kernel images for mipsel and changes the name of
    the kernel-images from vmlinuz to vmlinux since it's not compressed at
    all.                                                     closes: Bug#119708
  * If /vmlinux.old does not exist, then it is not a symlink.  It would
    still be appropriate to clobber it.                      closes: Bug#119741
  * Fix typo in postinst.                                    closes: Bug#120419
  * Fix the cramfs cleanup, thanks to Herbert Xu closes: Bug#121145, Bug#119722
  * Fix the image.preinst to point users to /initrd.img      closes: Bug#121956
  * Fix problems linking to correct initrd                   closes: Bug#121960
  * Fix numbering problems in REAME.modules steps            closes: Bug#120981
  * The kernel headers now contain a .config file            closes: Bug#122009

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  1 Dec 2001 18:22:39 -0600

kernel-package (7.74) unstable; urgency=low

  * The initrd image was wrongly named in /boot. Fixed,

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Nov 2001 13:39:17 -0600

kernel-package (7.73) unstable; urgency=low

  * Delete scripts/cramfs before building the source pkg     closes: Bug#119375

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Nov 2001 01:58:23 -0600

kernel-package (7.72) unstable; urgency=low

  * Fixed an example file in which I was using source, and insisted it was
    POSIX, maligning the ash maintainer; oblivious to the fact that I was
    reading details of ex(1), not sh(1). I do apologize.    closes: Bug#116200

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Nov 2001 14:55:18 -0600

kernel-package (7.71) unstable; urgency=low

  * exported all kinds of vars that give the location of kernel patches.
    This should help with Bug#118058
  * Added a new variable NO_UNPATCH_BY_DEFAULT.              closes: Bug#119268
  * Renamed the initrd symlink to /initrd.img so it no longer conflicts
    with a dir of the name people seem to have. Also added diagnostics if
    the target happens to be a dir, not a symlink or file. I added yet
    another backwards compatibility measure.                 closes: Bug#114487

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Nov 2001 12:30:02 -0600

kernel-package (7.70) unstable; urgency=high

  * Added patches for s390, from Jochen <jr@debian.s390.org> closes: Bug#115713
  * remove /lib/modules/X.Y.Z/modules.ieee1394map            closes: Bug#115425
  * Remove some over aggressive version checks.  closes: Bug#117515, Bug#117896
                                                             closes: Bug#115097
  * Do not move symlinks about if either the old or the new symlink
    already points to the image being installed.             closes: Bug#117483

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Nov 2001 02:16:02 -0600

kernel-package (7.69) unstable; urgency=medium

  * Only complain about version mismatches on selected targets (read: not
    on clean)                                                closes: Bug#114330

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 Oct 2001 11:50:30 -0500

kernel-package (7.68) unstable; urgency=medium

  * Hmm, perhaps clean should not check for rootness. (If sudo was used,
    make clean will fail if not run as root.                 closes: Bug#114129
  * Hmm. Overzealous versions checking.                      closes: Bug#114198

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Oct 2001 11:03:46 -0500

kernel-package (7.67) unstable; urgency=low

  * Hmm. Now error out if there is a version mis-match (say, because of
    forgeting a --append_to_version on subsequent calls      closes: Bug#113874

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Oct 2001 12:06:49 -0500

kernel-package (7.66) unstable; urgency=low

  * Optionally make --revision mandatory. (is this feeping creaturism
    yet?)                                                   closes: Bug#113934

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Sep 2001 03:59:09 -0500

kernel-package (7.65) unstable; urgency=low

  * Remember to unpatch the kernel even of the env varis not on during
    cleanup.                                                 closes: Bug#113560
  * Removed binaries from kernel-source packages             closes: Bug#113832
  * The man page now mentions that --revision has a default  closes: Bug#113702
  * Provide an upgrade path to the new initrd symlink loc    closes: Bug#113406

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 29 Sep 2001 16:55:51 -0500

kernel-package (7.64) unstable; urgency=low

  * Added more customization to the default boot loader file created for
    hppa. Many thanks to  Richard Hirst <rhirst@linuxcare.com>, both for
    his contribution, and his patience with my thick headedness.
  * Fix a typo in the rules file (thanks to Bdale Garbee to finding
    this). I was totally oblivious to this now rather obvious typo.
                                                             closes: Bug#112444

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 Sep 2001 22:32:09 -0500

kernel-package (7.63) unstable; urgency=medium

  * Suppress the question before running the boot loader (optionally).
  * AAArgh. $$(id -u) -eq 0; not $$(id -u) -ne 0.            closes: Bug#111881

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Sep 2001 11:48:27 -0500

kernel-package (7.62) unstable; urgency=low

  * experimental change to allow root_cmd to be used on every target.
    This may break things.                       closes: Bug#95582, Bug#107561
  * Add an option to prevent the preinst from whining about existing
    /lib/modules/$version

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  8 Sep 2001 16:08:33 -0500

kernel-package (7.61) unstable; urgency=low

  * Changed the message about preexisting /lib/modules/$version directory
    since that dir may exist due to a stand alone modules package being
    installed at the same time (we can not depend on any unpack
    ordering).                                               closes: Bug#110845
  * Change question asking whether or not to syumlink.       closes: Bug#111382
  * Do not pass in an empty CROSS_COMPILE= into the kernel build, since
    this breaks hppa builds.                                 closes: Bug#111452

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  8 Sep 2001 13:44:30 -0500

kernel-package (7.60) unstable; urgency=low

  * Fix suggest dependency in the image package.             closes: Bug#110125
  * Changed the documentation not to suggest that ROOT_CMD is a viable way
    to use fakeroot.                                         closes: Bug#110292
  * The initrd symlinks were dangling symlinks, and were placed in
    /boot. The initrd symlinks are now in the same place as the vmlinuz
    symlinks are created. How come there was no bug report about this?
    Thanks to Roland Mas for pointing this out.
  * Include the config file for the headers package as well. Also include
    env varibles used in the tool chain ($GCC, $CC, CFLAGS, etc). This is
    based on Miquel van Smoorenburg's mail on debian-devel
  * Added some changes for ia64. Since elilo lives in /usr/bin, we change
    "/sbin/$loader" in to "$loaderloc". Also, for elilo, since it can ask
    the user for interactive input, we make the prompts visible to
    it. These changes were massaged from the ones generated by  Richard
    Hirst <rhirst@linuxcare.com>. Oh, and the image is now compressed.
                                                             closes: Bug#110826

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  3 Sep 2001 13:09:56 -0500

kernel-package (7.59) unstable; urgency=low

  * Fixed a typo in installing a readme file for the doc package.
                                                 closes: Bug#107026, Bug#108440
  * Fixed a problem with the mindless replacement of =L in the image
    postinst.                                                closes: Bug#107899
  * No longer suggest task-tcltk-dev, since it no lionger exists. Of
    course, there is not devcent way to suggest a tcl/tk devel env, so we
    silently ignore it. This Sucks.                          closes: Bug#108776
  * Fixed a typo in make-kpkg                                closes: Bug#107854
  * Disable the vbersion.h warning for official kernels      closes: Bug#108468
  * Added various bits of documentation about configuring for
    initrd. Changed the question in image.preinst, as well as changing the
    description of the kernel image packages.                closes: Bug#108624
  * After talking with the submitter, the slowdown reported in the bug was
    from unrelated reasons, and one can't explain the system.map
    glitch. We decided to chalk this up as perhaps a kernel issue, and to
    reopen this bug if we could get something that indicates otherwise.
                                                             closes: Bug#103958

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Aug 2001 01:30:21 -0500

kernel-package (7.58) unstable; urgency=low

  * disable the making of boot floppies for initrd kernels.  closes: Bug#107415

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  2 Aug 2001 10:45:08 -0500

kernel-package (7.57) unstable; urgency=low

  * Incorporated s390 specific patches.                      closes: Bug#107402
  * Apparently, the APUS folks do not have a boot loader. So far, they had
    been saying no to all blandishments from the kernel image package to
    let it run lilo for them. This has now been corrected, thanks to a
    nifty patch from Colin Walters <walters@cis.ohio-state.edu>. This
    should do it.                                            closes: Bug#107278

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Aug 2001 22:23:44 -0500

kernel-package (7.56) unstable; urgency=low

  * an initial patch which at least prevents the generated postinst from
    trying to run QUIK on a NewWorld pmac from Colin Walters
    <walters@cis.ohio-state.edu>.
  * Additional patches that turn off boot floppy creation on powermac
    harware altogether. These changes together              closes: Bug#100579

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 31 Jul 2001 01:43:41 -0500

kernel-package (7.55) unstable; urgency=low

  * Fixed a typo in the grub example scripts.                closes: Bug#106387
  * Document that append_to_version is fragile.              closes: Bug#106276
  * make dep not run in parallel                             closes: Bug#106278

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 24 Jul 2001 12:14:34 -0500

kernel-package (7.54) unstable; urgency=low

  * Nope, that wasn't it. Despite testing it, I needed to test both the
    official and the unofficial code paths.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Jul 2001 10:23:45 -0500

kernel-package (7.53) unstable; urgency=low

  * Out, out, damned spot -- will ye never go? Yet another attempt to fix
    Bug#101332, Bug#105275, Bug#105280, Bug#105469

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Jul 2001 09:14:50 -0500

kernel-package (7.52) unstable; urgency=low

  * Added append_to_version back to make-kpkg. It had mysteriously
    disappeared.                                             closes: Bug#105270

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Jul 2001 21:33:49 -0500

kernel-package (7.51) unstable; urgency=low

  * Brown paper bag time. I was installing the readme file in
    ./debian/tmp-source even for pacjages that that dir was
    inappropriate.       closes: Bug#101332, Bug#105275, Bug#105280, Bug#105469
  * Only put one README file in the kernel-package /usr/share/doc
    heirarchy.                                               closes: Bug#105540

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Jul 2001 18:37:57 -0500

kernel-package (7.50) unstable; urgency=low

  * Ran all the maintainer perl scripts through a use strict; perl -wc
    check, which, alarmingly, caught a whole bunch of minor initialization
    errors. Need to do this more often. The errors were benign, so far,
    but still.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Jul 2001 13:10:13 -0500

kernel-package (7.49) unstable; urgency=low

  * Made the append-to-version warning less ominous, since it is entirly
    resonable that people can encounter the circumstances that can trigger
    it while building stand alone modules.                   closes: Bug#104362

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 12 Jul 2001 09:39:49 -0500

kernel-package (7.48) unstable; urgency=low

  * Fixed the location of the apus kernel image, hopefully this works
    now.
  * Fix handling of the README.Debian files, as requested by            #101332
  * No longer have the asm link in the kernel-source packages.
                                                             closes: Bug#104292
  * The m68 patch in the last revision actually              closes: Bug#103727
  * mips and mipsel support was added a few revisions ago.    closes: Bug#99731
  * corrct the documentation with regards to do_symlink, no_symlink, and
    reverse_symlink (should be do_symlinks, no_symlinks, and
    reverse_symlinks) closes:                                        Bug#100974

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 11 Jul 2001 16:27:00 -0500

kernel-package (7.47) unstable; urgency=low

  * Make sure that all other man pages do not refer to make-kpkg(8)
    anymore.                                                 closes: Bug#103696
  * "Nick Holgate" <nick_h@bvmltd.co.uk> provided a patch the
    * Tidied up m68k subarch guessing.
    * Added m68k VME subarch support.
    * Added vmelilo kernel image postinst support for m68k bvme6000 mvme147
      and mvme16x subarches.
    * Fixed problem checking for the existance of .config file in 'rules',
      make would always abort with error even if .config file was found.
    * Also attached are up to the minute kernel configuration files as
      used to build the official m68k kernel-image packages.
  * Added a use_hard_links option to kernel-img.conf for people who use
    boot loaders that can't follow symlinks.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  6 Jul 2001 14:52:25 -0500

kernel-package (7.46) unstable; urgency=low

  * Fixed typo in image.postinst

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Jul 2001 13:37:24 -0500

kernel-package (7.45) unstable; urgency=low

  * Added the official README.Debian file to the image and headers
    packages as well.                                    closes: Bug#101332
  * hppa changes from Paul Bame <bame@debian.org>
  * APUS changes from  Michel Dænzer <michdaen@iiic.ethz.ch>
  * Added a message in the image preiinst, triggered only if the image is
    an initrd image _and_ has lilo as the default bootloader, which tells
    people how to configure lilo for initrd images.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Jul 2001 11:20:51 -0500

kernel-package (7.44) unstable; urgency=low

  * There was a problem  while installing a kernel with no modules created
    with a new, more helpful kernel-package, which tries to run depmod
    during install (This helps people who are replacing the running kernel
    with a new kernel with the same version).  I have now fixed the
    postinst to check whether the directory exists before calling depmod.
                                                            closes: Bug#99105
  * Fixed spelling errors in make-kpkg(1).                  closes: Bug#99454
  * Remove empty /lib/modules/$version dir in postinst if empty. dpkg did
    not remove the directory, obviously since there were files it was not
    aware of created by depmod, however these were removed by the postrm
    correctly, but it neglected to remove the empty directory.
                                                             closes: Bug#99880
  * Fixed another typo in the image postinst.                closes: Bug#101524
  * Changed the loaderdep= field for IA-64 to be 'elilo' instead of
    'lilo-efi'.                                              closes: Bug#100321
  * make kernel-pkg.conf(5) refer to ~/.kernel-pkg.conf, and not
    ~/kernel-pkg.conf.                                       closes: Bug#100709
  * make-kpkg doesn't work with 2.4.5 and up on PowerPC, since all of the
    *boot directories were merged, renamed and moved around. The included
    fixes this, and also removed the BeBox target bits.  BeBox isn't
    supported in Linux 2.2.x or 2.4.x                        closes: Bug#103032
  * Added support for mips and mipsel                        closes: Bug#102043
  * Added postrm grub example script, and config file. Added a README baed
    on the bug report                                        closes: Bug#103531
  * Now add documentation to the effect that if one runs make (menu|x)?config
    to configure the kernel, it creates `include/linux/version.h', which
    contains the kernel version without_ the append_to_version data. This
    file won't be updated by the make-kpkg run (make-kpkg creates
    version.h if it doesn't exist, but doesn't touch if exists), so the
    final kernel will _not_ have the append_to_version data in its version
    number. Now kernel-package moans about the file, and allows you to
    abort early.                                   closes: Bug#97202, Bug#98908

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  4 Jul 2001 23:10:48 -0500

kernel-package (7.43) unstable; urgency=low

  * Added a local ~/.kernel-pkg.conf for per user configuration.
    closes: Bug#97267

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 12 May 2001 13:47:13 -0500

kernel-package (7.42) unstable; urgency=low

  * Softened the stance about hyphens in revision strings that was adopted
    in 7.28. The documentation still strongly deprecates the use of
    hyphens in the revision, since no checks are in place to ensure the
    resulting version is legal. Now, a warning is generated at the
    beginning warniong that this may cause a problem at the tail end of a
    long compile, and the user is responsible for selecting a version
    string that shall not cause dpkg and friends to choke. This is at the
    request of the official pcmlcia-modules maintainer (Hi Brian)
  * On investigation, it appears that bug 97202 is the same as 96784, and
    both were fixed by the previousl upload (we needed to export
    EXTRAVERSION) closes: Bug#97202

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 12 May 2001 11:53:00 -0500

kernel-package (7.41) unstable; urgency=low

  * Also export EXTRAVERSION. This is useful if EXTRAVERSION was deduced
    from a APPEND_TO_VERSION variable. closes: Bug#96784
  * Changed the long description to be slightly more coherent.
    closes: Bug#96822

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 May 2001 09:13:30 -0500

kernel-package (7.40) unstable; urgency=low

  * make sure that if the rules file did not interpolat the =I in the
    preinst we do not give a spurious warning.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2001 11:57:18 -0500

kernel-package (7.39) unstable; urgency=low

  * Allow MODULE_LOC to be a symbolic link. closes: Bug#96379

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2001 00:59:42 -0500

kernel-package (7.38) unstable; urgency=low

  * Added missing ; in setting a patch directory. Also added checks for
    uninitialized patch directories while applying or unapplying a
    patch. closes: Bug#96327
  * libdv3 -> libdb3. closes: Bug#96271
  * export MODULE_LOC in case the modules need it. closes: Bug#96188

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  4 May 2001 18:51:33 -0500

kernel-package (7.37) unstable; urgency=low

  * Added a new patch for FLAVOUR for 2.4.3 kernels.
  * Fix the second half of the postinst problem, really. closes: Bug#93963
  * fix the reference at the bottom of kernel-package(5) (make-kpkg is in
    section 1, not section 8).                           closes: Bug#95405
  * 2386 -> i386 in man kernel-package                   closes: Bug#95403
  * Fixed a missing \n.B in man make-kpkg (1)            closes: Bug#95654
  * Now support hyphens between words in long options    closes: Bug#95175

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 29 Apr 2001 10:40:49 -0500

kernel-package (7.36) unstable; urgency=low

  * Fixed a typo in make-kpkg; closes: Bug#92238
  * Fixed a duplicate there in a warning in the ostinst, closes: Bug#92903
  * re boot -> reboot. closes: Bug#93018
  * Included the changes made for initrd kernel images from Herbert Xu
    <herbert@gondor.apana.org.au>. closes: Bug#89593
  * Documented the new initrd capabilities
  * Added a suggestion for libncurses-dev for kernel-package. closes: Bug#94984

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Apr 2001 01:58:54 -0500

kernel-package (7.35) unstable; urgency=low

  * A whole bunch of spelling corrections and grammar changes, with many
    thanks to Diego Biurrun <diego@biurrun.de>
  * export a number of additional variables in the environment. These
    variables are: root_cmd FLAVOUR INT_SUBARCH APPEND_TO_VERSION
    UNSIGN_CHANGELOG  UNSIGN_SOURCE ROOT_CMD. This added information flow
    through should make the modules config more flexible
  * Missed an  $(EXTRAV_ARG) while installing modules, which cause d the
    modules to be installed in the wrong directory. Thanks to  Robert
    Bihlmeyer <robbe@orcus.priv.at> for catching this. closes: Bug#86727
  * Added and environement variable FLAVOUR_SEP that determines the
    seperator for the (deprecated) flavour variable
  * The spelling of documentation, fixed in last upload, closes: Bug#85194
  * Well, apparently insisting that the package name be lowercase is
    kosher. closes: Bug#57187
  * Now versioned patch directories no longer shadow unversioned patch
    directories; since the local admin may no longer have control over
    where the patches live. closes: Bug#89877
  * now suggest libdb3-dev, since some modules apparently depend on
    it. Really, this should be a kernel documentation issue. closes: Bug#90869
  * Fixed typo in man page section. closes: Bug#90893
  * Also remove /lib/modules/$version/modules.generic_string and
    /lib/modules/$version/modules.parportmap. closes: Bug#93044
  * Use savelog to rotate lilo.conf if asked to overwrite the old
    one. savelog is part of debianutils, a required package. closes: Bug#93963

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 24 Apr 2001 03:08:17 -0500

kernel-package (7.34) unstable; urgency=medium

  * It is spelled Documentation, not Docuementation.
  * Added more documentation on Flavours (making it deprecated and
    obsolete). The addition of --append_to_version closes: Bug#74148

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Feb 2001 09:54:00 -0600

kernel-package (7.33) unstable; urgency=low

  * There was a bug in the sed exporession that chopped off the first line
    of the extraversion if it started with a t  closes: Bug#84698
  * Added Documentation/Changes to /usr/doc/kernel-image. closes: Bug#84738

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  4 Feb 2001 12:22:35 -0600

kernel-package (7.32) unstable; urgency=low

  * Added provides kernel-{image,doc,headers}-X.X (as opposed to X.X.XX,
    at the request of the libc maintainer.
  * depmod uses the current kernel's symbols to resolve a new kernel's
    modules unless the -F option is specified. Fix thanks to JP Sugarbroad
    <taral@taral.net> closes: Bug#84187
  * Added support for ia64/hppa, thanks to Randolph Chung
    <tausq@debian.org> closes: Bug#84332
  * Implement a append_to_version flag for make-kpkg, that does not
    require editing kernel Makefiles. Thanks toa suggestion by  Yann
    Dirson <ydirson@altern.org> closes: Bug#84160

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 Feb 2001 12:53:46 -0600

kernel-package (7.31) unstable; urgency=medium

  * Hmm. Need to make the revision checking regexp a non greedy one. A one
    char addition to make-kpkg, at line number 700.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Jan 2001 02:19:06 -0600

kernel-package (7.30) unstable; urgency=medium

  * Remove an extraneous close paren from make-kpkg. closes: Bug#83808

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 27 Jan 2001 23:33:22 -0600

kernel-package (7.29) unstable; urgency=medium

  * Finally fixed the --revision handling, thnaks to Diego Biurrun
    <diego@biurrun.de>.
  * Fixed the problem which occurred when one specified either -uc or -us
    without also specifying -r. Thanks go to Ruediger Kuhlmann
    <uck4@rz.uni-karlsruhe.de>.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 27 Jan 2001 00:31:34 -0600

kernel-package (7.28) unstable; urgency=low

  * Modified the make-kpkg man page to reflect the fact that --rootcmd
    flag needs an argument. The examples and the run time help were
    correct, which may explain why no one pointed this error out
    before. closes: Bug#82939, Bug#82943
  * We now check and dissallow all hyphens in revision string. The
    software and the documentation was inconsistent as to the format of
    the revision flag: the man page and the command line help insisted
    that hyphens were not allowed; the README and the software itself
    would allow hyphens, but no checks were then in place to ensure the
    resulting version was legal. This caused problems at the tail end of a
    fairly expensive kernel compile. I think I am going to standardize on
    not allowing hyphens, cause then the checks already in place are
    sufficient, and I think it is reasonable not to have debian revisions
    for kernel-image-X.X.XX packages (in a way, these packages are really
    Debian only). So, now you may no longer sneak in a hyphen and thus
    debian revisions into the ekrnel-image versions (and thus it shall
    remain unless there is a public outcry). closes: Bug#82034
  * Added more verbose messages when we f;ag a revison as violating the
    all lowercase requirements of Debian policy; you see, the FLavour and
    extrav_version variables become part of the kernel-image package name
    (the name is kernel-image-VERSION-FLAVOUR, where VERSION also contains
    the EXTRA_VERSION var). Added checks to make-kpkg as well, and added
    more docs in the check. closes: Bug#83169

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 22 Jan 2001 15:13:53 -0600

kernel-package (7.27) unstable; urgency=low

  * For folks using grub, there are now postinst_hook and postrm_hook
    variables that can be pointed to scripts that add or remove a line
    from the grub menu list at kerel image install and remove times. A
    sample script to add lines to a grub menu file is included in the dir
    /usr/share/doc/kernel-pacakage/. The script, called
    kernel_grub_conf.sh, is coutesy of Junichi Uekawa <dancer@debian.org>
    with minor modifications by yours truly.
  * Added a postrm_hook variable that can be used to add a script to run
    when removing a kernel image package

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 19 Jan 2001 13:34:56 -0600

kernel-package (7.26) unstable; urgency=low

  * Documentation fixes, thanks to Ulf Jaenicke-Roessler
    <ujr@physik.phy.tu-dresden.de> .

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 19 Jan 2001 12:07:08 -0600

kernel-package (7.25) unstable; urgency=low

  * Fixed a typo in the postinst that caused a warning to be issued when
    the user hook script executed correctly (and no warnings on error),
  * The software and the documentation was inconsistent as to the format
    of the revision flag: the man page and the command line help insisted
    that hyphens were not allowed; the README and the software itself
    would allow hyphens, but no checks were then in place to ensure the
    resulting version was legal. This caused problems at the tail end of a
    fairly expensive kernel compile. I think I am going to standardize on
    not allowing hyphens, cause then the checks already in place are
    sufficient, and I think it is reasonable not to have debian revisions
    for kernel-image-X.X.XX packages (in a way, these packages are really
    Debian only). So, now you may no longer sneak in a hyphen and thus
    debian revisions into the ekrnel-image versions (and thus it shall
    remain unless there is a public outcry). closes: Bug#77423

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 19 Jan 2001 11:51:49 -0600

kernel-package (7.24) unstable; urgency=low

  * In the images postrm, ensure that modules.{isapnpmap,pcimap,usbmap}
    are also removed. closes: Bug#81559
  * Added a user specified postinst script, run by the kernel image
    postinst after creating all the symlinks, but before calling the
    bootloader or offering to create a boot floppy. closes: Bug#82742
  * changed the long description to not suggest tk4.x-dev packages (long
    gone from Debian). Now we just say tkX.X-dev package. closes: Bug#81305
  * The user specified postinst should address the needs of people using
    grub who want a nerw line in the grub menu. closes: Bug#81419
  * Allow the kerel-image package creator to specify additional
    documentation that shall be installed in the documentation directory
    /usr/share/doc/kernel-image-X.X.XX/ .

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 19 Jan 2001 00:23:23 -0600

kernel-package (7.23) unstable; urgency=low

  * add missing space tp the DEB_HOST_GNU_TYPE macro. closes: Bug#78840
  * Add a patch to make-kpkg to accomodate the kernel-image
    maintainer. closes: Bug#79142
  * if we need bin86, and we do not have it, warn the user early.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Dec 2000 00:32:53 -0600

kernel-package (7.22) unstable; urgency=low

  * Added S/390 patch.. closes: Bug#77796
   Thanks to  Chu-yeon Park <kokids@debian.org>
  * If we are planning on deleting the ./debian/ directory, and we have
    been supplied with a new revision to use, use that new revision when
    we regenerate the ./debian/changelog file.
  * optionally remove the /lib/modules/$version/build symbolic link. The
    default is to remove the link from official packages, but not
    otherwise.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Nov 2000 18:41:17 -0600

kernel-package (7.21) unstable; urgency=low

  * Changed suggestion to move old /lib/modules dir out of the
    way. closes: Bug#72141
  * include call to --arch while invoking dpkg-architecture. This
    closes: Bug#70759
  * The breakage in kernel-paclage that caused make lean to break has been
    fixed for a couple of versions now. closes: Bug#72294
  * kernel-pkg.conf.5 corrects the PATCH_THE_KERNEL documentation
    issue. closes: Bug#74533
  * The problem reported in 75439 can't be reproduced by either the alsa
    maintainer or me, and it should not happen. The reporter agrees to let
    us  close this issue until it recurs. closes: Bug#75439
  * make-kpkg.1 now corrctly states it is a section 1 man page.
    closes: Bug#76039
  * Fixed the readme.modules file to reflect the fact that the revison
    option supplied while building the kernel shall over ride the revison
    supplied for the modules. closes: Bug#77020
  * Make a zimage for netwinders, since the old buggy loaders have been
    fixed. closes: Bug#77430
  * re boot --> reboot. closes: Bug#77461

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Nov 2000 22:45:21 -0600

kernel-package (7.20) unstable; urgency=low

  * There was a long standing cut and paste error in handling selected
    patches. Masato Taruishi <masato@cmd.taru.net> caught that ewrror, and
    graciously provided a patch. closes: Bug#72873

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Sep 2000 22:51:03 -0500

kernel-package (7.19) unstable; urgency=low

  * A missing close quotes in make-kpkg escaped. closes: Bug#72651

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Sep 2000 01:12:23 -0500

kernel-package (7.18) unstable; urgency=low

  * Make sure the dpkg-architecture calls takes into account the ARCH
    variable, if set. closes: Bug# 70759
  * Fixed address of the FSF. closes: Bug#70984
  * use print-gnu-build-architecture. closes: Bug#65157
  * Do not attempt to set user and group to root.root in the configure
    phase, since dpkg-buildpackage does not run that target with
    fakeroot. closes: Bug#72297
  * make make-kpkg use ./debian/rules if appropriate.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Sep 2000 13:33:39 -0500

kernel-package (7.17) unstable; urgency=low

  * Take the depends out of the kernel source package if kernel version is
    greater than 2.4. closes: Bug#68771
  * fixed a typo in the image postinst. closes: Bug#69082
  * Made sure there is a trailing / in the destination dir. closes: Bug#69176
  * Fixed a typo in kernel-img.conf.5. closes: Bug#69305

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Aug 2000 14:34:51 -0500

kernel-package (7.16) unstable; urgency=low

  * Added dpkg-architecture invocation to the rules file, and export the
    corresponding variables. Hopefully this closes: Bug#67909
    There was a comment in the reprt about this holding up test-cycle-3,
    I can back port this to potato if needed.
  * Added CROSS_COMPILE=$(KERNEL_CROSS) for the modules_install target as
    well. This closes: Bug#67904
    Thanks go to Chris Rutter <chris@willow.armlinux.org> for tracjing
    these down.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 29 Jul 2000 23:32:23 -0500

kernel-package (7.15) unstable; urgency=low

  * Fixed up the sample kernel moules rules and control file
    examples. Hopefully, this is closer to being useable. I also dealt
    with the issue of epochs explicitly in these sample files.
    closes: Bug#67150
  * There was a feature request; namely, the ability to select a set of
    patches to apply, instead of the current all or nothing schema. This
    is an initial implementation. Please test.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 26 Jul 2000 21:41:58 -0500

kernel-package (7.14) unstable; urgency=high

  * Fixed a bug in the image postinst where we were not chompingb the
    newline off the dir returned by pwd. closes: Bug#67093

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Jul 2000 15:46:45 -0500

kernel-package (7.13) unstable; urgency=low

  * Added a new configuration directive for the target machine, namely,
    realtive_links. Normally, the kernel image postinst shall do a
    relative link if possible, or else it shall make an absolute
    link. With this directive, the postinst shall go to extraordinary
    lengths to make sure that the link is relative. The previous release
    also closed a but, namely: closes: Bug#65116

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Jul 2000 23:14:04 -0500

kernel-package (7.12) unstable; urgency=low

  * Fixed implementation of the --config target in make-kpkg, to allow
    operation when there is no .config file present. really closes: Bug#64786
  * Fixed the FILES section in kernel-package(5)/ closes: Bug#65730
  * Try and make relative links when creating links to image files, if
    possible. This used to be the old behaviour, but did not work right
    for people who had the symbolic links created in non standard
    locations. This version should work better for most people.
    closes: Bug#64949, Bug# 65116
  * Added to the information message that make-kpkg provides that the
    --revision option also has no effect ewhen making modules; the values
    that were used when the last kernel_image were made are sued (which is
    what one wants anyway). closes: Bug#65212
  * Updated the README about the gcc/kernel issues (which are now mostly
    solved), made the footnote appear more like one, and stuff.
    closes: Bug#65386
  * Make sure we remove modules.dep when the kernel-image package is
    removed, so that we do not get messages from dpkg saying that
    /lib/modules/<version> was not removed because it was not empty. This
    closes: Bug#66341
  * Added a warning in the make floppy routine of the image postinst to
    warn if the kernel is larger than some hard coded limit. This breakage
    should really be fixed in the kernel. closes: Bug#66596
  * Since it is just a suggestion in the packaging manual, do not force
    all flavours to be downcased. (make-kpkg shall still complain).
  * Added a new arch section for sparc64. closes: Bug#64866
  * cleaned up the postrm, now it should warn people putting the
    symlinks in non-standard places and still using lilo about removing a
    kernel that may have been used in lilo. closes: Bug#65737

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Jul 2000 01:22:27 -0500

kernel-package (7.11) unstable; urgency=low

  * Cleaned up the postinst some more; make sure that we always know which
    directory we are in.
  * Use absolute paths for the kernel image files real location, os we can
    manipulate stuff independent of the current working directory. Either
    one of these would fix the problem that Igor Mozetic
    <igor.mozetic@uni-mb.si> has reported.
  * Fixed the rules file to corect the misapplied patch for pmac. This
    fixes bug # 63559

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 May 2000 16:00:30 -0500

kernel-package (7.10) unstable; urgency=high

  * Forgot to set decent default for do_bootloader; and the default is not
    to run lilo. This can be disastrous; this is a hihg priority fix.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 May 2000 09:44:32 -0500

kernel-package (7.09) unstable; urgency=low

  * Added stuff to README.modules mentioning that make dep is a required
    step before running make modules_image, if one wishes to skip building
    the kernel image itself.
  * Added links to more documentation in the /usr/share/doc/kernel-package
    directory.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 11 May 2000 04:20:11 -0500

kernel-package (7.08) unstable; urgency=low

  * Added a space after a question the postinst asks.
  * Added a spacs after --backup=t while copying. This would cause things
    to break otherwise.
  * Added a / in the error message when no_symlinks is on.
  * Fix the README to talk about no_symlinks, and not no_symlink.
    fixes Bug # 63606
  * Added three more directives for kernel-imge.conf, namely,
    do_boot_enable, do_bootfloppy, and do_bootloader. All default to YES.
    closes: Bug#63607
  * Added a check in the makefloppy routine to make sure the image we are
    trying to write exists. This closes: Bug#63558
  * Capture the stderr too when testing the bootloaders. This fixes Bug
    63599
  *  Fixed PPC setup to handle new powermacs. This was a (grave) RC
    bug. This fixes Bug# 63559
  * Added checks and guards to ensue that 63558 would be caught and more
    information provided. Insufficient data as yet to figure out what is
    causing it.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 May 2000 12:07:08 -0500

kernel-package (7.07) unstable; urgency=low

  * Fix a (cosmetic) bug in the preinst that printed a message in the
    wrong fork. closes: Bug#63409
  * Hmm. chdir to / before testing whether something is a directory. test
    for it being a dir before stripping the leading / off. Either one of
    these changes would fix the bugs reported. closes: Bug#63419, Bug#63388

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2000 01:45:29 -0500

kernel-package (7.06) unstable; urgency=low

  * Somehow, kernel-doc-blah was never made to have /usr/doc links; it is
    fixed in this version.
  * Added a new option to kernel package to allow specifying which modules
    one means to compile when doing the modulkes targets - this also
    allows people to use kernel-package to compile modules in non standard
    location, by giving a full path for the module directory.
    closes: Bug#54807

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Apr 2000 15:51:37 -0500

kernel-package (7.05) unstable; urgency=low

  * Changed image postinst to allow people to specify they want the image
    moved from /boot into some other location (for example, loadlin users)
    closes: Bug#61832
  * Changed the default version number from 1.00. closes: Bug#62836
  * Can't reproduce .config being deleted (and indeed, there is not code
    in lernel-package that directly deletes that file). I'm closing this
    bug until we get a reproducible problem, or at least more
    details. Until then, just chalk it up to happenstance.
    closes: Bug#61606
  * Make sure we ignore spaces in the value of the HOSTCC and CC env
    variables.
  * Make the source package suggest task-tcltk-dev, rather than tk-dev,
    since the latter is no longer provided by modern packages (apparently
    it was not meant to be a publically used virtual package)
  * Rewrote the preinst to pay attention to the kernel-img.conf. Added a
    variable called clobber_modules that shall have the preinst move
    /lib/modules/version dir out of the way silently. (I strongly suggest
    that this varible not be set unless you know what you are
    doing). closes: Bug#62745
  * Added (courtesey of Peter Moulder) a new option called --config to
    make-kpkg, which allows you to specify what configure target shallb e
    used by make-kpkg. Defaults to oldconfig. This was added so you can
    run your usual config step _after_ the kernel has been patched by
    make-kpkg. closes: Bug#61503
  * Added a new target to make-kpkg, called debian, which essentially
    creates a ,.debian directory and runs the kernel patch process. This
    is so you have an alternative to using --config; you can just call
    make-kpkg debian, make menuconfig, make-kpkg ....

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Apr 2000 03:14:18 -0500

kernel-package (7.04) frozen unstable; urgency=low

  * Make sure that version specific kernel-patch subdirectories are
    supported for the all directory as well (they were supported for arch
    specific patches already). closes: Bug#61915
  * Fixed misplaced backslash (it was one char off)  - bad if a patch
    changes the location the kernel will search for its modules!  This is
    RC for powerpc kernel images. closes: Bug#62015

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  9 Apr 2000 13:05:07 -0500

kernel-package (7.03) frozen unstable; urgency=low

  * Aaargh. A single space got inserted into thepostinst after my
    testing. I was just adding comments, I swear. I'll not add anything
    after the test, I promise. "$_/$loader_exec " => "$_/$loader_exec".
    This fixes an important bug, which caused lilo not to be run on
    installing the kernel image. closes: Bug#61646

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  3 Apr 2000 11:16:06 -0500

kernel-package (7.02) frozen unstable; urgency=low

  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils. This prevents a failure to install
    when upgrading from slink.
  * Added a simple check on upppercase chars in the version
    string. closes: Bug#61213
  * Made the dependency in kernel-source packagesbe for libncurses-dev |
    ncurses-dev, since the latter is being phased out. This is an
    important fix.
  * The changes added in 7.00 are required to be in potato. The changes
    were: Allow the official kernel-* package maintainer some leeway in
    providing official control files (just like they can provide their own
    changelog files now).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Mar 2000 10:19:28 -0600

kernel-package (7.01) unstable; urgency=low

  * Added more documentation to the install time configuration file
    kernel-img.conf.5. Modified the image postinst to be more lax in
    parsing configuration options

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 10:37:46 -0600

kernel-package (7.00) unstable; urgency=low

  * Allow the official kernel-* package maintainer some leeway in
    providing official control files (just like they can provide their own
    changelog files now).
  * On user request, do not fail to make symbolic links in / merely
    because the system does not ahve the default bootloader installed --
    people are using alternative boot loaders out there. Instead there is
    a config file that can provide the answer -- oif the config file does
    not exists, the postinst asks the user, and creates the config file.
    closes: Bug#60693

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 00:43:09 -0600

kernel-package (6.42) unstable; urgency=low

  * Fixed suggests line to accept either libncurses-dev or
    ncurses-dev. The latter is obsolete, and present for backwards
    compatibility. closes: Bug#57077

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Mar 2000 09:14:00 -0600

kernel-package (6.41) unstable; urgency=low

  * Added the version number of the kernel to both the short and the long
    description, to help people decide what packages are installed and
    which new ones they may wish to install.
  * Make sure one uses absolute symlinks where required, when creating
    /usr/doc symlinks
  * Do not make symlinks in / if the boot loader is not in the path.
    closes: Bug#60413

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Mar 2000 01:00:02 -0600

kernel-package (6.40) frozen unstable; urgency=low

  * Path up modules_install in the kernel_image target to include some new
    module categories in 2.3.XX kernels. In order that this does not, in
    the futire, inconvenience people, use the kernel Makefile to install
    modules when we can. The cases we can't use the kernel makefile is for
    2.0.XX and older kernels (since the prefix to modlib was not present
    then). closes: Bug#59516
  * Fixed some typos. closes: Bug#59528

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  3 Mar 2000 09:55:47 -0600

kernel-package (6.39) frozen unstable; urgency=low

  * Fix typo in man page (FLAVOURS-->Flavours). closes: Bug#58502
  * Add support for cleaning out the modules directories, since we have
    targets that build stand alone modules. closes: Bug#58733
  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

kernel-package (6.38) frozen unstable; urgency=low

  * Emphasize the need to run make-kpkg clean when attempting to change
    either a version number or a flavour -- or else the old values may
    come back to bite you. closes: Bug#57934
  * Added example files for module writers, Thanks to Wichert Akkerman
    <wichert@cistron.nl>

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 15 Feb 2000 15:56:12 -0600

kernel-package (6.37) frozen unstable; urgency=low

  * Forgot to make the last upload to frozen. For the release manager:
  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug.
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Feb 2000 22:29:52 -0600

kernel-package (6.36) unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug.
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 19:42:09 -0600

kernel-package (6.35) frozen unstable; urgency=low

  * Fix for the amiga branch (extra paren in patch). Problem pointed out
    by Daniel Jacobowitz <drow@false.org>. This makes kernel-package work
    for amigas, I think.
  * Fix warning in post inst about backups.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Feb 2000 00:57:10 -0600

kernel-package (6.34) unstable; urgency=low

  * Prodded by Daniel Jacobowitz <drow@false.org>, made a few adjustments
    in the rules file to make make-kpkg parrallel make friendly.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  3 Feb 2000 10:51:36 -0600

kernel-package (6.33) frozen unstable; urgency=low

  * Make kernel-packageconfig escape single "'"s in the maintainer
    name. Now irish eyes should be smilin' again ;-). This is a bug fix,
    since it causes make-kpkg to fail for people with apostrophes in their
    names.
  * Add warning if using --revision with an official kernel source (in
    other words if ./debian/official exists). Added this also to the man
    page for make-kpkg; this apparently has been causing confudion.
  * closes: Bug#56506, Bug#56544, Bug#56632
  * Change the generated postinst for sparc kernel images to not require
    silo to be run (since it apparently does not need to be). closes: Bug#56580

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Feb 2000 01:49:05 -0600

kernel-package (6.32) frozen unstable; urgency=low

  * darnit. Forgot to mention frozen in the last upload. The current
    potato version is broken (a grave bug); this fixes it. This version
    also has undergone extensive testing, complete with building modules,
    and installing the results, on an i386 machine. I would consider this
    the final release for potato.
  * Fixed a minor typor "are are" --> "are" in the docs. closes: Bug#56290

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Jan 2000 13:26:22 -0600

kernel-package (6.31) unstable; urgency=low

  * Never release a version without a full install test. There were typos
    in 6.30 which made it not work
  * Pulled back the support for HOSTCC and CC variables in make-kpkg,
    since it caused all modules to fail. In fact, just setting CC=gcc
    causes havoc. modules tested: alsa-source, lmsensors, and
    others. Again, this is important.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 27 Jan 2000 03:07:27 -0600

kernel-package (6.30) frozen unstable; urgency=low

  * Make sure we test for uid 0, not just root.
  * Make sure that we really support HOSTCC and CC variables Thanks go to
    Filip Van Raemdonck <filipvr@xs4all.be> for this
  * Make sure we abort if there is a -j in MAKEFLAGS or MFLAGS
  * Actually warn if --revision is used when stamp-configure exists. I owe
    some people an apology. **This is an important fix**

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 26 Jan 2000 23:56:34 -0600

kernel-package (6.29) frozen unstable; urgency=low

  * Make sure we stop the build if removing a patch fails as well.
  * Make sure that the KDVERS var we pass to modules is the one that is
    actually used. **This is an important fix**
  * Also document ARCH_IN_NAME in the kernel-pkg.5 man page

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 26 Jan 2000 10:46:05 -0600

kernel-package (6.28) frozen unstable; urgency=high

  * Made kernel source depend on bzip2. This was a major braino, and
    created a whole slew of bugs.
    closes: Bug#52708, Bug#54308, Bug#54820, Bug#55071
  * Fixed a minor typo in the readme file. closes: Bug#55880
  * Make sure we honour the IMAGE_DESTDIR setting. closes: Bug#54871
    Thanks go to Gerrit Pape <pape@innominate.de>
  * removed a spurious istall docs -r from package prerm. closes: Bug#54123
  * Reversed fix to 47766 that was preventing kernel-package from changing
    symlinks in /. closes: Bug#54510, Bug#54667, Bug#54097, Bug#54126
  * Removed obsolete dependency on gas, which no longer seems to exist.
    closes: Bug#54033
  * Applied a APUS patch from Sven LUTHER <luther@dpt-info.u-strasbg.fr>,
    and made it possible to optionally ignore .config.save files.
    closes: Bug#53010
  * Try and stop build if a patch application failed. closes: Bug#51780
  * strip spaces from the root command, which could cause
    dpkg-buildpackage to fail. closes: Bug#52272
  * We do now warn about users using the --revision flag. closes: Bug#51133
  * Add a note that we do not track Makefile, and the Flavours patch may
    not apply cleanly. closes: Bug#47731

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 26 Jan 2000 03:43:34 -0600

kernel-package (6.27) unstable; urgency=low

  * Removed mention of psdatabase from the man page, since we stopped
    updating that ages ago. closes: Bug#50965
  * Fixed include.prerm to not remove libcgi docs. closes: Bug#50226
  * Removed include.postrm, which should no longer be required. (I dobt if
    anyoe really has a /usr/src/.linux-version registry in there,
    anyway). closes: Bug#51361
  * Stop and inform the users of there is any problems with the modules
    command. closes: Bug#50513
  * Added a few more taget dependencies for the target debian. This should
    close a number of bugs. closes: Bug#47156, Bug#47503, Bug#48087, Bug#50928
  * Added a concurrency level option to kernel-package, so that the
    kernel-compile and the modules can be built with make -jN. Should
    please the SMP folks out there. closes: Bug#50480
  * Dixed the Multi-Arch document so that the patch and unpatch example
    scripts do not wipe out stamp files. Also noted that the files in the
    unpatch dir should probably be numbered in reverse order from the
    files in the patch directory, so the unpatching is done in the
    appropeiate order, All this courtesy of "David Huggins-Daines"
    <dhd@eradicator.org> closes: Bug#47228
  * The contents of /proc/hardware changed somehow between 2.0.36 and
    2.2.10, making the subarchitecture determination break on m68k
  * Determination of CONFDIR needs to be moved after
    /etc/kernel-package.cfg is read (I think that's the problem - in any
    case, this fixes the problem where make-kpkg wouldn't read the config
    file from /usr/src/kernel-patches/<arch>), These lst two courtesy of
    "David Huggins-Daines" <dhd@eradicator.org> closes: Bug#47232
  * Fixed a typo in image.postinst that was preventing the lkernel image
    from backing up older images with the same version. Thanks to the
    analysis by seh@cnw.com (Steven E. Harris). closes: Bug#47766
  * The sources are now in bzip2 format, if supported by tar at package
    build time. closes: Bug#42137
  * kernel-headers are not really arch independent. modified make-kpkg s
    that the documentation reflects the truth. Patch by Joost Kooij
    <kooij@pc47.mpn.cp.philips.com> closes: Bug#47930

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 30 Nov 1999 00:15:04 -0600

kernel-package (6.26) unstable; urgency=low

  * make sure the ./debian directory exists before trying to build the
    image package. closes: Bug#47062, Bug#47054

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Oct 1999 15:09:29 -0500

kernel-package (6.25) unstable; urgency=high

  * Fixed stupid little typos that made the package unusable.
    closes: Bug#46982, Bug#46986

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 Oct 1999 23:43:11 -0500

kernel-package (6.24) unstable; urgency=low

  * updated module installation for the latest set of kernels (2.0.38,
    2.2.12, and 2.3.18, at the time of writing). closes: Bug#44959
  * use bzip2 instead of gzip for the kernel source tar ball, if tar
    supports bzip2 (falls back to gzip for older tar versions). This may
    close  Bug#42137.
  * patched rules to accomodate the official kernel packages maintainer
    (configure things only when one absolutely needs to). closes: Bug#46161
  * Removed install of LinkPolicy, since we no longer do that (we provide
    a tarball instead). closes: Bug#45090
  * The normal upload closes: Bug#45471, Bug#44483, Bug#45427
    which were fixed in the NMU
  * Moved kernel-package and all generated packages to FHS compliance.
  * No longer unlink modules.dep. closes: Bug#46729,

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 Oct 1999 05:40:31 -0500

kernel-package (6.23.1) unstable; urgency=low

  * NMU, as Manoj is busy with RL(ok'd by Manoj).
  * Fixed typo in rules file, which kept arch-patches from applying.
    closes: Bug#45471, Bug#44483
  * Changed location of GPL in /usr/share/kernel-package/README.
    closes: Bug#45427

 -- Adam Heath <doogie@debian.org>  Tue, 21 Sep 1999 02:34:02 -0500

kernel-package (6.23) unstable; urgency=low

  * Added a smallish patch. This patch allows kernel-package to detect
    whether it should build a sparc32 or sparc64 kernel on sparc
    architectures. This shall allow for use of the FAKE_SPARC env to
    decide which kernel to build. closes: Bug#43313

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 30 Aug 1999 23:20:26 -0500

kernel-package (6.22) unstable; urgency=low

  * Removed bashims from the examples for multi-arch. Thanks to
    Gregory T. Norris <haphazard@socket.net>. closes: Bug#41691
  * Made the usage messages go to stdout rather than stdin.
    closes: Bug#42011
  * Changed readme to stop referring to fakeroot explicitly -- so we no
    longer need to track usage. closes: Bug#42798
  * fixed typo in usage message. closes: Bug#43129
  * Added support for arch independent patches. closes: Bug#42313

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Aug 1999 01:55:14 -0500

kernel-package (6.21) unstable; urgency=low

  * Added documentation about potential gcc problems with the kernel
    compiles. Added a stamp-build stamp (thanks to Chris Butler
    <chrisb@sandy.force9.co.uk>).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Jul 1999 15:20:53 -0500

kernel-package (6.20) unstable; urgency=low

  * moved make-kpkg to /usr/bin. closes: Bug#39428
  * Fixed man page for makle-kpkg. closes: Bug#39233
  * Mention the fact that a broken grep can also cause strangely numberred
    packages.
  * Fix readme, since it disaalowed hyphens, though they were acceptable
    (the version with hyphens is thought to have a debian revision).
    closes: Bug#39397
  * Added -uc and -us options to make-kpkg to pass on to
    dpkg-buildpackage (this may be opening a can of worms -- I may have to
    implement a dpkg-buildpackage options option)
  * Added documentation for people who want to minimize the time spent as
    fake root, and who want to see the users name (not root) when they run
    uname -a. Provide a secret exra target for thos folks to use.
  * Removed mention of link manipulation in /usr/src, since kernel-package
    no longer does that. closes: Bug#40430
  * Moved make-kpkg to /usr/bin from /usr/sbin, since building debs can
    all be done in user space. closes: Bug#39428
  * Partially moved to policy 3.0.0.0 (no /usr/doc/ move yet)
  * depends on perl5, as per new perl policy.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Jul 1999 10:24:03 -0500

kernel-package (6.19) unstable; urgency=low

  * In the postrm, change return 0 to exit 0. closes: Bug#38770
  * Humpf. ANother version checker bug (I knew there was a reason I had
    not implemented this before). closes: Bug#38771

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  2 Jun 1999 17:21:04 -0500

kernel-package (6.18) unstable; urgency=low

  * Fixed the revioson checking reg exp to alos allow epochs. The check
    was added in 6.12. closes: Bug#38377
  * Documented the fact that recompilations, especially ones which change
    the revision, directly or indirectly, amy need an intervening
    make-kpkg clean. closes: Bug#38320
  * Added documentation enhancements based on feedback from Remo Badi.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Jun 1999 13:01:48 -0500

kernel-package (6.17) unstable; urgency=low

  * It would help if I actually installed the new man page.
  * Another teeny fix for powerpc sub archs

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 May 1999 15:52:27 -0500

kernel-package (6.16) unstable; urgency=low

  * Another rules typo involving cross compilation
  * Added a kernelpackage.5 man page, which should make finding the docs
    for make-kpkg easier.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 May 1999 15:03:14 -0500

kernel-package (6.15) unstable; urgency=low

  * Some days you can't win. Yet another cut and paste error in powermac
    rules.
  * closes: Bug#38078, Bug#38094

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 May 1999 12:10:30 -0500

kernel-package (6.14) unstable; urgency=low

  * Darn it!. Used () in regexp instead of [].

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 May 1999 23:54:53 -0500

kernel-package (6.13) unstable; urgency=low

  * Typo fixes for powerpc stuff.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 May 1999 11:08:51 -0500

kernel-package (6.12) unstable; urgency=low

  * Added a warning if the --revision flag is given and a stamp-configure
    file already exists, since the --revision flag has no effect. Also
    require the revision flag to only contain anlphanumerics and . and +,
    and error out if otherwise. closes: Bug#35951
  * The control file is fed $architecure, which needs be a valid arch
    string. The additional -D option to dpkg-gencontrol is needed for
    cross compilation (the default arch that dpkg-gencontrol guesses is
    not the target architecture). So dpkg-gencontrol has to be told what
    is in the control file. closes: Bug#37998

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 May 1999 23:56:30 -0500

kernel-package (6.11) unstable; urgency=low

  * A cut and paste error in kernel rules file was corrected.
    closes: Bug#37877

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 17 May 1999 22:30:58 -0500

kernel-package (6.10) unstable; urgency=low

  * Added new patch for flavours that works with 2.2 kernel Makefiles.
    closes: Bug#37857

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 17 May 1999 15:40:43 -0500

kernel-package (6.09) unstable; urgency=low

  * Added new changes for PowerMacs (boy do those sub archs multiply out
    there) Thanks to Hartmut Koptein <koptein@debian.org>
  * On a purge, kernel-image deletes either /vmlinuz or /v,linuz.old if it
    is a dangling symlink, after warning the user. closes: Bug#33522

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 15 May 1999 11:26:37 -0500

kernel-package (6.08) unstable; urgency=low

  * Allow all lowercase subarch names for the power pc family (mostly for
    the sake of people who specif the subarch on the command line).
  * Add test and kernel arch change for ultrasparc (patch posted on the
    debian-sparc list)
  * explicitly mentioned where people can find README.modules.
    closes: Bug#36562
  * Fix typo in rules file that would cause tar to clobber files.
    closes: Bug#37527
  * Added patches to allow cross compiling kernels.closes: Bug#36863

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 15 May 1999 01:50:59 -0500

kernel-package (6.07) unstable; urgency=low

  * Changed ?= rules in the makefile, since there are reports that
    variables may not be getting interpolated correctly. Revert to old
    fashined syntax. closes: Bug#32770
  * Added section and priority in the genrated kernel packages, so that
    user compiled packages also have a priority. coses: Bug#32848
  * incorporated the ARM patch from Tor Slettnes. closes: Bug#33447

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 22 Feb 1999 01:14:55 -0600

kernel-package (6.06.1) unstable; urgency=low

  * Changed ARM build target from `vmlinux' to `Image'.  This is required
    for 2.2.x kernels on the Corel Netwinder.

 -- Tor Slettnes <tor@slett.net>  Fri, 12 Feb 1999 19:17:32 -0800

kernel-package (6.06) unstable; urgency=low

  * Removed an extra packaging of the Documentation tree (quite
    benign). closes: BUG#32682


 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Feb 1999 01:18:26 -0600

kernel-package (6.05) frozen unstable; urgency=high

  * This fixes a bug introduced in the previous upload to frozen, in the
    handling of the new extraversion. Most of the changes are bug fixes,
    there is no new code.
  * Tightened the reg exp for determining the extraversion to ignore
    whitespace. Use builtin strip to remove leading and trailing
    space. fixes: BUG#32457
  * If the changelog exists, use it to guess at the debian version (this is
    merely setting the default value). If there is no changelog, the
    default is still 1.00.
  * If the .config file exists, use that to guess the subarch for intel
    platforms.
  * Install debian/rules if it does not exist, regardless of
    stamp-configure or debian/official.  fixes: BUG# 31823.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 1999 18:34:15 -0600

kernel-package (6.04) unstable; urgency=low

  * Tightened the reg exp fr determining the extraversion to ignore
    whitespace. fixes: BUG#32457

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 1999 02:14:33 -0600

kernel-package (6.03) frozen unstable; urgency=high

  * This update fixes a release critical bug, and only includes bug fixes
    since the previous version in frozen, apart from making the package
    2.2.X ready (mostly EXTRAVERSION support). I strongly feel that this
    should be allowed in frozen, even in deep freeze.
  * Added an option arch_in_name to ask kernel package to embedd the sub
    architecture in the kernel image name (this reverses the default of
    always embedding the arch in the name). Note that only the image
    package _name_ is affected. fixes: BUG#31972
  * The new Power macs report themselves as Power Macintoshes rather than
    PwerMac's. Changed reg expression to allow either. fixes: BUG#32262
  * Also install NET_MISC_MODULES modules. fixes: BUG#31934, BUG#31936

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Jan 1999 09:29:15 -0600

kernel-package (6.02) unstable; urgency=low

  * Make kernel-doc-XXX now suggest kernel-image-=V=SA(that is, now we
    include the architecture string that kernel-image packages may
    optionally have. fixes: Bug#30291
  * The EXTRAVERSION support in the NMU fixes: BUG#31290, BUG#31331, BUG#31444
  * Added docuemntation about more variables in the makefile, namely, the
    locations of the modules, patches, and configuration files, and how
    one may modify the defaults.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jan 1999 23:28:50 -0600

kernel-package (6.01.1) unstable; urgency=low

  * NMU; adds EXTRAVERSION support for 2.2.0-preblah kernels

 -- Ben Gertzfield <che@debian.org>  Tue, 29 Dec 1998 20:02:24 -0800

kernel-package (6.01) unstable; urgency=low

  * Added support for netwinders. closes: BUG#29333
  * Modified modules support to not assume everything in /usr/src/modules
    is a directory.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Nov 1998 01:39:43 -0600

kernel-package (5.13) frozen unstable; urgency=low

  * Fixed setting email address for modules. closes: BUG#29217
  * Made it possible to set the subarch to be different from the one one
    is on (as long as the subarch being set is a valid sub arch of the
    current architecture). This should help the ppc folks.
  * Added to the module compilation documentation by incorporating part of
    the pcmcia-source documentation. This should hopefully make compiling
    stand-alone modules easier to compile

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Nov 1998 18:12:23 -0600

kernel-package (5.12) unstable; urgency=low

  * Add things to the changelog file for the sub packages. Also, fix a
    trailing space problem from the rules file that affected the ppc
    folks. closes: Bug#28535

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 28 Oct 1998 13:56:59 -0600

kernel-package (5.11) frozen unstable; urgency=low

  * Fix the handling of config files.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Oct 1998 13:54:35 -0500

kernel-package (5.10) frozen unstable; urgency=medium

  * Add the variable KDREV to pass the debian revision to the modules
    while compiling.
  * Added powerpc fixes from Hartmut Koptein <koptein@et-inf.fho-emden.de>
    These were needed to have things work at all.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Oct 1998 12:37:39 -0500

kernel-package (5.09) unstable; urgency=high

  * Fixed missing / on a pattern match,. This essentially hosed
    make-kpkg. closes: Bug#27937

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 16:29:27 -0500

kernel-package (5.08) unstable; urgency=low

  * Added documentation of the tecra kernel issue in the README.
  * Added README.tecra as astandalone file documenting the tecra laptop
    issue.
  * Added README.modules to document the way that addon modules may hook
    into the kernel package and be kept compiled in synchrony with new
    kernel compilations.
  * Documented the fact that Flavours should be all lower case to meet the
    strictures of the Packaging manual. closes: BUG#26843
  * Added default values to prompts in kernel-packageconfig, since the
    prompts were most unplesaing. closes: BUG#27289
  * Fixed the dir modules are installed in to honour the flavour
    setting. closes: BUG#27311
  * Fixed typo in postinst. closes: Bug#25749

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 01:04:29 -0500

kernel-package (5.07) unstable; urgency=low

  * Make the long description for kernel-source emphasize the need to get
    bin86.
  * Fixed a typo in the rules file that created the wrong symlink on
    sparcs. closes: BUG#26790

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Sep 1998 10:28:23 -0500

kernel-package (5.06) unstable; urgency=low

  * Use tweo $ signs to protect shell variable in rules. Affected m68k and
    powerpc archs.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Sep 1998 12:36:15 -0500

kernel-package (5.05) unstable; urgency=low

  * Fix documentation about using the rootcmd option. closes: BUG#25566
  * fixed source postinst so it no longer expects an untarred
    /usr/src/kernel-source-VERSION directory. closes: BUG#25650, 26511
  * allow clean to work even if .config does not exist. closes: BUG#26265
  * Fix case in the name of the Flavours file. closes: BUG#26434
  * Made the images go into $(IMAGE_DESTDIR), which defaults to
    /boot. This can now be set by loadlin folks in the config file to
    whatever they wish. Also changed the postinst to not freak out when
    the image apparently goes missing.
  * Added the support for different config files depending on architecture
    and sub arch. A set of config files for different archs are shipped in
    /usr/lib/kernel-package/Config/. This is useful for people who compile
    for several architectures.
  * Major cleanup and rewrite for mutiarchitecture support. All arch
    related stuff is catured in a section on top. There is no need to edit
    it into the kernel makeile, we can now determine subarchs ourselves.
  * Also pass along the maintainers email address while compiling the
    modules, not just the name.
  * Make sure that sparcs use the vmlinux file, and gzip it. This
    closes: BUG#26199
  * Cleaned up the modules installation part. Now it conforms more closely
    to the kernel makefile, and indeed, it uses the kernel Makefile for
    the newer kernles where the module install path is modifiable using
    the new INSTALL_MOD_PATH variable.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Sep 1998 14:45:30 -0500

kernel-package (5.04) unstable; urgency=low

  * Backed out of System.map changes introduced in 5.02 since the patch
    provided was fauly. reimplemented the system.map installation. This
    closes: Bug#24845
  * Fixed the ifneq statement. Again, this was due to misapplied fixes for
    the alpha. closes: Bug#24780
  * Fixed typo in kernel image preinst. closes: Bug#24766

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 23 Jul 1998 01:20:40 -0500

kernel-package (5.03) unstable; urgency=low

  * Applied numerous spelling corrections and punctuation fixes from
    Nathan E Norman <finn@midco.net>.
  * Make kernel-source packages suggest bin86, and mention in the
    description that this is only applicable to Intel architectures.
  * Added documentation to make-kpkg, and its man page, to point to
    /usr/doc/kernel-package. I, too, have doubts about the efficacy of
    this step.
  * Tighten the regular expression that snag the kernel version and
    sublevel information. closes: BUG#24629

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 17 Jul 1998 12:40:09 -0500

kernel-package (5.02) unstable; urgency=low

  * Changed the pre rm warning message while removing a image mentioned in
    the boot loader config file to be more explicit. closes: BUG#23423
  * Make sure that we do not try to install the loader docs or the
    System.map if they do not exist. closes: BUG#23800
  * use dpkg --print-installation-architecture in the post inst.
    closes: BUG#24207
  * Added an preinst script for kernel images so that we do not overwrite
    the modules file gratuitously.
  * Added more documentation about kernel-package, as there were
    complaints that it was not advertized at all.
  * Modified the README.headers file to reflect reality.
  * Added a subarch option to make-kpkg for the alpha people.
    closes: BUG#24147
  * This version should compile on the alpha as well. closes: 23143

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Jul 1998 16:08:00 -0500

kernel-package (5.01) unstable; urgency=low

  * Added rudimentary support for the alpha. Please note that locations of
    the image may change in the future.
  * No longer ship unpacked sources in kernel-source-VERSION
    packages. This makes sure that dpkg can handle removal gracefully, and
    people may unpack the sources where they wish.
  * Fixed typo in make-kpkg -help, closes: BUG#23276
  * Documented --flavours argument of make-kpkg, which should bring the
    man page uptodate. closes: BUG#23280
  * Doh! A dangling symlink does not return true on an -e test; a valid
    symlink does! Fixed error on logic that made dangling sym links cause
    kernel-image packages to fail. closes: BUG#23273
  * make the process not error out when there is no config.precious
    file.

